/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CLOS;BUILTIN.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "clos/builtin.eclh"
/*	local function MAKE-INSTANCE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1make_instance(cl_narg narg, cl_object V1, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	value0=cl_error(2,VV[0],V1)               /*  ERROR           */;
	return value0;
}}
/*	local function ENSURE-CLASS-USING-CLASS                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2ensure_class_using_class(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (VV[15]->symbol.gfdef);
	cl_env_copy->values[0]=cl_apply(2,T0,V3)  /*  APPLY           */;
	{
	cl_object V5;                             /*  METACLASS       */
	cl_object V6;                             /*  DIRECT-SUPERCLASSES */
	cl_object V7;                             /*  OPTIONS         */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L3;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L4;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L5;
	V7= cl_env_copy->values[2];
	goto L6;}
L3:;
	V5= Cnil;
L4:;
	V6= Cnil;
L5:;
	V7= Cnil;
L6:;
	T0= (ECL_SYM("MAKE-INSTANCE",947)->symbol.gfdef);
	value0=cl_apply(5,T0,V5,ECL_SYM("NAME",1270),V2,V7) /*  APPLY */;
	return value0;}
}}
/*	local function CHANGE-CLASS                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3change_class(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("CHANGE-CLASS",930)->symbol.gfdef);
	T1= cl_find_class(1,V2)                   /*  FIND-CLASS      */;
	value0=cl_apply(4,T0,V1,T1,V3)            /*  APPLY           */;
	return value0;
}}
/*	local function MAKE-INSTANCES-OBSOLETE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4make_instances_obsolete(cl_object V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_find_class(1,V1)                   /*  FIND-CLASS      */;
	(cl_env_copy->function=(ECL_SYM("MAKE-INSTANCES-OBSOLETE",948)->symbol.gfdef))->cfun.entry(1,T0) /*  MAKE-INSTANCES-OBSOLETE */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MAKE-INSTANCE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5make_instance(cl_narg narg, cl_object V1, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= (ECL_SYM("MAKE-INSTANCE",947)->symbol.gfdef);
	T1= cl_find_class(1,V1)                   /*  FIND-CLASS      */;
	value0=cl_apply(3,T0,T1,V2)               /*  APPLY           */;
	return value0;
}}
/*	local function SLOT-MAKUNBOUND-USING-CLASS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6slot_makunbound_using_class(cl_object V1, cl_object V2, cl_object V3)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(1,VV[1])                  /*  ERROR           */;
	return value0;
}}
/*	local function SLOT-BOUNDP-USING-CLASS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7slot_boundp_using_class(cl_object V1, cl_object V2, cl_object V3)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(1,VV[2])                  /*  ERROR           */;
	return value0;
}}
/*	local function SLOT-VALUE-USING-CLASS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8slot_value_using_class(cl_object V1, cl_object V2, cl_object V3)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(1,VV[3])                  /*  ERROR           */;
	return value0;
}}
/*	local function (SETF SLOT-VALUE-USING-CLASS)                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9_setf_slot_value_using_class_(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(1,VV[3])                  /*  ERROR           */;
	return value0;
}}
/*	local function SLOT-EXISTS-P-USING-CLASS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10slot_exists_p_using_class(cl_object V1, cl_object V2, cl_object V3)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MAKE-INSTANCE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11make_instance(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	value0=cl_error(2,VV[5],V1)               /*  ERROR           */;
	return value0;
}}
/*	local function FINALIZE-INHERITANCE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12finalize_inheritance(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1471)))==Cnil){
	goto L3;}
	T0= ecl_car(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1471)));
	T1= ecl_cdr(ecl_symbol_value(ECL_SYM("*NEXT-METHODS*",1471)));
	ecl_function_dispatch(cl_env_copy,T0)(2,ecl_symbol_value(ECL_SYM(".COMBINED-METHOD-ARGS.",1469)),T1);
	goto L1;
L3:;
	cl_error(1,VV[6])                         /*  ERROR           */;
	goto L1;
L1:;
	{cl_object V2;
	V2= clos_class_slots(1,V1)                /*  CLASS-SLOTS     */;
	goto L10;
L9:;
	{cl_object V3;                            /*  SLOT            */
	V3= ecl_car(V2);
	T0= ecl_function_dispatch(cl_env_copy,ECL_SYM("SLOT-DEFINITION-ALLOCATION",1537))(1,V3) /*  SLOT-DEFINITION-ALLOCATION */;
	if((ECL_SYM("INSTANCE",1253))==(T0)){
	goto L16;}
	T0= (cl_env_copy->function=(ECL_SYM("CLASS-NAME",932)->symbol.gfdef))->cfun.entry(1,V1) /*  CLASS-NAME */;
	cl_error(2,VV[7],T0)                      /*  ERROR           */;
	goto L14;
L16:;
	goto L14;
L14:;
	}
	V2= ecl_cdr(V2);
L10:;
	if((V2)==Cnil){
	goto L22;}
	goto L9;
L22:;
	goto L20;
L20:;
	goto L7;
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function MAKE-LOAD-FORM                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13make_load_form(cl_narg narg, cl_object V1, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(cl_env_copy->function=(ECL_SYM("MAKE-LOAD-FORM-SAVING-SLOTS",950)->symbol.gfdef))->cfun.entry(3,V1,ECL_SYM("KEY",1259),V2) /*  MAKE-LOAD-FORM-SAVING-SLOTS */;
	return value0;
}}
/*	local function PRINT-OBJECT                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14print_object(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  CLASS           */
	cl_object V4;                             /*  SLOTDS          */
	V3= si_instance_class(V1)                 /*  INSTANCE-CLASS  */;
	V4= clos_class_slots(1,V3)                /*  CLASS-SLOTS     */;
	if((V4)==Cnil){
	goto L5;}
	if((ecl_symbol_value(ECL_SYM("*PRINT-READABLY*",55)))!=Cnil){
	goto L5;}
	if((ecl_symbol_value(ECL_SYM("*PRINT-LEVEL*",49)))==Cnil){
	goto L5;}
	if(!(ecl_zerop(ecl_symbol_value(ECL_SYM("*PRINT-LEVEL*",49))))){
	goto L5;}
	cl_write_string(2,VV[8],V2)               /*  WRITE-STRING    */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	goto L3;
L3:;
	cl_write_string(2,VV[9],V2)               /*  WRITE-STRING    */;
	T0= (cl_env_copy->function=(ECL_SYM("CLASS-NAME",932)->symbol.gfdef))->cfun.entry(1,V3) /*  CLASS-NAME */;
	ecl_prin1(T0,V2);
	{cl_object V5;                            /*  LET860          */
	cl_object V6;                             /*  SCAN            */
	cl_fixnum V7;                             /*  I               */
	cl_object V8;                             /*  SV              */
	value0=ecl_symbol_value(ECL_SYM("*PRINT-LENGTH*",48));
	if((value0)!=Cnil){
	goto L16;}
	V5= MAKE_FIXNUM(536870911);
	goto L14;
L16:;
	V5= value0;
	goto L14;
L14:;
	V6= V4;
	V7= 0;
	V8= Cnil;
	goto L24;
L23:;
	if(!(ecl_number_compare(MAKE_FIXNUM(V7),V5)>=0)){
	goto L28;}
	cl_write_string(2,VV[10],V2)              /*  WRITE-STRING    */;
	goto L13;
L28:;
	goto L26;
L26:;
	V8= ecl_instance_ref((V1),(V7));
	cl_write_string(2,VV[11],V2)              /*  WRITE-STRING    */;
	T0= ecl_car(V6);
	T1= ecl_function_dispatch(cl_env_copy,ECL_SYM("SLOT-DEFINITION-NAME",1542))(1,T0) /*  SLOT-DEFINITION-NAME */;
	ecl_prin1(T1,V2);
	cl_write_string(2,VV[12],V2)              /*  WRITE-STRING    */;
	ecl_prin1(V8,V2);
	V6= ecl_cdr(V6);
	{cl_object V9;
	V9= ecl_make_integer((V7)+1);
	{bool V10;
	V10= FIXNUMP(V9);
	if (ecl_unlikely(!(V10)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V9);}
	V7= ecl_fix(V9);
	}
L24:;
	if(V6==Cnil){
	goto L44;}
	goto L23;
L44:;
	goto L42;
L42:;
	goto L21;
L21:;
	}
L13:;
	cl_write_string(2,VV[13],V2)              /*  WRITE-STRING    */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "clos/builtin.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecldElwZMb7_URKWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CLOS;BUILTIN.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecldElwZMb7_URKWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	{cl_object V1;
	T0= cl_find_class(1,ECL_SYM("STANDARD-CLASS",971)) /*  FIND-CLASS */;
	T1= cl_find_class(1,ECL_SYM("CLASS",931)) /*  FIND-CLASS      */;
	T2= ecl_list1(T1);
	V1= (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",947)->symbol.gfdef))->cfun.entry(7,T0,ECL_SYM("NAME",1270),ECL_SYM("BUILT-IN-CLASS",927),ECL_SYM("DIRECT-SUPERCLASSES",989),T2,ECL_SYM("DIRECT-SLOTS",988),Cnil) /*  MAKE-INSTANCE */;
	ecl_function_dispatch(cl_env_copy,VV[14])(2,V1,ECL_SYM("BUILT-IN-CLASS",927)) /*  SETF-FIND-CLASS */;
	}
	T0= cl_find_class(1,Ct)                   /*  FIND-CLASS      */;
	T1= cl_find_class(1,ECL_SYM("BUILT-IN-CLASS",927)) /*  FIND-CLASS */;
	si_instance_class_set(T0,T1)              /*  INSTANCE-CLASS-SET */;
	T0= ecl_make_cfun_va((cl_objectfn)LC1make_instance,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("MAKE-INSTANCE",947),Cnil,VVtemp[1],VVtemp[2],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	{cl_object V2;                            /*  NAME            */
	cl_object V3;                             /*  REST            */
	cl_object V4;
	V2= Cnil;
	V3= Cnil;
	if (ecl_unlikely(!ECL_LISTP(VVtemp[3]))) FEtype_error_list(VVtemp[3]);
	V4= VVtemp[3];
	{cl_object V5;                            /*  INDEX           */
	V5= MAKE_FIXNUM(1);
	{cl_object V6;                            /*  BUILT-IN-CLASS  */
	V6= cl_find_class(1,ECL_SYM("BUILT-IN-CLASS",927)) /*  FIND-CLASS */;
	{cl_object V7;                            /*  ARRAY           */
	T0= si_make_vector(Ct,MAKE_FIXNUM(46),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	T1= cl_find_class(1,Ct)                   /*  FIND-CLASS      */;
	V7= si_fill_array_with_elt(T0,T1,MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
L17:;
	{cl_object V8;
	V8= _ecl_car(V4);
	V2= ecl_car(V8);
	V8= ecl_cdr(V8);
	V3= V8;
	}
	{cl_object V8;
	V8= _ecl_cdr(V4);
	if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
	V4= V8;
	}
	{cl_object V8;                            /*  DIRECT-SUPERCLASSES */
	cl_object V9;                             /*  CLASS           */
	{cl_object V10;                           /*  LET857          */
	cl_object V11;
	cl_object V12;
	value0=V3;
	if((value0)!=Cnil){
	goto L34;}
	V10= VVtemp[4];
	goto L32;
L34:;
	V10= value0;
	goto L32;
L32:;
	V11= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
	V12= V10;
	{cl_object V13;
	cl_object V14;
	V13= ecl_list1(Cnil);
	V14= V13;
L42:;
	if(!(ecl_endp(V12))){
	goto L46;}
	goto L43;
L46:;
	goto L44;
L44:;
	V11= _ecl_car(V12);
	{cl_object V15;
	V15= _ecl_cdr(V12);
	if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
	V12= V15;
	}
	if (ecl_unlikely(ATOM(V14))) FEtype_error_cons(V14);
	T0= V14;
	T1= cl_find_class(1,V11)                  /*  FIND-CLASS      */;
	V14= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V14,T0);
	goto L42;
L43:;
	V8= ecl_cdr(V13);
	goto L31;
	}
	}
L31:;
	V9= (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",947)->symbol.gfdef))->cfun.entry(7,V6,ECL_SYM("NAME",1270),V2,ECL_SYM("DIRECT-SUPERCLASSES",989),V8,ECL_SYM("DIRECT-SLOTS",988),Cnil) /*  MAKE-INSTANCE */;
	ecl_function_dispatch(cl_env_copy,VV[14])(2,V9,V2) /*  SETF-FIND-CLASS */;
	{cl_fixnum V10;
	if (ecl_unlikely(!ECL_VECTORP(V7)))
           FEtype_error_vector(V7);
	if (ecl_unlikely((ecl_fix(V5))>=(V7)->vector.dim))
           FEwrong_index(Cnil,V7,-1,MAKE_FIXNUM(ecl_fix(V5)),(V7)->vector.dim);
	V10= ecl_fix(V5);
	(V7)->vector.self.t[V10]= V9;}
	V5= ecl_one_plus(V5);
	}
	if(!(ecl_endp(V4))){
	goto L69;}
	goto L18;
L69:;
	goto L67;
L67:;
	goto L17;
L18:;
	si_Xmake_constant(ECL_SYM("+BUILTIN-CLASSES+",1470),V7) /*  *MAKE-CONSTANT */;
	goto L8;
	}
	}
	}
	}
L8:;
	T0= ecl_make_cfun_va((cl_objectfn)LC2ensure_class_using_class,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("ENSURE-CLASS-USING-CLASS",1503),Cnil,VVtemp[5],VVtemp[6],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC3change_class,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("CHANGE-CLASS",930),Cnil,VVtemp[7],VVtemp[8],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC4make_instances_obsolete,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("MAKE-INSTANCES-OBSOLETE",948),Cnil,VVtemp[9],VVtemp[10],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC5make_instance,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("MAKE-INSTANCE",947),Cnil,VVtemp[9],VVtemp[11],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC6slot_makunbound_using_class,Cnil,Cblock,3);
	clos_install_method(7,ECL_SYM("SLOT-MAKUNBOUND-USING-CLASS",1546),Cnil,VVtemp[12],VVtemp[13],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC7slot_boundp_using_class,Cnil,Cblock,3);
	clos_install_method(7,ECL_SYM("SLOT-BOUNDP-USING-CLASS",1535),Cnil,VVtemp[12],VVtemp[13],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC8slot_value_using_class,Cnil,Cblock,3);
	clos_install_method(7,ECL_SYM("SLOT-VALUE-USING-CLASS",1547),Cnil,VVtemp[12],VVtemp[13],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC9_setf_slot_value_using_class_,Cnil,Cblock,4);
	clos_install_method(7,VVtemp[14],Cnil,VVtemp[15],VVtemp[16],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC10slot_exists_p_using_class,Cnil,Cblock,3);
	clos_install_method(7,VV[4],Cnil,VVtemp[12],VVtemp[13],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	clos_load_defclass(ECL_SYM("STRUCTURE-CLASS",975),VVtemp[10],VVtemp[17],Cnil) /*  LOAD-DEFCLASS */;
	T0= ecl_make_cfun_va((cl_objectfn)LC11make_instance,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("MAKE-INSTANCE",947),Cnil,VVtemp[18],VVtemp[2],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC12finalize_inheritance,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("FINALIZE-INHERITANCE",1509),Cnil,VVtemp[18],VVtemp[10],Cnil,VVtemp[19],T0) /*  INSTALL-METHOD */;
	T0= cl_list(2,ECL_SYM("METACLASS",998),ECL_SYM("STRUCTURE-CLASS",975)) /*  LIST */;
	clos_load_defclass(ECL_SYM("STRUCTURE-OBJECT",976),VVtemp[4],Cnil,T0) /*  LOAD-DEFCLASS */;
	T0= ecl_make_cfun_va((cl_objectfn)LC13make_load_form,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("MAKE-LOAD-FORM",949),Cnil,VVtemp[20],VVtemp[21],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC14print_object,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("PRINT-OBJECT",959),Cnil,VVtemp[22],VVtemp[23],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
}
