/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CMP;CMPC-INLINER.LSP                              */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpc-inliner.eclh"
/*	function definition for INLINED-ARG-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1inlined_arg_loc(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_cadr(V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for INLINED-ARG-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2inlined_arg_type(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_car(V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for INLINED-ARG-REP-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3inlined_arg_rep_type(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_cadr(V1);
	value0=ecl_function_dispatch(cl_env_copy,VV[30])(1,T0) /*  LOC-REPRESENTATION-TYPE */;
	return value0;
}}
/*	local function DEFINE-C-INLINER                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4define_c_inliner(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  FNAME           */
	cl_object V5;                             /*  LAMBDA-LIST     */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	T0= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("GETHASH",411),T0,VV[3]) /*  LIST       */;
	T2= cl_listX(3,ECL_SYM("BLOCK",135),Cnil,V3) /*  LIST*        */;
	T3= cl_list(3,ECL_SYM("LAMBDA",450),V5,T2) /*  LIST           */;
	T4= cl_list(2,ECL_SYM("FUNCTION",394),T3) /*  LIST            */;
	value0=cl_list(3,ECL_SYM("SETF",748),T1,T4) /*  LIST          */;
	return value0;
	}
}}
/*	function definition for APPLY-INLINER                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5apply_inliner(cl_object V1, cl_object V2, cl_object V3)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  FD              */
	V4= ecl_gethash_safe(V1,ecl_symbol_value(VV[3]),Cnil);
	if((V4)==Cnil){
	goto L3;}
	value0=cl_apply(3,V4,V2,V3)               /*  APPLY           */;
	return value0;
L3:;
	value0=L6default_c_inliner(V1,V2,V3)      /*  DEFAULT-C-INLINER */;
	return value0;
	}
}}
/*	function definition for DEFAULT-C-INLINER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6default_c_inliner(cl_object V1, cl_object V2, cl_object V3)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  ARG-TYPES       */
	cl_object V5;                             /*  II              */
	{cl_object V6;
	cl_object V7;
	V6= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
	V7= V3;
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(Cnil);
	V9= V8;
L8:;
	if(!(ecl_endp(V7))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	V6= _ecl_car(V7);
	{cl_object V10;
	V10= _ecl_cdr(V7);
	if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
	V7= V10;
	}
	if (ecl_unlikely(ATOM(V9))) FEtype_error_cons(V9);
	T0= V9;
	T1= ecl_car(V6);
	V9= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V9,T0);
	goto L8;
L9:;
	V4= ecl_cdr(V8);
	goto L1;
	}
	}
L1:;
	V5= L7inline_function(3,V1,V4,V2)         /*  INLINE-FUNCTION */;
	if((V5)==Cnil){
	goto L28;}
	value0=L8apply_inline_info(V5,V3)         /*  APPLY-INLINE-INFO */;
	return value0;
L28:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for INLINE-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7inline_function(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= VV[7];
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	if((ecl_function_dispatch(cl_env_copy,VV[35])(1,V1) /*  INLINE-POSSIBLE */)==Cnil){
	goto L3;}
	if((ecl_gethash_safe(V1,ecl_symbol_value(VV[8]),Cnil))!=Cnil){
	goto L3;}
	{cl_object V5;                            /*  DEST-REP-TYPE   */
	cl_object V6;                             /*  II              */
	V5= ecl_function_dispatch(cl_env_copy,VV[30])(1,ecl_symbol_value(VV[9])) /*  LOC-REPRESENTATION-TYPE */;
	V6= L10get_inline_info(V1,V2,V3,V4)       /*  GET-INLINE-INFO */;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for APPLY-INLINE-INFO                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8apply_inline_info(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG-TYPES       */
	cl_object V4;                             /*  OUT-REP-TYPE    */
	cl_object V5;                             /*  OUT-TYPE        */
	cl_object V6;                             /*  SIDE-EFFECTS-P  */
	cl_object V7;                             /*  FUN             */
	cl_object V8;                             /*  ONE-LINER       */
	V3= ecl_function_dispatch(cl_env_copy,VV[37])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	V4= ecl_function_dispatch(cl_env_copy,VV[38])(1,V1) /*  INLINE-INFO-RETURN-REP-TYPE */;
	V5= ecl_function_dispatch(cl_env_copy,VV[39])(1,V1) /*  INLINE-INFO-RETURN-TYPE */;
	T0= ecl_function_dispatch(cl_env_copy,VV[40])(1,V1) /*  INLINE-INFO-NAME */;
	V6= ecl_function_dispatch(cl_env_copy,VV[41])(1,T0) /*  FUNCTION-MAY-HAVE-SIDE-EFFECTS */;
	V7= ecl_function_dispatch(cl_env_copy,VV[42])(1,V1) /*  INLINE-INFO-EXPANSION */;
	V8= ecl_function_dispatch(cl_env_copy,VV[43])(1,V1) /*  INLINE-INFO-ONE-LINER */;
	T0= ecl_list1(V4);
	value0=ecl_function_dispatch(cl_env_copy,VV[44])(6,V2,V3,T0,V7,V6,V8) /*  PRODUCE-INLINE-LOC */;
	return value0;
	}
}}
/*	function definition for CHOOSE-INLINE-INFO                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9choose_inline_info(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V4)==(VV[7])){
	goto L2;}
	if((V4)==(ECL_SYM("VOID",1378))){
	goto L2;}
	{cl_object V5;                            /*  INFO-TYPE       */
	V5= ecl_function_dispatch(cl_env_copy,VV[38])(1,V2) /*  INLINE-INFO-RETURN-REP-TYPE */;
	if((V4)==(V5)){
	goto L2;}
	if((V5)==(VV[12])){
	goto L2;}
	}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(V1==Cnil)){
	goto L9;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L9:;
	T0= ecl_function_dispatch(cl_env_copy,VV[37])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	T1= ecl_function_dispatch(cl_env_copy,VV[37])(1,V2) /*  INLINE-INFO-ARG-TYPES */;
	if(!(ecl_equal(T0,T1))){
	goto L12;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L12:;
	T0= ecl_fdefinition(VV[46]);
	T1= ecl_function_dispatch(cl_env_copy,VV[37])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	T2= ecl_function_dispatch(cl_env_copy,VV[37])(1,V2) /*  INLINE-INFO-ARG-TYPES */;
	if((cl_every(3,T0,T1,T2)                  /*  EVERY           */)==Cnil){
	goto L15;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L15:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GET-INLINE-INFO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10get_inline_info(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  OUTPUT          */
	V5= Cnil;
	if((ecl_function_dispatch(cl_env_copy,VV[47])(0) /*  SAFE-COMPILE */)!=Cnil){
	goto L4;}
	{cl_object V6;
	V6= si_get_sysprop(V1,VV[14])             /*  GET-SYSPROP     */;
	goto L10;
L9:;
	{cl_object V7;                            /*  X               */
	V7= ecl_car(V6);
	{cl_object V8;                            /*  OTHER           */
	V8= L13inline_type_matches(V7,V2,V3)      /*  INLINE-TYPE-MATCHES */;
	if((V8)==Cnil){
	goto L17;}
	V5= L9choose_inline_info(V5,V8,V3,V4)     /*  CHOOSE-INLINE-INFO */;
	goto L14;
L17:;
	goto L14;
	}
L14:;
	}
	V6= ecl_cdr(V6);
L10:;
	if((V6)==Cnil){
	goto L24;}
	goto L9;
L24:;
	goto L22;
L22:;
	goto L7;
L7:;
	goto L2;
	}
L4:;
	goto L2;
L2:;
	{cl_object V6;
	V6= si_get_sysprop(V1,VV[15])             /*  GET-SYSPROP     */;
	goto L31;
L30:;
	{cl_object V7;                            /*  X               */
	V7= ecl_car(V6);
	{cl_object V8;                            /*  OTHER           */
	V8= L13inline_type_matches(V7,V2,V3)      /*  INLINE-TYPE-MATCHES */;
	if((V8)==Cnil){
	goto L38;}
	V5= L9choose_inline_info(V5,V8,V3,V4)     /*  CHOOSE-INLINE-INFO */;
	goto L35;
L38:;
	goto L35;
	}
L35:;
	}
	V6= ecl_cdr(V6);
L31:;
	if((V6)==Cnil){
	goto L45;}
	goto L30;
L45:;
	goto L43;
L43:;
	goto L28;
L28:;
	}
	{cl_object V6;
	V6= si_get_sysprop(V1,VV[16])             /*  GET-SYSPROP     */;
	goto L52;
L51:;
	{cl_object V7;                            /*  X               */
	V7= ecl_car(V6);
	{cl_object V8;                            /*  OTHER           */
	V8= L13inline_type_matches(V7,V2,V3)      /*  INLINE-TYPE-MATCHES */;
	if((V8)==Cnil){
	goto L59;}
	V5= L9choose_inline_info(V5,V8,V3,V4)     /*  CHOOSE-INLINE-INFO */;
	goto L56;
L59:;
	goto L56;
	}
L56:;
	}
	V6= ecl_cdr(V6);
L52:;
	if((V6)==Cnil){
	goto L66;}
	goto L51;
L66:;
	goto L64;
L64:;
	goto L49;
L49:;
	}
	if(!(V5==Cnil)){
	goto L70;}
	if((si_get_sysprop(V1,VV[17])             /*  GET-SYSPROP     */)==Cnil){
	goto L70;}
	T0= ecl_function_dispatch(cl_env_copy,VV[48])(1,ECL_SYM("SPEED",789)) /*  CMP-ENV-OPTIMIZATION */;
	if(!(ecl_number_compare(T0,MAKE_FIXNUM(1))>=0)){
	goto L70;}
	ecl_function_dispatch(cl_env_copy,VV[49])(3,VV[18],V1,V2) /*  CMPWARN-STYLE */;
	goto L68;
L70:;
	goto L68;
L68:;
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for TO-FIXNUM-FLOAT-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11to_fixnum_float_type(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= VV[19];
	goto L5;
L4:;
	{cl_object V3;                            /*  I               */
	V3= ecl_car(V2);
	if((ecl_function_dispatch(cl_env_copy,VV[46])(2,V3,V1) /*  TYPE>= */)==Cnil){
	goto L11;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L11:;
	goto L9;
L9:;
	}
	V2= ecl_cdr(V2);
L5:;
	if((V2)==Cnil){
	goto L17;}
	goto L4;
L17:;
	goto L15;
L15:;
	goto L2;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAXIMUM-FLOAT-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12maximum_float_type(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((V1)==(ECL_SYM("LONG-FLOAT",506))){
	goto L7;}
	if(!((V2)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L5;}
	goto L6;
L7:;
L6:;
	value0=ECL_SYM("LONG-FLOAT",506); cl_env_copy->nvalues=1;
	return value0;
L5:;
	if((V1)==(ECL_SYM("DOUBLE-FLOAT",313))){
	goto L12;}
	if(!((V2)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L10;}
	goto L11;
L12:;
L11:;
	value0=ECL_SYM("DOUBLE-FLOAT",313); cl_env_copy->nvalues=1;
	return value0;
L10:;
	if((V1)==(ECL_SYM("SINGLE-FLOAT",776))){
	goto L17;}
	if(!((V2)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L15;}
	goto L16;
L17:;
L16:;
	value0=ECL_SYM("SINGLE-FLOAT",776); cl_env_copy->nvalues=1;
	return value0;
L15:;
	value0=ECL_SYM("FIXNUM",370); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for INLINE-TYPE-MATCHES                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13inline_type_matches(cl_object V1, cl_object V2, cl_object V3)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[53])(1,V1) /*  INLINE-INFO-MULTIPLE-VALUES */)!=Cnil){
	goto L3;}
	if(!((ecl_symbol_value(VV[9]))==(ECL_SYM("VALUES",893)))){
	goto L9;}
	goto L6;
	goto L7;
L9:;
	goto L7;
L7:;
	if(!((ecl_symbol_value(VV[9]))==(ECL_SYM("RETURN",722)))){
	goto L3;}
	goto L4;
L6:;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	goto L1;
L1:;
	{cl_object V4;                            /*  RTS             */
	cl_object V5;                             /*  NUMBER-MAX      */
	V4= Cnil;
	V5= Cnil;
	{cl_object V6;                            /*  ARG-TYPES       */
	cl_object V7;                             /*  TYPES           */
	V6= V2;
	V7= ecl_function_dispatch(cl_env_copy,VV[37])(1,V1) /*  INLINE-INFO-ARG-TYPES */;
	goto L20;
L19:;
	{cl_object V8;                            /*  ARG-TYPE        */
	cl_object V9;                             /*  TYPE            */
	V8= ecl_car(V6);
	V9= ecl_car(V7);
	if(!((V9)==(VV[24]))){
	goto L26;}
	{cl_object V10;                           /*  NEW-TYPE        */
	V10= L11to_fixnum_float_type(V8)          /*  TO-FIXNUM-FLOAT-TYPE */;
	if((V10)!=Cnil){
	goto L31;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L31:;
	goto L29;
L29:;
	V4= CONS(V10,V4);
	V5= L12maximum_float_type(V5,V10)         /*  MAXIMUM-FLOAT-TYPE */;
	goto L22;
	}
L26:;
	if((ecl_function_dispatch(cl_env_copy,VV[46])(2,V9,V8) /*  TYPE>= */)==Cnil){
	goto L37;}
	V4= CONS(V9,V4);
	goto L22;
L37:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L22:;
	V6= ecl_cdr(V6);
	V7= ecl_cdr(V7);
L20:;
	if(ecl_endp(V6)){
	goto L46;}
	if(ecl_endp(V7)){
	goto L46;}
	goto L19;
L46:;
	goto L44;
L44:;
	goto L17;
L17:;
	if((V6)!=Cnil){
	goto L52;}
	if((V7)==Cnil){
	goto L50;}
	goto L51;
L52:;
L51:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L50:;
	goto L14;
	}
L14:;
	T0= ecl_function_dispatch(cl_env_copy,VV[38])(1,V1) /*  INLINE-INFO-RETURN-REP-TYPE */;
	if((T0)==(VV[12])){
	goto L57;}
	T0= ecl_function_dispatch(cl_env_copy,VV[54])(1,V1) /*  INLINE-INFO-EXACT-RETURN-TYPE */;
	if(T0==Cnil){
	goto L57;}
	if((ecl_function_dispatch(cl_env_copy,VV[55])(0) /*  POLICY-ASSUME-RIGHT-TYPE */)==Cnil){
	goto L55;}
	{cl_object V6;                            /*  INLINE-RETURN-TYPE */
	V6= ecl_function_dispatch(cl_env_copy,VV[39])(1,V1) /*  INLINE-INFO-RETURN-TYPE */;
	if((V5)==Cnil){
	goto L63;}
	if(!((V5)==(ECL_SYM("FIXNUM",370)))){
	goto L68;}
	V5= ECL_SYM("INTEGER",435);
	goto L66;
L68:;
	goto L66;
L66:;
	if((V5)==Cnil){
	goto L55;}
	if((ecl_function_dispatch(cl_env_copy,VV[46])(2,V6,V5) /*  TYPE>= */)==Cnil){
	goto L55;}
	if((ecl_function_dispatch(cl_env_copy,VV[46])(2,V5,V3) /*  TYPE>= */)==Cnil){
	goto L55;}
	goto L56;
L63:;
	if((ecl_function_dispatch(cl_env_copy,VV[46])(2,V6,V3) /*  TYPE>= */)==Cnil){
	goto L55;}
	goto L56;
	}
L57:;
L56:;
	{cl_object V6;                            /*  INLINE-INFO     */
	V6= cl_copy_structure(V1)                 /*  COPY-STRUCTURE  */;
	{cl_object V7;
	V7= cl_nreverse(V4)                       /*  NREVERSE        */;
	ecl_structure_set(V6,VV[25],3,V7);
	}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
L55:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "cmp/cmpc-inliner.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl9h7X4pa7_ULQWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPC-INLINER.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecl9h7X4pa7_ULQWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[27]);                    /*  INLINED-ARG-LOC */
	ecl_cmp_defun(VV[28]);                    /*  INLINED-ARG-TYPE */
	ecl_cmp_defun(VV[29]);                    /*  INLINED-ARG-REP-TYPE */
	ecl_cmp_defmacro(VV[31]);                 /*  DEFINE-C-INLINER */
	ecl_cmp_defun(VV[32]);                    /*  APPLY-INLINER   */
	ecl_cmp_defun(VV[33]);                    /*  DEFAULT-C-INLINER */
	ecl_cmp_defun(VV[34]);                    /*  INLINE-FUNCTION */
	ecl_cmp_defun(VV[36]);                    /*  APPLY-INLINE-INFO */
	ecl_cmp_defun(VV[45]);                    /*  CHOOSE-INLINE-INFO */
	(void)0; /* No entry created for GET-INLINE-INFO */
	ecl_cmp_defun(VV[50]);                    /*  TO-FIXNUM-FLOAT-TYPE */
	ecl_cmp_defun(VV[51]);                    /*  MAXIMUM-FLOAT-TYPE */
	ecl_cmp_defun(VV[52]);                    /*  INLINE-TYPE-MATCHES */
}
