/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CMP;CMPFFI.LSP                                    */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpffi.eclh"
/*	function definition for C-NUMBER-REP-TYPE-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1c_number_rep_type_p(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_memql(V1,VV[5]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for C-INTEGER-REP-TYPE-P                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2c_integer_rep_type_p(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_memql(V1,VV[7]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for C-INTEGER-REP-TYPE-BITS               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3c_integer_rep_type_bits(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_assql(V1,ecl_symbol_value(VV[0]));
	T1= ecl_cdr(T0);
	value0=cl_abs(T1)                         /*  ABS             */;
	return value0;
}}
/*	function definition for C-NUMBER-TYPE-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4c_number_type_p(cl_object V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L9lisp_type__rep_type(V1)             /*  LISP-TYPE->REP-TYPE */;
	value0=L1c_number_rep_type_p(T0)          /*  C-NUMBER-REP-TYPE-P */;
	return value0;
}}
/*	function definition for C-INTEGER-TYPE-P                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5c_integer_type_p(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L9lisp_type__rep_type(V1)             /*  LISP-TYPE->REP-TYPE */;
	value0=L2c_integer_rep_type_p(T0)         /*  C-INTEGER-REP-TYPE-P */;
	return value0;
}}
/*	function definition for C-INTEGER-TYPE-BITS                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6c_integer_type_bits(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L9lisp_type__rep_type(V1)             /*  LISP-TYPE->REP-TYPE */;
	value0=ecl_function_dispatch(cl_env_copy,VV[119])(1,T0) /*  C-NUMBER-REP-TYPE-BITS */;
	return value0;
}}
/*	function definition for REP-TYPE-RECORD                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7rep_type_record(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_gethash(2,V1,ecl_symbol_value(VV[4])) /*  GETHASH   */;
	return value0;
}}
/*	function definition for REP-TYPE->LISP-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8rep_type__lisp_type(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  OUTPUT          */
	V2= L7rep_type_record(V1)                 /*  REP-TYPE-RECORD */;
	if((V2)==Cnil){
	goto L3;}
	if(!((V1)==(ECL_SYM("VOID",1378)))){
	goto L6;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L6:;
	value0=ecl_car(V2);
	if((value0)!=Cnil){
	goto L9;}
	value0=ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[14],V1) /*  CMPERR */;
	return value0;
L9:;
	cl_env_copy->nvalues=1;
	return value0;
L3:;
	if((L11lisp_type_p(V1)                    /*  LISP-TYPE-P     */)==Cnil){
	goto L12;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L12:;
	value0=ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[15],V1) /*  CMPERR */;
	return value0;
	}
}}
/*	function definition for LISP-TYPE->REP-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9lisp_type__rep_type(cl_object V1)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=ECL_SYM("OBJECT",1275); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((L7rep_type_record(V1)                 /*  REP-TYPE-RECORD */)==Cnil){
	goto L5;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	{cl_object V2;                            /*  L               */
	V2= ecl_symbol_value(VV[3]);
	goto L11;
L10:;
	T0= ecl_cadr(V2);
	T1= ecl_car(T0);
	if((cl_subtypep(2,V1,T1)                  /*  SUBTYPEP        */)==Cnil){
	goto L15;}
	value0=ecl_car(V2); cl_env_copy->nvalues=1;
	return value0;
L15:;
	goto L13;
L13:;
	V2= ecl_cddr(V2);
L11:;
	if(ecl_endp(V2)){
	goto L21;}
	goto L10;
L21:;
	goto L19;
L19:;
	goto L8;
L8:;
	value0=ECL_SYM("OBJECT",1275); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for REP-TYPE-NAME                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10rep_type_name(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L7rep_type_record(V1)                 /*  REP-TYPE-RECORD */;
	value0=ecl_cadr(T0);
	if((value0)!=Cnil){
	goto L2;}
	value0=ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[18],V1) /*  CMPERR */;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LISP-TYPE-P                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11lisp_type_p(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_subtypep(2,V1,Ct)               /*  SUBTYPEP        */;
	return value0;
}}
/*	function definition for WT-TO-OBJECT-CONVERSION               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12wt_to_object_conversion(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_CONSP(V2))){
	goto L3;}
	{cl_object V3;
	V3= ecl_car(V2);
	if(!((V3)==(VV[21]))){
	goto L10;}
	goto L7;
	goto L8;
L10:;
	goto L8;
L8:;
	if(!((V3)==(VV[23]))){
	goto L14;}
	goto L7;
	goto L12;
L14:;
	goto L12;
L12:;
	if(!((V3)==(VV[25]))){
	goto L3;}
	goto L4;
L7:;
	}
L4:;
	T0= ecl_caddr(V2);
	ecl_function_dispatch(cl_env_copy,VV[127])(1,T0) /*  WT       */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	goto L1;
L1:;
	{cl_object V3;                            /*  X               */
	T0= L7rep_type_record(V1)                 /*  REP-TYPE-RECORD */;
	V3= ecl_caddr(T0);
	if((V3)!=Cnil){
	goto L21;}
	ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[27],V1) /*  CMPERR */;
	goto L19;
L21:;
	goto L19;
L19:;
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(4,V3,VV[28],V2,VV[29]) /*  WT */;
	return value0;
	}
}}
/*	function definition for WT-FROM-OBJECT-CONVERSION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13wt_from_object_conversion(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  X               */
	T0= L7rep_type_record(V3)                 /*  REP-TYPE-RECORD */;
	V5= ecl_cdddr(T0);
	if((V5)!=Cnil){
	goto L4;}
	ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[31],V3) /*  CMPERR */;
	goto L2;
L4:;
	goto L2;
L2:;
	if((ecl_function_dispatch(cl_env_copy,VV[129])(0) /*  POLICY-ASSUME-NO-ERRORS */)!=Cnil){
	goto L10;}
	if((cl_subtypep(2,V2,V1)                  /*  SUBTYPEP        */)==Cnil){
	goto L8;}
	goto L9;
L10:;
L9:;
	T0= ecl_cadr(V5);
	goto L6;
L8:;
	T0= ecl_car(V5);
	goto L6;
L6:;
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(4,T0,VV[28],V4,VV[29]) /*  WT */;
	return value0;
	}
}}
/*	function definition for LOC-MOVABLE-P                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14loc_movable_p(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ATOM(V1))){
	goto L2;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	{cl_object V2;
	V2= ecl_car(V1);
	if(!((V2)==(VV[33]))){
	goto L11;}
	goto L8;
	goto L9;
L11:;
	goto L9;
L9:;
	if(!((V2)==(VV[35]))){
	goto L6;}
	goto L7;
L8:;
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L6:;
	if(!((V2)==(VV[37]))){
	goto L15;}
	T0= ecl_cddddr(V1);
	T1= ecl_car(T0);
	value0=Null(T1)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
L15:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOC-TYPE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15loc_type(cl_object V1)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(Cnil))){
	goto L2;}
	value0=ECL_SYM("NULL",603); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((ecl_function_dispatch(cl_env_copy,VV[132])(1,V1) /*  VAR-P */)==Cnil){
	goto L5;}
	value0=ecl_function_dispatch(cl_env_copy,VV[133])(1,V1) /*  VAR-TYPE */;
	return value0;
L5:;
	if((ecl_function_dispatch(cl_env_copy,VV[134])(1,V1) /*  VV-P */)==Cnil){
	goto L8;}
	value0=ecl_function_dispatch(cl_env_copy,VV[135])(1,V1) /*  VV-TYPE */;
	return value0;
L8:;
	if(!(FIXNUMP(V1))){
	goto L11;}
	value0=ECL_SYM("FIXNUM",370); cl_env_copy->nvalues=1;
	return value0;
L11:;
	if(!(ECL_ATOM(V1))){
	goto L14;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L14:;
	{cl_object V2;
	V2= ecl_car(V1);
	if(!((V2)==(VV[40]))){
	goto L18;}
	value0=ECL_SYM("FIXNUM",370); cl_env_copy->nvalues=1;
	return value0;
L18:;
	if(!((V2)==(VV[41]))){
	goto L21;}
	T0= ecl_cadr(V1);
	T1= cl_code_char(T0)                      /*  CODE-CHAR       */;
	value0=cl_type_of(T1)                     /*  TYPE-OF         */;
	return value0;
L21:;
	if(!((V2)==(VV[23]))){
	goto L24;}
	value0=ECL_SYM("DOUBLE-FLOAT",313); cl_env_copy->nvalues=1;
	return value0;
L24:;
	if(!((V2)==(VV[21]))){
	goto L27;}
	value0=ECL_SYM("SINGLE-FLOAT",776); cl_env_copy->nvalues=1;
	return value0;
L27:;
	if(!((V2)==(VV[25]))){
	goto L30;}
	value0=ECL_SYM("LONG-FLOAT",506); cl_env_copy->nvalues=1;
	return value0;
L30:;
	if(!((V2)==(VV[37]))){
	goto L33;}
	{cl_object V3;                            /*  TYPE            */
	T0= ecl_cadr(V1);
	V3= ecl_car(T0);
	if(!(ECL_CONSP(V3))){
	goto L37;}
	T0= ecl_car(V3);
	if(!((T0)==(ECL_SYM("VALUES",893)))){
	goto L37;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L37:;
	if((L11lisp_type_p(V3)                    /*  LISP-TYPE-P     */)==Cnil){
	goto L41;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L41:;
	value0=L8rep_type__lisp_type(V3)          /*  REP-TYPE->LISP-TYPE */;
	return value0;
	}
L33:;
	if(!((V2)==(VV[42]))){
	goto L44;}
	T0= ecl_cadr(V1);
	value0=ecl_function_dispatch(cl_env_copy,VV[133])(1,T0) /*  VAR-TYPE */;
	return value0;
L44:;
	if(!((V2)==(VV[43]))){
	goto L47;}
	value0=ecl_caddr(V1);
	if((value0)!=Cnil){
	goto L50;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L50:;
	cl_env_copy->nvalues=1;
	return value0;
L47:;
	if(!((V2)==(ECL_SYM("THE",854)))){
	goto L53;}
	value0=ecl_cadr(V1); cl_env_copy->nvalues=1;
	return value0;
L53:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOC-REPRESENTATION-TYPE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16loc_representation_type(cl_object V1)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(Cnil))){
	goto L7;}
	goto L4;
	goto L5;
L7:;
	goto L5;
L5:;
	if(!(ecl_eql(V1,Ct))){
	goto L2;}
	goto L3;
L4:;
L3:;
	value0=ECL_SYM("OBJECT",1275); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((ecl_function_dispatch(cl_env_copy,VV[132])(1,V1) /*  VAR-P */)==Cnil){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,VV[137])(1,V1) /*  VAR-REP-TYPE */;
	return value0;
L11:;
	if((ecl_function_dispatch(cl_env_copy,VV[134])(1,V1) /*  VV-P */)==Cnil){
	goto L14;}
	value0=ECL_SYM("OBJECT",1275); cl_env_copy->nvalues=1;
	return value0;
L14:;
	if(!(FIXNUMP(V1))){
	goto L17;}
	value0=ECL_SYM("FIXNUM",1364); cl_env_copy->nvalues=1;
	return value0;
L17:;
	if(!((V1)==(VV[47]))){
	goto L20;}
	value0=ECL_SYM("VOID",1378); cl_env_copy->nvalues=1;
	return value0;
L20:;
	if(!(ECL_ATOM(V1))){
	goto L23;}
	value0=ECL_SYM("OBJECT",1275); cl_env_copy->nvalues=1;
	return value0;
L23:;
	{cl_object V2;
	V2= ecl_car(V1);
	if(!((V2)==(VV[40]))){
	goto L27;}
	value0=ECL_SYM("FIXNUM",1364); cl_env_copy->nvalues=1;
	return value0;
L27:;
	if(!((V2)==(VV[41]))){
	goto L30;}
	T0= ecl_cadr(V1);
	if(!(ecl_number_compare(T0,MAKE_FIXNUM(255))<=0)){
	goto L33;}
	value0=ECL_SYM("UNSIGNED-CHAR",1384); cl_env_copy->nvalues=1;
	return value0;
L33:;
	value0=VV[48]; cl_env_copy->nvalues=1;
	return value0;
L30:;
	if(!((V2)==(VV[23]))){
	goto L36;}
	value0=ECL_SYM("DOUBLE",1363); cl_env_copy->nvalues=1;
	return value0;
L36:;
	if(!((V2)==(VV[21]))){
	goto L39;}
	value0=ECL_SYM("FLOAT",1365); cl_env_copy->nvalues=1;
	return value0;
L39:;
	if(!((V2)==(VV[25]))){
	goto L42;}
	value0=VV[49]; cl_env_copy->nvalues=1;
	return value0;
L42:;
	if(!((V2)==(VV[37]))){
	goto L45;}
	{cl_object V3;                            /*  TYPE            */
	T0= ecl_cadr(V1);
	V3= ecl_car(T0);
	if(!(ECL_CONSP(V3))){
	goto L49;}
	T0= ecl_car(V3);
	if(!((T0)==(ECL_SYM("VALUES",893)))){
	goto L49;}
	value0=ECL_SYM("OBJECT",1275); cl_env_copy->nvalues=1;
	return value0;
L49:;
	if((L11lisp_type_p(V3)                    /*  LISP-TYPE-P     */)==Cnil){
	goto L53;}
	value0=L9lisp_type__rep_type(V3)          /*  LISP-TYPE->REP-TYPE */;
	return value0;
L53:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L45:;
	if(!((V2)==(VV[42]))){
	goto L56;}
	T0= ecl_cadr(V1);
	value0=ecl_function_dispatch(cl_env_copy,VV[137])(1,T0) /*  VAR-REP-TYPE */;
	return value0;
L56:;
	if(!((V2)==(VV[43]))){
	goto L59;}
	value0=ecl_caddr(V1);
	if((value0)!=Cnil){
	goto L63;}
	T0= Ct;
	goto L61;
L63:;
	T0= value0;
	goto L61;
L61:;
	value0=L9lisp_type__rep_type(T0)          /*  LISP-TYPE->REP-TYPE */;
	return value0;
L59:;
	if(!((V2)==(VV[50]))){
	goto L71;}
	goto L68;
	goto L69;
L71:;
	goto L69;
L69:;
	if(!((V2)==(VV[52]))){
	goto L66;}
	goto L67;
L68:;
L67:;
	value0=VV[54]; cl_env_copy->nvalues=1;
	return value0;
L66:;
	if(!((V2)==(ECL_SYM("THE",854)))){
	goto L75;}
	V1= ecl_caddr(V1);
	goto TTL;
L75:;
	value0=ECL_SYM("OBJECT",1275); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for WT-COERCE-LOC                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19wt_coerce_loc(cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	lex0[0]= V1;                              /*  DEST-REP-TYPE   */
TTL:
	lex0[0]= L9lisp_type__rep_type(lex0[0])   /*  LISP-TYPE->REP-TYPE */;
	T0= L8rep_type__lisp_type(lex0[0])        /*  REP-TYPE->LISP-TYPE */;
	lex0[1]= T0;                              /*  DEST-TYPE       */
	T0= L15loc_type(V2)                       /*  LOC-TYPE        */;
	lex0[2]= T0;                              /*  LOC-TYPE        */
	T0= L16loc_representation_type(V2)        /*  LOC-REPRESENTATION-TYPE */;
	lex0[3]= T0;                              /*  LOC-REP-TYPE    */
	if(!((lex0[0])==(lex0[3]))){
	goto L5;}
	ecl_function_dispatch(cl_env_copy,VV[127])(1,V2) /*  WT       */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	goto L3;
L3:;
	if((ecl_memql(lex0[0],VV[7]))==Cnil){
	goto L9;}
	if((ecl_memql(lex0[3],VV[5]))==Cnil){
	goto L12;}
	T0= L10rep_type_name(lex0[0])             /*  REP-TYPE-NAME   */;
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(5,VV[28],T0,VV[57],V2,VV[29]) /*  WT */;
	return value0;
L12:;
	if(!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1275)))){
	goto L15;}
	LC18ensure_valid_object_type(lex0,lex0[1]) /*  ENSURE-VALID-OBJECT-TYPE */;
	value0=L13wt_from_object_conversion(lex0[1],lex0[2],lex0[0],V2) /*  WT-FROM-OBJECT-CONVERSION */;
	return value0;
L15:;
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L9:;
	if(!(ecl_eql(lex0[0],ECL_SYM("CHAR",1361)))){
	goto L25;}
	goto L22;
	goto L23;
L25:;
	goto L23;
L23:;
	if(!(ecl_eql(lex0[0],ECL_SYM("UNSIGNED-CHAR",1384)))){
	goto L29;}
	goto L22;
	goto L27;
L29:;
	goto L27;
L27:;
	if(!(ecl_eql(lex0[0],VV[48]))){
	goto L20;}
	goto L21;
L22:;
L21:;
	if(!(ecl_eql(lex0[3],ECL_SYM("CHAR",1361)))){
	goto L38;}
	goto L35;
	goto L36;
L38:;
	goto L36;
L36:;
	if(!(ecl_eql(lex0[3],ECL_SYM("UNSIGNED-CHAR",1384)))){
	goto L42;}
	goto L35;
	goto L40;
L42:;
	goto L40;
L40:;
	if(!(ecl_eql(lex0[3],VV[48]))){
	goto L33;}
	goto L34;
L35:;
L34:;
	T0= L10rep_type_name(lex0[0])             /*  REP-TYPE-NAME   */;
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(5,VV[28],T0,VV[57],V2,VV[29]) /*  WT */;
	return value0;
L33:;
	if(!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1275)))){
	goto L46;}
	LC18ensure_valid_object_type(lex0,lex0[1]) /*  ENSURE-VALID-OBJECT-TYPE */;
	value0=L13wt_from_object_conversion(lex0[1],lex0[2],lex0[0],V2) /*  WT-FROM-OBJECT-CONVERSION */;
	return value0;
L46:;
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L20:;
	if(!(ecl_eql(lex0[0],ECL_SYM("FLOAT",1365)))){
	goto L56;}
	goto L53;
	goto L54;
L56:;
	goto L54;
L54:;
	if(!(ecl_eql(lex0[0],ECL_SYM("DOUBLE",1363)))){
	goto L60;}
	goto L53;
	goto L58;
L60:;
	goto L58;
L58:;
	if(!(ecl_eql(lex0[0],VV[49]))){
	goto L51;}
	goto L52;
L53:;
L52:;
	if((ecl_memql(lex0[3],VV[5]))==Cnil){
	goto L64;}
	T0= L10rep_type_name(lex0[0])             /*  REP-TYPE-NAME   */;
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(5,VV[28],T0,VV[57],V2,VV[29]) /*  WT */;
	return value0;
L64:;
	if(!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1275)))){
	goto L67;}
	LC18ensure_valid_object_type(lex0,ECL_SYM("FLOAT",372)) /*  ENSURE-VALID-OBJECT-TYPE */;
	value0=L13wt_from_object_conversion(lex0[1],lex0[2],lex0[0],V2) /*  WT-FROM-OBJECT-CONVERSION */;
	return value0;
L67:;
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L51:;
	if(!(ecl_eql(lex0[0],VV[54]))){
	goto L72;}
	if((ecl_memql(lex0[3],VV[5]))==Cnil){
	goto L76;}
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(1,VV[66]) /*  WT */;
	return value0;
L76:;
	if(!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1275)))){
	goto L79;}
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(3,VV[28],V2,VV[67]) /*  WT */;
	return value0;
L79:;
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L72:;
	if(!(ecl_eql(lex0[0],ECL_SYM("OBJECT",1275)))){
	goto L83;}
	value0=L12wt_to_object_conversion(lex0[3],V2) /*  WT-TO-OBJECT-CONVERSION */;
	return value0;
L83:;
	if(!(ecl_eql(lex0[0],ECL_SYM("POINTER-VOID",1374)))){
	goto L87;}
	if(!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1275)))){
	goto L91;}
	value0=L13wt_from_object_conversion(lex0[1],lex0[2],lex0[0],V2) /*  WT-FROM-OBJECT-CONVERSION */;
	return value0;
L91:;
	if(!(ecl_eql(lex0[3],ECL_SYM("CSTRING",1362)))){
	goto L95;}
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(3,VV[70],V2,VV[29]) /*  WT */;
	return value0;
L95:;
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L87:;
	if(!(ecl_eql(lex0[0],ECL_SYM("CSTRING",1362)))){
	goto L99;}
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L99:;
	if(!(ecl_eql(lex0[0],VV[71]))){
	goto L103;}
	if(!(ecl_eql(lex0[3],ECL_SYM("OBJECT",1275)))){
	goto L107;}
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(3,VV[73],V2,VV[29]) /*  WT */;
	return value0;
L107:;
	if(!(ecl_eql(lex0[3],ECL_SYM("POINTER-VOID",1374)))){
	goto L111;}
	value0=ecl_function_dispatch(cl_env_copy,VV[127])(3,VV[70],V2,VV[29]) /*  WT */;
	return value0;
L111:;
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L103:;
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
}}
/*	local function ENSURE-VALID-OBJECT-TYPE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18ensure_valid_object_type(volatile cl_object *lex0, cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("AND",85),lex0[2],V1) /*  LIST          */;
	if((cl_subtypep(2,T0,Cnil)                /*  SUBTYPEP        */)==Cnil){
	goto L2;}
	value0=LC17coercion_error(lex0)           /*  COERCION-ERROR  */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function COERCION-ERROR                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17coercion_error(volatile cl_object *lex0)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[139])(5,VV[56],lex0[2],lex0[3],lex0[1],lex0[0]) /*  CMPWARN */;
	return value0;
}}
/*	function definition for C1CLINES                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20c1clines(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= (ECL_SYM("STRINGP",823)->symbol.gfdef);
	if((cl_every(2,T0,V1)                     /*  EVERY           */)!=Cnil){
	goto L3;}
	ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[75],V1) /*  CMPERR */;
	goto L1;
L3:;
	goto L1;
L1:;
	T0= cl_copy_list(V1)                      /*  COPY-LIST       */;
	cl_set(VV[76],ecl_nconc(ecl_symbol_value(VV[76]),T0));
	value0=VV[77]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OUTPUT-CLINES                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23output_clines(cl_object volatile V1)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET1880         */
	cl_object V3;                             /*  S               */
	cl_object V4;
	V2= ecl_symbol_value(VV[76]);
	V3= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
	V4= V2;
L7:;
	if(!(ecl_endp(V4))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	V3= _ecl_car(V4);
	{cl_object V5;
	V5= _ecl_cdr(V4);
	if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
	V4= V5;
	}
	ecl_terpri(V1);
	{cl_object V5;
	V5= si_make_seq_iterator(2,V3,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L26:;
	if((V5)!=Cnil){
	goto L30;}
	goto L22;
L30:;
	goto L28;
L28:;
	{cl_object V6;
	V6= si_seq_iterator_ref(V3,V5)            /*  SEQ-ITERATOR-REF */;
	if(!((CODE_CHAR((ecl_character)(64))==(V6)))){
	goto L35;}
	if((V6)==Cnil){
	goto L22;}
	goto L23;
L35:;
	goto L32;
	}
L32:;
	V5= si_seq_iterator_next(V3,V5)           /*  SEQ-ITERATOR-NEXT */;
	goto L26;
	}
L23:;
	LC22parse_one_string(V3,V1)               /*  PARSE-ONE-STRING */;
	goto L20;
L22:;
	cl_write_string(2,V3,V1)                  /*  WRITE-STRING    */;
	goto L20;
L20:;
	goto L7;
L8:;
	goto L1;
	}
L1:;
	ecl_terpri(V1);
	cl_set(VV[76],Cnil);
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function PARSE-ONE-STRING                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22parse_one_string(cl_object volatile V1, cl_object volatile V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V3;                   /*  STREAM          */
	V3= cl_make_string_input_stream(3,V1,MAKE_FIXNUM(0),Cnil) /*  MAKE-STRING-INPUT-STREAM */;
	{volatile cl_object V4;                   /*  C               */
	V4= Cnil;
L4:;
	V4= cl_read_char(3,V3,Cnil,Cnil)          /*  READ-CHAR       */;
	if((V4)!=Cnil){
	goto L10;}
	goto L5;
L10:;
	goto L8;
L8:;
	if(!((V4)==(CODE_CHAR(64)))){
	goto L14;}
	{volatile cl_object V5;                   /*  OBJECT          */
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L18;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC21__g44,env2,Cblock);
	T1= CONS(ECL_SYM("SERIOUS-CONDITION",740),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[79]));
	ecl_bds_bind(cl_env_copy,VV[79],T3);      /*  *HANDLER-CLUSTERS* */
	value0=cl_read(1,V3)                      /*  READ            */;
	ecl_frs_pop(cl_env_copy);
	V5= value0;
	ecl_bds_unwind1(cl_env_copy);
	goto L16;
L18:;
	value0=ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[80],V1) /*  CMPERR */;
	ecl_frs_pop(cl_env_copy);
	V5= value0;
	goto L16;}
	}
L16:;
	ecl_bds_bind(cl_env_copy,VV[81],V2);      /*  *COMPILER-OUTPUT1* */
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(3,V5,VV[82],Ct) /*  ADD-OBJECT */;
	ecl_function_dispatch(cl_env_copy,VV[127])(1,T0) /*  WT       */;
	ecl_bds_unwind1(cl_env_copy);
	goto L12;
	}
L14:;
	cl_write_char(2,V4,V2)                    /*  WRITE-CHAR      */;
	goto L12;
L12:;
	goto L4;
L5:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	closure G44                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21__g44(cl_narg narg, cl_object V1, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for C1C-INLINE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25c1c_inline(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	cl_object V3;                             /*  ARGUMENTS       */
	cl_object V4;                             /*  ARG-TYPES       */
	cl_object V5;                             /*  OUTPUT-TYPE     */
	cl_object V6;                             /*  C-EXPRESSION    */
	cl_object V7;
	cl_object V8;                             /*  SIDE-EFFECTS    */
	cl_object V9;
	cl_object V10;                            /*  ONE-LINER       */
	cl_object V11;                            /*  OUTPUT-REP-TYPE */
	V2= V1;
	if(!(V2==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V12;
	V12= ecl_car(V2);
	V2= ecl_cdr(V2);
	V3= V12;
	}
	if(!(V2==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V12;
	V12= ecl_car(V2);
	V2= ecl_cdr(V2);
	V4= V12;
	}
	if(!(V2==Cnil)){
	goto L21;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V12;
	V12= ecl_car(V2);
	V2= ecl_cdr(V2);
	V5= V12;
	}
	if(!(V2==Cnil)){
	goto L29;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V12;
	V12= ecl_car(V2);
	V2= ecl_cdr(V2);
	V6= V12;
	}
	V7= si_search_keyword(2,V2,VV[84])        /*  SEARCH-KEYWORD  */;
	if(!((V7)==(ECL_SYM("MISSING-KEYWORD",1908)))){
	goto L37;}
	V8= Ct;
	goto L35;
L37:;
	V8= V7;
	goto L35;
L35:;
	V9= si_search_keyword(2,V2,VV[85])        /*  SEARCH-KEYWORD  */;
	if(!((V9)==(ECL_SYM("MISSING-KEYWORD",1908)))){
	goto L42;}
	V10= Cnil;
	goto L40;
L42:;
	V10= V9;
	goto L40;
L40:;
	V11= Cnil;
	si_check_keyword(2,V2,VV[86])             /*  CHECK-KEYWORD   */;
	{cl_fixnum V12;
	V12= ecl_length(V3);
	{cl_fixnum V13;
	V13= ecl_length(V4);
	if((V12)==(V13)){
	goto L48;}}}
	T0= CONS(VV[37],V1);
	ecl_function_dispatch(cl_env_copy,VV[122])(2,VV[87],T0) /*  CMPERR */;
	goto L46;
L48:;
	goto L46;
L46:;
	{cl_object V12;                           /*  NDX             */
	V12= cl_position(2,ECL_SYM("CSTRING",1362),V4) /*  POSITION   */;
	if((V12)==Cnil){
	goto L53;}
	{cl_object V13;                           /*  VAR             */
	cl_object V14;                            /*  ARGUMENTS       */
	cl_object V15;                            /*  VALUE           */
	V13= cl_gensym(0)                         /*  GENSYM          */;
	V14= cl_copy_list(V3)                     /*  COPY-LIST       */;
	V15= ecl_elt(V14,fix(V12));
	ecl_elt_set(V14,ecl_to_size(V12),V13);
	ecl_elt_set(V4,ecl_to_size(V12),VV[71]);
	T0= cl_list(2,V13,V15)                    /*  LIST            */;
	T1= cl_listX(6,VV[37],V14,V4,V5,V6,V2)    /*  LIST*           */;
	T2= cl_list(3,VV[88],T0,T1)               /*  LIST            */;
	value0=ecl_function_dispatch(cl_env_copy,VV[144])(1,T2) /*  C1EXPR */;
	return value0;
	}
L53:;
	goto L50;
	}
L50:;
	if(!((V5)==(ECL_SYM("VOID",1378)))){
	goto L62;}
	V11= Cnil;
	V5= Cnil;
	goto L60;
L62:;
	if(!(ecl_equal(V5,VV[89]))){
	goto L68;}
	V11= VV[90];
	goto L60;
L68:;
	if(!(ECL_CONSP(V5))){
	goto L72;}
	T0= ecl_car(V5);
	if(!((T0)==(ECL_SYM("VALUES",893)))){
	goto L72;}
	{cl_object V12;                           /*  X               */
	{cl_object V13;                           /*  LET1882         */
	cl_object V14;
	cl_object V15;
	V13= ecl_cdr(V5);
	V14= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
	V15= V13;
	{cl_object V16;
	cl_object V17;
	V16= ecl_list1(Cnil);
	V17= V16;
L83:;
	if(!(ecl_endp(V15))){
	goto L87;}
	goto L84;
L87:;
	goto L85;
L85:;
	V14= _ecl_car(V15);
	{cl_object V18;
	V18= _ecl_cdr(V15);
	if (ecl_unlikely(!ECL_LISTP(V18))) FEtype_error_list(V18);
	V15= V18;
	}
	if (ecl_unlikely(ATOM(V17))) FEtype_error_cons(V17);
	T0= V17;
	T1= LC24produce_type_pair(V14)            /*  PRODUCE-TYPE-PAIR */;
	V17= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V17,T0);
	goto L83;
L84:;
	V12= ecl_cdr(V16);
	goto L75;
	}
	}
L75:;
	{cl_object V13;
	cl_object V14;
	V13= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
	V14= V12;
	{cl_object V15;
	cl_object V16;
	V15= ecl_list1(Cnil);
	V16= V15;
L110:;
	if(!(ecl_endp(V14))){
	goto L114;}
	goto L111;
L114:;
	goto L112;
L112:;
	V13= _ecl_car(V14);
	{cl_object V17;
	V17= _ecl_cdr(V14);
	if (ecl_unlikely(!ECL_LISTP(V17))) FEtype_error_list(V17);
	V14= V17;
	}
	if (ecl_unlikely(ATOM(V16))) FEtype_error_cons(V16);
	T0= V16;
	T1= ecl_cdr(V13);
	V16= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V16,T0);
	goto L110;
L111:;
	V11= ecl_cdr(V15);
	goto L103;
	}
	}
L103:;
	{cl_object V13;
	cl_object V14;
	V13= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
	V14= V12;
	{cl_object V15;
	cl_object V16;
	V15= ecl_list1(Cnil);
	V16= V15;
L136:;
	if(!(ecl_endp(V14))){
	goto L140;}
	goto L137;
L140:;
	goto L138;
L138:;
	V13= _ecl_car(V14);
	{cl_object V17;
	V17= _ecl_cdr(V14);
	if (ecl_unlikely(!ECL_LISTP(V17))) FEtype_error_list(V17);
	V14= V17;
	}
	if (ecl_unlikely(ATOM(V16))) FEtype_error_cons(V16);
	T1= V16;
	T2= ecl_car(V13);
	V16= ecl_list1(T2);
	(ECL_CONS_CDR(T1)=V16,T1);
	goto L136;
L137:;
	T0= ecl_cdr(V15);
	goto L129;
	}
	}
L129:;
	V5= CONS(ECL_SYM("VALUES",893),T0);
	goto L60;
	}
L72:;
	{cl_object V13;                           /*  X               */
	V13= LC24produce_type_pair(V5)            /*  PRODUCE-TYPE-PAIR */;
	V5= ecl_car(V13);
	T0= ecl_cdr(V13);
	V11= ecl_list1(T0);
	goto L60;
	}
L60:;
	if(!(ECL_LISTP(V3))){
	goto L163;}
	if(!(ECL_LISTP(V4))){
	goto L163;}
	if(ECL_STRINGP(V6)){
	goto L160;}
	goto L161;
L163:;
	goto L161;
L161:;
	ecl_function_dispatch(cl_env_copy,VV[122])(4,VV[91],V3,V4,V6) /*  CMPERR */;
	goto L158;
L160:;
	goto L158;
L158:;
	{cl_object V12;                           /*  PROCESSED-ARGUMENTS */
	cl_object V13;                            /*  PROCESSED-ARG-TYPES */
	V12= Cnil;
	V13= Cnil;
	goto L171;
L170:;
	{cl_object V14;
	V14= V4;
	if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
	if((V14)==Cnil){
	goto L184;}
	{cl_object V15;
	V15= ECL_CONS_CDR(V14);
	V4= V15;
	V14= ECL_CONS_CAR(V14);
	goto L182;
	}
L184:;
	goto L182;
L182:;
	value0=V14;
	}
	if((value0)!=Cnil){
	goto L177;}
	T0= Ct;
	goto L175;
L177:;
	T0= value0;
	goto L175;
L175:;
	V13= CONS(T0,V13);
	{cl_object V14;
	V14= V3;
	if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
	if((V14)==Cnil){
	goto L198;}
	{cl_object V15;
	V15= ECL_CONS_CDR(V14);
	V3= V15;
	V14= ECL_CONS_CAR(V14);
	goto L196;
	}
L198:;
	goto L196;
L196:;
	T0= V14;
	}
	T1= ecl_function_dispatch(cl_env_copy,VV[144])(1,T0) /*  C1EXPR */;
	V12= CONS(T1,V12);
L171:;
	if(!(ecl_endp(V3))){
	goto L209;}
	if(ecl_endp(V4)){
	goto L206;}
	goto L207;
L209:;
	goto L207;
L207:;
	goto L170;
L206:;
	goto L204;
L204:;
	goto L168;
L168:;
	T0= cl_nreverse(V12)                      /*  NREVERSE        */;
	T1= cl_nreverse(V13)                      /*  NREVERSE        */;
	value0=ecl_function_dispatch(cl_env_copy,VV[145])(12,VV[37],ECL_SYM("TYPE",1315),V5,VV[84],V8,VV[92],T0,T1,V11,V6,V8,V10) /*  MAKE-C1FORM* */;
	return value0;
	}
	}
}}
/*	local function PRODUCE-TYPE-PAIR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24produce_type_pair(cl_object V1)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L11lisp_type_p(V1)                    /*  LISP-TYPE-P     */)==Cnil){
	goto L2;}
	T0= L9lisp_type__rep_type(V1)             /*  LISP-TYPE->REP-TYPE */;
	value0=CONS(V1,T0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= L8rep_type__lisp_type(V1)             /*  REP-TYPE->LISP-TYPE */;
	value0=CONS(T0,V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PRODUCE-INLINE-LOC                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27produce_inline_loc(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V7;                            /*  ARGS-TO-BE-SAVED */
	cl_object V8;                             /*  COERCED-ARGUMENTS */
	V7= Cnil;
	V8= Cnil;
	{cl_fixnum V9;
	V9= ecl_length(V4);
	if(!((V9)>(1))){
	goto L5;}}
	{ecl_character V9;
	V9= ecl_char(V4,0);
	if(!((CODE_CHAR(V9))==(CODE_CHAR(64)))){
	goto L5;}}
	{cl_object V9;                            /*  NDX             */
	V9= MAKE_FIXNUM(1);
	goto L12;
L11:;
	{ecl_character V10;                       /*  C               */
	V10= ecl_char_code(cl_char(V4,V9)         /*  CHAR            */);
	if(!((CODE_CHAR(V10))==(CODE_CHAR(59)))){
	goto L18;}
	T0= ecl_one_plus(V9);
	V4= cl_subseq(2,V4,T0)                    /*  SUBSEQ          */;
	goto L3;
L18:;
	goto L16;
L16:;
	if(ecl_alphanumericp(V10)){
	goto L24;}
	V7= Cnil;
	goto L3;
L24:;
	goto L22;
L22:;
	{cl_fixnum V11;
	V11= V10;
	{cl_fixnum V12;
	V12= (ecl_character)(48);
	T0= ecl_minus(MAKE_FIXNUM(V11),MAKE_FIXNUM(V12));
	V7= CONS(T0,V7);}}
	}
	V9= ecl_one_plus(V9);
L12:;
	{cl_fixnum V10;
	V10= ecl_length(V4);
	if(ecl_number_compare(V9,MAKE_FIXNUM(V10))>=0){
	goto L33;}}
	goto L11;
L33:;
	goto L31;
L31:;
	goto L9;
L9:;
	goto L3;
	}
L5:;
	goto L3;
L3:;
	V8= L29coerce_locs(3,V1,V2,V7)            /*  COERCE-LOCS     */;
	if(!(V3==Cnil)){
	goto L39;}
	if((V5)==Cnil){
	goto L43;}
	ecl_function_dispatch(cl_env_copy,VV[147])(0) /*  WT-NL       */;
	L30wt_c_inline_loc(V3,V4,V8,Ct,Cnil)      /*  WT-C-INLINE-LOC */;
	if((V6)==Cnil){
	goto L48;}
	ecl_function_dispatch(cl_env_copy,VV[127])(1,VV[94]) /*  WT   */;
	goto L41;
L48:;
	goto L41;
L43:;
	ecl_function_dispatch(cl_env_copy,VV[139])(2,VV[95],V4) /*  CMPWARN */;
	goto L41;
L41:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L39:;
	goto L37;
L37:;
	if((V6)==Cnil){
	goto L52;}
	if(!(ecl_equalp(V3,VV[90]))){
	goto L56;}
	T0= ECL_SYM("VALUES",893);
	goto L54;
L56:;
	T0= Cnil;
	goto L54;
L54:;
	value0=cl_list(6,VV[37],V3,V4,V8,V5,T0)   /*  LIST            */;
	return value0;
L52:;
	goto L50;
L50:;
	if(!(ecl_equalp(V3,VV[90]))){
	goto L60;}
	L30wt_c_inline_loc(V3,V4,V8,V5,ECL_SYM("VALUES",893)) /*  WT-C-INLINE-LOC */;
	value0=ECL_SYM("VALUES",893); cl_env_copy->nvalues=1;
	return value0;
L60:;
	goto L58;
L58:;
	cl_set(VV[98],ecl_plus(ecl_symbol_value(VV[98]),MAKE_FIXNUM(1)));
	ecl_function_dispatch(cl_env_copy,VV[147])(1,VV[99]) /*  WT-NL */;
	{cl_object V9;                            /*  OUTPUT-VARS     */
	{cl_object V10;
	cl_object V11;
	V10= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
	V11= V3;
	{cl_object V12;
	cl_object V13;
	V12= ecl_list1(Cnil);
	V13= V12;
L73:;
	if(!(ecl_endp(V11))){
	goto L77;}
	goto L74;
L77:;
	goto L75;
L75:;
	V10= _ecl_car(V11);
	{cl_object V14;
	V14= _ecl_cdr(V11);
	if (ecl_unlikely(!ECL_LISTP(V14))) FEtype_error_list(V14);
	V11= V14;
	}
	if (ecl_unlikely(ATOM(V13))) FEtype_error_cons(V13);
	T0= V13;
	T1= LC26make_output_var(V10)              /*  MAKE-OUTPUT-VAR */;
	V13= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V13,T0);
	goto L73;
L74:;
	V9= ecl_cdr(V12);
	goto L66;
	}
	}
L66:;
	L30wt_c_inline_loc(V3,V4,V8,V5,V9)        /*  WT-C-INLINE-LOC */;
	{cl_fixnum V10;
	V10= ecl_length(V9);
	if(!((V10)==(1))){
	goto L94;}}
	value0=ecl_car(V9); cl_env_copy->nvalues=1;
	return value0;
L94:;
	{cl_object V10;                           /*  V               */
	cl_object V11;
	V10= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	V11= V9;
	{cl_object V12;                           /*  I               */
	V12= MAKE_FIXNUM(0);
	if(!(ecl_endp(V11))){
	goto L106;}
	goto L103;
L106:;
	goto L104;
L104:;
	V10= _ecl_car(V11);
	{cl_object V13;
	V13= _ecl_cdr(V11);
	if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
	V11= V13;
	}
L102:;
	T0= cl_list(2,VV[101],V12)                /*  LIST            */;
	ecl_bds_bind(cl_env_copy,VV[100],T0);     /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[148])(1,V10) /*  SET-LOC */;
	ecl_bds_unwind1(cl_env_copy);
	if(!(ecl_endp(V11))){
	goto L117;}
	goto L103;
L117:;
	goto L115;
L115:;
	V10= _ecl_car(V11);
	{cl_object V13;
	V13= _ecl_cdr(V11);
	if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
	V11= V13;
	}
	V12= ecl_one_plus(V12);
	goto L102;
L103:;
	goto L96;
	}
	}
L96:;
	{cl_fixnum V10;
	V10= ecl_length(V9);
	ecl_function_dispatch(cl_env_copy,VV[127])(3,VV[102],MAKE_FIXNUM(V10),VV[94]) /*  WT */;}
	value0=ECL_SYM("VALUES",893); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function MAKE-OUTPUT-VAR                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26make_output_var(cl_object V1)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  VAR             */
	V2= ecl_function_dispatch(cl_env_copy,VV[149])(2,VV[96],V1) /*  MAKE-LCL-VAR */;
	T0= L10rep_type_name(V1)                  /*  REP-TYPE-NAME   */;
	ecl_function_dispatch(cl_env_copy,VV[147])(4,T0,VV[97],V2,VV[94]) /*  WT-NL */;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for C2C-INLINE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28c2c_inline(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1894         */
	V4= ecl_symbol_value(VV[104]);
	ecl_bds_bind(cl_env_copy,VV[98],MAKE_FIXNUM(0)); /*  *INLINE-BLOCKS* */
	ecl_bds_bind(cl_env_copy,VV[104],V4);     /*  *TEMP*          */
	T0= ecl_fdefinition(VV[103]);
	T1= ecl_function_dispatch(cl_env_copy,VV[151])(1,V2) /*  INLINE-ARGS */;
	T2= cl_apply(3,T0,T1,V3)                  /*  APPLY           */;
	ecl_function_dispatch(cl_env_copy,VV[152])(1,T2) /*  UNWIND-EXIT */;
	value0=ecl_function_dispatch(cl_env_copy,VV[153])(0) /*  CLOSE-INLINE-BLOCKS */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
}}
/*	function definition for COERCE-LOCS                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29coerce_locs(cl_narg narg, cl_object V1, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  L               */
	cl_object V5;                             /*  ITEM            */
	cl_object V6;                             /*  I               */
	V4= V1;
	V5= ecl_car(V4);
	V6= MAKE_FIXNUM(0);
	goto L9;
L8:;
	{cl_object V7;                            /*  TYPE            */
	cl_object V8;                             /*  REP-TYPE        */
	cl_object V9;                             /*  LOC             */
	if((V2)==Cnil){
	goto L14;}
	{cl_object V10;
	V10= V2;
	if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
	if((V10)==Cnil){
	goto L21;}
	{cl_object V11;
	V11= ECL_CONS_CDR(V10);
	V2= V11;
	V10= ECL_CONS_CAR(V10);
	goto L19;
	}
L21:;
	goto L19;
L19:;
	V7= V10;
	goto L12;
	}
L14:;
	V7= ECL_SYM("OBJECT",1275);
	goto L12;
L12:;
	V8= L9lisp_type__rep_type(V7)             /*  LISP-TYPE->REP-TYPE */;
	V9= ecl_cadr(V5);
	if((L14loc_movable_p(V9)                  /*  LOC-MOVABLE-P   */)!=Cnil){
	goto L31;}
	if((ecl_memql(V6,V3))==Cnil){
	goto L31;}
	{cl_object V10;                           /*  LCL             */
	V10= ecl_function_dispatch(cl_env_copy,VV[149])(2,VV[96],V8) /*  MAKE-LCL-VAR */;
	ecl_function_dispatch(cl_env_copy,VV[147])(0) /*  WT-NL       */;
	cl_set(VV[98],ecl_plus(ecl_symbol_value(VV[98]),MAKE_FIXNUM(1)));
	ecl_function_dispatch(cl_env_copy,VV[147])(1,VV[99]) /*  WT-NL */;
	goto L36;
	goto L36;
L36:;
	T0= L10rep_type_name(V8)                  /*  REP-TYPE-NAME   */;
	ecl_function_dispatch(cl_env_copy,VV[127])(4,T0,VV[97],V10,VV[106]) /*  WT */;
	L19wt_coerce_loc(V8,V9)                   /*  WT-COERCE-LOC   */;
	ecl_function_dispatch(cl_env_copy,VV[127])(1,VV[94]) /*  WT   */;
	V9= V10;
	goto L29;
	}
L31:;
	T0= L16loc_representation_type(V9)        /*  LOC-REPRESENTATION-TYPE */;
	if(ecl_equal(V8,T0)){
	goto L47;}
	V9= cl_list(3,VV[107],V8,V9)              /*  LIST            */;
	goto L29;
L47:;
	goto L29;
L29:;
	if (ecl_unlikely(ATOM(V4))) FEtype_error_cons(V4);
	T0= V4;
	(ECL_CONS_CAR(T0)=V9,T0);
	}
	V4= ecl_cdr(V4);
	V5= ecl_car(V4);
	V6= ecl_one_plus(V6);
L9:;
	if(ecl_endp(V4)){
	goto L61;}
	goto L8;
L61:;
	goto L59;
L59:;
	goto L6;
L6:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for WT-C-INLINE-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30wt_c_inline_loc(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V6;                            /*  S               */
	V6= cl_make_string_input_stream(3,V2,MAKE_FIXNUM(0),Cnil) /*  MAKE-STRING-INPUT-STREAM */;
	if((V5)==Cnil){
	goto L4;}
	if((V5)==(ECL_SYM("VALUES",893))){
	goto L4;}
	ecl_function_dispatch(cl_env_copy,VV[147])(0) /*  WT-NL       */;
	goto L2;
L4:;
	goto L2;
L2:;
	{cl_object V7;                            /*  C               */
	V7= cl_read_char(3,V6,Cnil,Cnil)          /*  READ-CHAR       */;
	goto L11;
L10:;
	if(!(((V7)==CODE_CHAR((ecl_character)(64))))){
	goto L15;}
	{cl_object V8;                            /*  OBJECT          */
	V8= cl_read(1,V6)                         /*  READ            */;
	if(!(ECL_CONSP(V8))){
	goto L19;}
	T0= ecl_car(V8);
	if(!(ecl_equal(T0,ECL_SYM("RETURN",722)))){
	goto L19;}
	if(!((V5)==(ECL_SYM("VALUES",893)))){
	goto L23;}
	ecl_function_dispatch(cl_env_copy,VV[122])(1,VV[109]) /*  CMPERR */;
	goto L13;
L23:;
	{cl_object V9;                            /*  LET1895         */
	cl_fixnum V10;                            /*  LET1896         */
	value0=ecl_cadr(V8);
	if((value0)!=Cnil){
	goto L27;}
	V9= MAKE_FIXNUM(0);
	goto L25;
L27:;
	V9= value0;
	goto L25;
L25:;
	V10= ecl_length(V5);
	if(!(ecl_number_compare(V9,MAKE_FIXNUM(V10))<0)){
	goto L31;}
	T0= ecl_nth(ecl_to_size(V9),V5);
	ecl_function_dispatch(cl_env_copy,VV[127])(1,T0) /*  WT       */;
	goto L13;
L31:;
	ecl_function_dispatch(cl_env_copy,VV[122])(3,VV[110],V9,MAKE_FIXNUM(V10)) /*  CMPERR */;
	goto L13;
	}
L19:;
	if(!(ECL_CONSP(V8))){
	goto L35;}
	T0= ecl_car(V8);
	if(!((T0)==(ECL_SYM("QUOTE",677)))){
	goto L35;}
	V8= ecl_cadr(V8);
	goto L33;
L35:;
	goto L33;
L33:;
	T0= ecl_function_dispatch(cl_env_copy,VV[142])(3,V8,VV[82],Ct) /*  ADD-OBJECT */;
	ecl_function_dispatch(cl_env_copy,VV[127])(1,T0) /*  WT       */;
	goto L13;
	}
L15:;
	if(!(((V7)==CODE_CHAR((ecl_character)(35))))){
	goto L40;}
	{cl_object V11;                           /*  K               */
	cl_object V12;                            /*  NEXT-CHAR       */
	cl_object V13;                            /*  INDEX           */
	V11= cl_read_char(1,V6)                   /*  READ-CHAR       */;
	V12= cl_peek_char(4,Cnil,V6,Cnil,Cnil)    /*  PEEK-CHAR       */;
	V13= cl_digit_char_p(2,V11,MAKE_FIXNUM(36)) /*  DIGIT-CHAR-P  */;
	if(!((V11)==(CODE_CHAR(35)))){
	goto L46;}
	ecl_function_dispatch(cl_env_copy,VV[127])(1,CODE_CHAR(35)) /*  WT */;
	goto L13;
L46:;
	if(V13==Cnil){
	goto L51;}
	if((V12)==Cnil){
	goto L49;}
	if((cl_alphanumericp(V12)                 /*  ALPHANUMERICP   */)==Cnil){
	goto L49;}
	goto L50;
L51:;
L50:;
	ecl_function_dispatch(cl_env_copy,VV[127])(2,CODE_CHAR(35),V11) /*  WT */;
	goto L13;
L49:;
	{cl_fixnum V14;
	V14= ecl_length(V3);
	if(!(ecl_number_compare(V13,MAKE_FIXNUM(V14))<0)){
	goto L55;}}
	T0= ecl_nth(ecl_to_size(V13),V3);
	ecl_function_dispatch(cl_env_copy,VV[127])(1,T0) /*  WT       */;
	goto L13;
L55:;
	ecl_function_dispatch(cl_env_copy,VV[122])(1,VV[111]) /*  CMPERR */;
	goto L13;
	}
L40:;
	cl_write_char(2,V7,ecl_symbol_value(VV[81])) /*  WRITE-CHAR   */;
	goto L13;
L13:;
	V7= cl_read_char(3,V6,Cnil,Cnil)          /*  READ-CHAR       */;
L11:;
	if(V7==Cnil){
	goto L61;}
	goto L10;
L61:;
	goto L59;
L59:;
	goto L8;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
	
#include "cmp/cmpffi.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclQFErEBb7_FMUWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPFFI.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclQFErEBb7_FMUWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	si_Xmake_constant(VV[0],VVtemp[1])        /*  *MAKE-CONSTANT  */;
	{cl_object V1;
	cl_object V2;
	V1= Cnil;
	if (ecl_unlikely(!ECL_LISTP(ecl_symbol_value(VV[0])))) FEtype_error_list(ecl_symbol_value(VV[0]));
	V2= ecl_symbol_value(VV[0]);
	{cl_object V3;
	cl_object V4;
	V3= ecl_list1(Cnil);
	V4= V3;
L14:;
	V1= _ecl_car(V2);
	{cl_object V5;
	V5= _ecl_cdr(V2);
	if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
	V2= V5;
	}
	if (ecl_unlikely(ATOM(V4))) FEtype_error_cons(V4);
	T1= V4;
	T2= ecl_car(V1);
	V4= ecl_list1(T2);
	(ECL_CONS_CDR(T1)=V4,T1);
	if(!(ecl_endp(V2))){
	goto L28;}
	goto L15;
L28:;
	goto L26;
L26:;
	goto L14;
L15:;
	T0= ecl_cdr(V3);
	goto L7;
	}
	}
L7:;
	si_Xmake_constant(VV[1],T0)               /*  *MAKE-CONSTANT  */;
	T0= ecl_append(ecl_symbol_value(VV[1]),VVtemp[2]);
	si_Xmake_constant(VV[2],T0)               /*  *MAKE-CONSTANT  */;
	si_Xmake_constant(VV[3],VVtemp[3])        /*  *MAKE-CONSTANT  */;
	si_Xmake_special(VV[4])                   /*  *MAKE-SPECIAL   */;
	{cl_object V1;                            /*  TABLE           */
	V1= cl_make_hash_table(4,ECL_SYM("SIZE",1305),MAKE_FIXNUM(128),ECL_SYM("TEST",1313),ECL_SYM("EQ",331)) /*  MAKE-HASH-TABLE */;
	{cl_object V2;                            /*  RECORD          */
	V2= ecl_symbol_value(VV[3]);
	{cl_object V3;                            /*  REP-TYPE        */
	V3= Cnil;
	{cl_object V4;                            /*  INFORMATION     */
	V4= Cnil;
L51:;
	V3= ecl_car(V2);
	V4= ecl_cadr(V2);
	si_hash_set(V3,V1,V4)                     /*  HASH-SET        */;
	V2= ecl_cddr(V2);
	if(!(ECL_ATOM(V2))){
	goto L62;}
	goto L52;
L62:;
	goto L60;
L60:;
	goto L51;
L52:;
	cl_set(VV[4],V1);
	goto L45;
	}
	}
	}
	}
L45:;
	ecl_cmp_defun(VV[113]);                   /*  C-NUMBER-REP-TYPE-P */
	ecl_cmp_defun(VV[114]);                   /*  C-INTEGER-REP-TYPE-P */
	ecl_cmp_defun(VV[115]);                   /*  C-INTEGER-REP-TYPE-BITS */
	ecl_cmp_defun(VV[116]);                   /*  C-NUMBER-TYPE-P */
	ecl_cmp_defun(VV[117]);                   /*  C-INTEGER-TYPE-P */
	ecl_cmp_defun(VV[118]);                   /*  C-INTEGER-TYPE-BITS */
	ecl_cmp_defun(VV[120]);                   /*  REP-TYPE-RECORD */
	ecl_cmp_defun(VV[121]);                   /*  REP-TYPE->LISP-TYPE */
	ecl_cmp_defun(VV[123]);                   /*  LISP-TYPE->REP-TYPE */
	ecl_cmp_defun(VV[124]);                   /*  REP-TYPE-NAME   */
	ecl_cmp_defun(VV[125]);                   /*  LISP-TYPE-P     */
	ecl_cmp_defun(VV[126]);                   /*  WT-TO-OBJECT-CONVERSION */
	ecl_cmp_defun(VV[128]);                   /*  WT-FROM-OBJECT-CONVERSION */
	ecl_cmp_defun(VV[130]);                   /*  LOC-MOVABLE-P   */
	ecl_cmp_defun(VV[131]);                   /*  LOC-TYPE        */
	ecl_cmp_defun(VV[136]);                   /*  LOC-REPRESENTATION-TYPE */
	ecl_cmp_defun(VV[138]);                   /*  WT-COERCE-LOC   */
	ecl_cmp_defun(VV[140]);                   /*  C1CLINES        */
	ecl_cmp_defun(VV[141]);                   /*  OUTPUT-CLINES   */
	ecl_cmp_defun(VV[143]);                   /*  C1C-INLINE      */
	ecl_cmp_defun(VV[146]);                   /*  PRODUCE-INLINE-LOC */
	ecl_cmp_defun(VV[150]);                   /*  C2C-INLINE      */
	ecl_cmp_defun(VV[154]);                   /*  COERCE-LOCS     */
	ecl_cmp_defun(VV[155]);                   /*  WT-C-INLINE-LOC */
}
