/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CMP;CMPINLINE.LSP                                 */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpinline.eclh"
/*	function definition for MAKE-INLINE-TEMP-VAR                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_inline_temp_var(cl_narg narg, cl_object V1, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  OUT-REP-TYPE    */
	value0=V2;
	if((value0)!=Cnil){
	goto L4;}
	V3= ecl_function_dispatch(cl_env_copy,VV[37])(1,V1) /*  LISP-TYPE->REP-TYPE */;
	goto L2;
L4:;
	V3= value0;
	goto L2;
L2:;
	if(!((V3)==(ECL_SYM("OBJECT",1275)))){
	goto L7;}
	value0=ecl_function_dispatch(cl_env_copy,VV[38])(0) /*  MAKE-TEMP-VAR */;
	return value0;
L7:;
	{cl_object V4;                            /*  VAR             */
	V4= ecl_function_dispatch(cl_env_copy,VV[39])(4,VV[0],V3,ECL_SYM("TYPE",1315),V1) /*  MAKE-LCL-VAR */;
	T0= ecl_function_dispatch(cl_env_copy,VV[40])(1,V3) /*  REP-TYPE-NAME */;
	ecl_function_dispatch(cl_env_copy,VV[41])(5,VV[1],T0,VV[2],V4,VV[3]) /*  WT-NL */;
	cl_set(VV[4],ecl_plus(ecl_symbol_value(VV[4]),MAKE_FIXNUM(1)));
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for SAVE-INLINE-LOC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2save_inline_loc(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  REP-TYPE        */
	cl_object V3;                             /*  TEMP            */
	T0= ecl_cadr(V1);
	V2= ecl_function_dispatch(cl_env_copy,VV[43])(1,T0) /*  LOC-REPRESENTATION-TYPE */;
	T0= ecl_car(V1);
	V3= L1make_inline_temp_var(2,T0,V2)       /*  MAKE-INLINE-TEMP-VAR */;
	ecl_bds_bind(cl_env_copy,VV[6],V3);       /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[44])(1,V1) /*  SET-LOC   */;
	value0=V3; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
}}
/*	local function WITH-INLINED-LOC                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3with_inlined_loc(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  TEMP-LOC        */
	cl_object V7;                             /*  LOC             */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	V5= V4;
	if(!(V5==Cnil)){
	goto L14;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L12;
L14:;
	goto L12;
L12:;
	{cl_object V8;
	V8= ecl_car(V5);
	V5= ecl_cdr(V5);
	V6= V8;
	}
	if(!(V5==Cnil)){
	goto L22;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L20;
L22:;
	goto L20;
L20:;
	{cl_object V8;
	V8= ecl_car(V5);
	V5= ecl_cdr(V5);
	V7= V8;
	}
	if((V5)==Cnil){
	goto L29;}
	si_dm_too_many_arguments(1,V5)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	T0= cl_list(2,VV[7],V7)                   /*  LIST            */;
	T1= cl_list(2,V6,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	T3= cl_list(2,VV[8],V6)                   /*  LIST            */;
	T4= cl_list(3,ECL_SYM("LIST",479),T3,V6)  /*  LIST            */;
	T5= cl_list(3,ECL_SYM("SETF",748),V6,T4)  /*  LIST            */;
	value0=cl_listX(4,ECL_SYM("LET",475),T2,T5,V3) /*  LIST*      */;
	return value0;
	}
}}
/*	function definition for EMIT-INLINED-VARIABLE                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4emit_inlined_variable(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET1479         */
	cl_object V4;                             /*  LET1480         */
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	V3= ecl_car(T0);
	V4= ecl_function_dispatch(cl_env_copy,VV[48])(1,V1) /*  C1FORM-PRIMARY-TYPE */;
	if((ecl_function_dispatch(cl_env_copy,VV[49])(2,V3,V2) /*  VAR-CHANGED-IN-FORM-LIST */)==Cnil){
	goto L4;}
	{cl_object V5;                            /*  TEMP            */
	T0= ecl_function_dispatch(cl_env_copy,VV[50])(1,V3) /*  VAR-REP-TYPE */;
	V5= L1make_inline_temp_var(2,V4,T0)       /*  MAKE-INLINE-TEMP-VAR */;
	ecl_bds_bind(cl_env_copy,VV[6],V5);       /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[44])(1,V3) /*  SET-LOC   */;
	ecl_bds_unwind1(cl_env_copy);
	value0=cl_list(2,V4,V5)                   /*  LIST            */;
	return value0;
	}
L4:;
	value0=cl_list(2,V4,V3)                   /*  LIST            */;
	return value0;
	}
}}
/*	function definition for EMIT-INLINED-SETQ                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5emit_inlined_setq(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET1481         */
	cl_object V4;                             /*  LET1482         */
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	V3= ecl_car(T0);
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	V4= ecl_cadr(T0);
	ecl_bds_bind(cl_env_copy,VV[6],V3);       /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[52])(1,V4) /*  C2EXPR*   */;
	ecl_bds_unwind1(cl_env_copy);
	T0= ecl_function_dispatch(cl_env_copy,VV[53])(1,V4) /*  C1FORM-NAME */;
	if(!((T0)==(ECL_SYM("LOCATION",1745)))){
	goto L5;}
	T0= ecl_function_dispatch(cl_env_copy,VV[48])(1,V4) /*  C1FORM-PRIMARY-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[47])(1,V4) /*  C1FORM-ARGS */;
	T2= ecl_car(T1);
	value0=cl_list(2,T0,T2)                   /*  LIST            */;
	return value0;
L5:;
	T0= ecl_function_dispatch(cl_env_copy,VV[54])(3,VV[11],V1,V3) /*  MAKE-C1FORM */;
	value0=L4emit_inlined_variable(T0,V2)     /*  EMIT-INLINED-VARIABLE */;
	return value0;
	}
}}
/*	function definition for EMIT-INLINED-CALL-GLOBAL              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6emit_inlined_call_global(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  FNAME           */
	cl_object V4;                             /*  ARGS            */
	cl_object V5;                             /*  RETURN-TYPE     */
	cl_object V6;                             /*  FUN             */
	cl_object V7;                             /*  LOC             */
	cl_object V8;                             /*  TYPE            */
	cl_object V9;                             /*  TEMP            */
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	V3= ecl_car(T0);
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	V4= ecl_cadr(T0);
	V5= ecl_function_dispatch(cl_env_copy,VV[48])(1,V1) /*  C1FORM-PRIMARY-TYPE */;
	{cl_object V10;
	cl_object V11;
	V10= ecl_symbol_value(VV[13]);
	V11= si_make_seq_iterator(2,V10,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L8:;
	if((V11)!=Cnil){
	goto L12;}
	V6= Cnil;
	goto L4;
L12:;
	goto L10;
L10:;
	{cl_object V12;
	V12= si_seq_iterator_ref(V10,V11)         /*  SEQ-ITERATOR-REF */;
	T0= ecl_function_dispatch(cl_env_copy,VV[56])(1,V12) /*  FUN-NAME */;
	if((ecl_function_dispatch(cl_env_copy,VV[57])(2,V3,T0) /*  SAME-FNAME-P */)==Cnil){
	goto L17;}
	V6= V12;
	goto L4;
L17:;
	goto L14;
	}
L14:;
	V11= si_seq_iterator_next(V10,V11)        /*  SEQ-ITERATOR-NEXT */;
	goto L8;
	}
L4:;
	V7= ecl_function_dispatch(cl_env_copy,VV[58])(5,V3,V6,V4,V5,V2) /*  CALL-GLOBAL-LOC */;
	T0= ecl_function_dispatch(cl_env_copy,VV[59])(1,V7) /*  LOC-TYPE */;
	V8= ecl_function_dispatch(cl_env_copy,VV[60])(2,V5,T0) /*  TYPE-AND */;
	T0= ecl_function_dispatch(cl_env_copy,VV[43])(1,V7) /*  LOC-REPRESENTATION-TYPE */;
	V9= L1make_inline_temp_var(2,V8,T0)       /*  MAKE-INLINE-TEMP-VAR */;
	ecl_bds_bind(cl_env_copy,VV[6],V9);       /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[44])(1,V7) /*  SET-LOC   */;
	value0=cl_list(2,V8,V9)                   /*  LIST            */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
}}
/*	function definition for EMIT-INLINED-PROGN                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7emit_inlined_progn(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARGS            */
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	V3= ecl_car(T0);
	ecl_bds_bind(cl_env_copy,VV[6],VV[15]);   /*  *DESTINATION*   */
L4:;
	if((ecl_cdr(V3))!=Cnil){
	goto L8;}
	goto L5;
L8:;
	goto L6;
L6:;
	{cl_object V4;
	V4= V3;
	if (ecl_unlikely(!ECL_LISTP(V4))) FEtype_error_list(V4);
	if((V4)==Cnil){
	goto L17;}
	{cl_object V5;
	V5= ECL_CONS_CDR(V4);
	V3= V5;
	V4= ECL_CONS_CAR(V4);
	goto L15;
	}
L17:;
	goto L15;
L15:;
	T0= V4;
	}
	ecl_function_dispatch(cl_env_copy,VV[52])(1,T0) /*  C2EXPR*   */;
	goto L4;
L5:;
	ecl_bds_unwind1(cl_env_copy);
	goto L2;
L2:;
	T0= ecl_car(V3);
	value0=L11emit_inline_form(T0,V2)         /*  EMIT-INLINE-FORM */;
	return value0;
	}
}}
/*	function definition for EMIT-INLINED-VALUES                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8emit_inlined_values(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARGS            */
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	V3= ecl_car(T0);
	{cl_object V4;
	{cl_object V5;
	V5= V3;
	if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
	if((V5)==Cnil){
	goto L9;}
	{cl_object V6;
	V6= ECL_CONS_CDR(V5);
	V3= V6;
	V5= ECL_CONS_CAR(V5);
	goto L7;
	}
L9:;
	goto L7;
L7:;
	T0= V5;
	}
	V4= L11emit_inline_form(T0,V2)            /*  EMIT-INLINE-FORM */;
	ecl_bds_bind(cl_env_copy,VV[6],VV[15]);   /*  *DESTINATION*   */
	{cl_object V5;                            /*  FORM            */
	cl_object V6;
	V5= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
	V6= V3;
L20:;
	if(!(ecl_endp(V6))){
	goto L24;}
	goto L21;
L24:;
	goto L22;
L22:;
	V5= _ecl_car(V6);
	{cl_object V7;
	V7= _ecl_cdr(V6);
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	V6= V7;
	}
	ecl_function_dispatch(cl_env_copy,VV[52])(1,V5) /*  C2EXPR*   */;
	goto L20;
L21:;
	ecl_bds_unwind1(cl_env_copy);
	goto L15;
	}
L15:;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for EMIT-INLINED-STRUCTURE-REF            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9emit_inlined_structure_ref(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  TYPE            */
	V3= ecl_function_dispatch(cl_env_copy,VV[48])(1,V1) /*  C1FORM-PRIMARY-TYPE */;
	if((L17args_cause_side_effect(V2)         /*  ARGS-CAUSE-SIDE-EFFECT */)==Cnil){
	goto L3;}
	{cl_object V4;                            /*  TEMP            */
	V4= L1make_inline_temp_var(2,V3,ECL_SYM("OBJECT",1275)) /*  MAKE-INLINE-TEMP-VAR */;
	ecl_bds_bind(cl_env_copy,VV[6],V4);       /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[52])(1,V1) /*  C2EXPR*   */;
	value0=cl_list(2,V3,V4)                   /*  LIST            */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
L3:;
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	T1= ecl_car(T0);
	T2= ecl_list1(T1);
	T3= L12inline_args(T2)                    /*  INLINE-ARGS     */;
	T4= ecl_function_dispatch(cl_env_copy,VV[64])(1,T3) /*  COERCE-LOCS */;
	T5= ecl_car(T4);
	T6= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	T7= ecl_cadr(T6);
	T8= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	T9= ecl_caddr(T8);
	T10= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	T11= ecl_cadddr(T10);
	T12= cl_list(5,ECL_SYM("STRUCTURE-REF",1151),T5,T7,T9,T11) /*  LIST */;
	value0=cl_list(2,V3,T12)                  /*  LIST            */;
	return value0;
	}
}}
/*	function definition for EMIT-INLINED-INSTANCE-REF             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10emit_inlined_instance_ref(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  TYPE            */
	V3= ecl_function_dispatch(cl_env_copy,VV[48])(1,V1) /*  C1FORM-PRIMARY-TYPE */;
	if((L17args_cause_side_effect(V2)         /*  ARGS-CAUSE-SIDE-EFFECT */)==Cnil){
	goto L3;}
	{cl_object V4;                            /*  TEMP            */
	V4= L1make_inline_temp_var(2,V3,ECL_SYM("OBJECT",1275)) /*  MAKE-INLINE-TEMP-VAR */;
	ecl_bds_bind(cl_env_copy,VV[6],V4);       /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[52])(1,V1) /*  C2EXPR*   */;
	value0=cl_list(2,V3,V4)                   /*  LIST            */;
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
L3:;
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	T1= ecl_car(T0);
	T2= ecl_list1(T1);
	T3= L12inline_args(T2)                    /*  INLINE-ARGS     */;
	T4= ecl_function_dispatch(cl_env_copy,VV[64])(1,T3) /*  COERCE-LOCS */;
	T5= ecl_car(T4);
	T6= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	T7= ecl_cadr(T6);
	T8= cl_list(3,ECL_SYM("INSTANCE-REF",1168),T5,T7) /*  LIST    */;
	value0=cl_list(2,V3,T8)                   /*  LIST            */;
	return value0;
	}
}}
/*	function definition for EMIT-INLINE-FORM                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11emit_inline_form(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[67])(1,V1) /*  C1FORM-FILE */;
	ecl_bds_bind(cl_env_copy,ECL_SYM("*COMPILE-FILE-TRUENAME*",25),T0); /*  *COMPILE-FILE-TRUENAME* */
	T0= ecl_function_dispatch(cl_env_copy,VV[68])(1,V1) /*  C1FORM-FILE-POSITION */;
	ecl_bds_bind(cl_env_copy,VV[20],T0);      /*  *COMPILE-FILE-POSITION* */
	T0= ecl_function_dispatch(cl_env_copy,VV[69])(1,V1) /*  C1FORM-TOPLEVEL-FORM */;
	ecl_bds_bind(cl_env_copy,VV[21],T0);      /*  *CURRENT-TOPLEVEL-FORM* */
	T0= ecl_function_dispatch(cl_env_copy,VV[70])(1,V1) /*  C1FORM-FORM */;
	ecl_bds_bind(cl_env_copy,VV[22],T0);      /*  *CURRENT-FORM*  */
	T0= ecl_function_dispatch(cl_env_copy,VV[71])(1,V1) /*  C1FORM-ENV */;
	ecl_bds_bind(cl_env_copy,VV[23],T0);      /*  *CMP-ENV*       */
	{cl_object V3;
	V3= ecl_function_dispatch(cl_env_copy,VV[53])(1,V1) /*  C1FORM-NAME */;
	if(!((V3)==(ECL_SYM("LOCATION",1745)))){
	goto L3;}
	T0= ecl_function_dispatch(cl_env_copy,VV[48])(1,V1) /*  C1FORM-PRIMARY-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  C1FORM-ARGS */;
	T2= ecl_car(T1);
	value0=cl_list(2,T0,T2)                   /*  LIST            */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L3:;
	if(!((V3)==(VV[11]))){
	goto L6;}
	value0=L4emit_inlined_variable(V1,V2)     /*  EMIT-INLINED-VARIABLE */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L6:;
	if(!((V3)==(VV[24]))){
	goto L9;}
	T0= ecl_function_dispatch(cl_env_copy,VV[48])(1,V1) /*  C1FORM-PRIMARY-TYPE */;
	value0=L6emit_inlined_call_global(V1,T0)  /*  EMIT-INLINED-CALL-GLOBAL */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L9:;
	if(!((V3)==(ECL_SYM("STRUCTURE-REF",1151)))){
	goto L12;}
	value0=L9emit_inlined_structure_ref(V1,V2) /*  EMIT-INLINED-STRUCTURE-REF */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L12:;
	if(!((V3)==(ECL_SYM("INSTANCE-REF",1168)))){
	goto L15;}
	value0=L10emit_inlined_instance_ref(V1,V2) /*  EMIT-INLINED-INSTANCE-REF */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L15:;
	if(!((V3)==(ECL_SYM("SETQ",749)))){
	goto L18;}
	value0=L5emit_inlined_setq(V1,V2)         /*  EMIT-INLINED-SETQ */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L18:;
	if(!((V3)==(ECL_SYM("PROGN",669)))){
	goto L21;}
	value0=L7emit_inlined_progn(V1,V2)        /*  EMIT-INLINED-PROGN */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L21:;
	if(!((V3)==(ECL_SYM("VALUES",893)))){
	goto L24;}
	value0=L8emit_inlined_values(V1,V2)       /*  EMIT-INLINED-VALUES */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
L24:;
	{cl_object V4;                            /*  TYPE            */
	cl_object V5;                             /*  TEMP            */
	V4= ecl_function_dispatch(cl_env_copy,VV[48])(1,V1) /*  C1FORM-PRIMARY-TYPE */;
	V5= L1make_inline_temp_var(1,V4)          /*  MAKE-INLINE-TEMP-VAR */;
	ecl_bds_bind(cl_env_copy,VV[6],V5);       /*  *DESTINATION*   */
	ecl_function_dispatch(cl_env_copy,VV[52])(1,V1) /*  C2EXPR*   */;
	ecl_bds_unwind1(cl_env_copy);
	value0=cl_list(2,V4,V5)                   /*  LIST            */;
	ecl_bds_unwind_n(cl_env_copy,5);
	return value0;
	}
	}
}}
/*	function definition for INLINE-ARGS                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12inline_args(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  FORM-LIST       */
	V2= V1;
	{cl_object V3;                            /*  FORM            */
	V3= Cnil;
	{cl_object V4;
	cl_object V5;
	V4= ecl_list1(Cnil);
	V5= V4;
L6:;
	if(!(ECL_ATOM(V2))){
	goto L10;}
	goto L7;
L10:;
	goto L8;
L8:;
	V3= ecl_car(V2);
	if (ecl_unlikely(ATOM(V5))) FEtype_error_cons(V5);
	T0= V5;
	T1= ecl_cdr(V2);
	T2= L11emit_inline_form(V3,T1)            /*  EMIT-INLINE-FORM */;
	V5= ecl_list1(T2);
	(ECL_CONS_CDR(T0)=V5,T0);
	V2= _ecl_cdr(V2);
	goto L6;
L7:;
	value0=ecl_cdr(V4); cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
}}
/*	function definition for DESTINATION-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13destination_type()
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[43])(1,ecl_symbol_value(VV[6])) /*  LOC-REPRESENTATION-TYPE */;
	value0=ecl_function_dispatch(cl_env_copy,VV[74])(1,T0) /*  REP-TYPE->LISP-TYPE */;
	return value0;
}}
/*	function definition for MAYBE-OPEN-INLINE-BLOCK               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14maybe_open_inline_block()
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(ecl_plusp(ecl_symbol_value(VV[4]))){
	goto L2;}
	ecl_function_dispatch(cl_env_copy,VV[76])(1,VV[1]) /*  WT     */;
	cl_set(VV[4],MAKE_FIXNUM(1));
	value0=MAKE_FIXNUM(1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CLOSE-INLINE-BLOCKS                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15close_inline_blocks(cl_narg narg, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  LET1486         */
	cl_fixnum V3;                             /*  I               */
	cl_fixnum V4;
	V2= ecl_symbol_value(VV[4]);
	V3= 0;
	{bool V5;
	V5= FIXNUMP(V2);
	if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V2);}
	V4= ecl_fix(V2);
L7:;
	if(!((V3)>=(V4))){
	goto L11;}
	goto L8;
L11:;
	goto L9;
L9:;
	if(!((V3)==0)){
	goto L15;}
	if((V1)==Cnil){
	goto L15;}
	ecl_function_dispatch(cl_env_copy,VV[41])(0) /*  WT-NL        */;
	goto L13;
L15:;
	goto L13;
L13:;
	ecl_function_dispatch(cl_env_copy,VV[76])(1,CODE_CHAR(125)) /*  WT */;
	V3= (V3)+1;
	goto L7;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FORM-CAUSES-SIDE-EFFECT               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16form_causes_side_effect(cl_object V1)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[79])(1,V1) /*  C1FORM-SIDE-EFFECTS */;
	return value0;
}}
/*	function definition for ARGS-CAUSE-SIDE-EFFECT                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17args_cause_side_effect(cl_object V1)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_fdefinition(VV[79]);
	value0=cl_some(2,T0,V1)                   /*  SOME            */;
	return value0;
}}
/*	function definition for FUNCTION-MAY-HAVE-SIDE-EFFECTS        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18function_may_have_side_effects(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= si_get_sysprop(V1,VV[32])             /*  GET-SYSPROP     */;
	value0=Null(T0)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FUNCTION-MAY-CHANGE-SP                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19function_may_change_sp(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_get_sysprop(V1,VV[32])          /*  GET-SYSPROP     */;
	if((value0)!=Cnil){
	goto L3;}
	T0= si_get_sysprop(V1,VV[34])             /*  GET-SYSPROP     */;
	goto L1;
L3:;
	T0= value0;
	goto L1;
L1:;
	value0=Null(T0)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "cmp/cmpinline.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclJmU7VBb7_rDPWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPINLINE.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclJmU7VBb7_rDPWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[36]);                    /*  MAKE-INLINE-TEMP-VAR */
	ecl_cmp_defun(VV[42]);                    /*  SAVE-INLINE-LOC */
	ecl_cmp_defmacro(VV[45]);                 /*  WITH-INLINED-LOC */
	ecl_cmp_defun(VV[46]);                    /*  EMIT-INLINED-VARIABLE */
	ecl_cmp_defun(VV[51]);                    /*  EMIT-INLINED-SETQ */
	ecl_cmp_defun(VV[55]);                    /*  EMIT-INLINED-CALL-GLOBAL */
	ecl_cmp_defun(VV[61]);                    /*  EMIT-INLINED-PROGN */
	ecl_cmp_defun(VV[62]);                    /*  EMIT-INLINED-VALUES */
	ecl_cmp_defun(VV[63]);                    /*  EMIT-INLINED-STRUCTURE-REF */
	ecl_cmp_defun(VV[65]);                    /*  EMIT-INLINED-INSTANCE-REF */
	ecl_cmp_defun(VV[66]);                    /*  EMIT-INLINE-FORM */
	ecl_cmp_defun(VV[72]);                    /*  INLINE-ARGS     */
	ecl_cmp_defun(VV[73]);                    /*  DESTINATION-TYPE */
	ecl_cmp_defun(VV[75]);                    /*  MAYBE-OPEN-INLINE-BLOCK */
	ecl_cmp_defun(VV[77]);                    /*  CLOSE-INLINE-BLOCKS */
	ecl_cmp_defun(VV[78]);                    /*  FORM-CAUSES-SIDE-EFFECT */
	ecl_cmp_defun(VV[80]);                    /*  ARGS-CAUSE-SIDE-EFFECT */
	ecl_cmp_defun(VV[81]);                    /*  FUNCTION-MAY-HAVE-SIDE-EFFECTS */
	ecl_cmp_defun(VV[82]);                    /*  FUNCTION-MAY-CHANGE-SP */
}
