/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CMP;CMPOS-RUN.LSP                                 */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpos-run.eclh"
/*	function definition for SAFE-SYSTEM                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1safe_system(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_function_dispatch(cl_env_copy,VV[20])(2,VV[0],V1) /*  CMPNOTE */;
	{cl_fixnum V2;                            /*  RESULT          */
	V2= ecl_to_fixnum(si_system(V1)           /*  SYSTEM          */);
	if((V2)==0){
	goto L5;}
	cl_cerror(4,VV[1],VV[2],V1,MAKE_FIXNUM(V2)) /*  CERROR        */;
	goto L3;
L5:;
	goto L3;
L3:;
	value0=MAKE_FIXNUM(V2); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SAVE-DIRECTORY                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2save_directory(cl_object volatile V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  DIRECTORY       */
	T0= cl_make_pathname(6,ECL_SYM("NAME",1270),Cnil,ECL_SYM("TYPE",1315),Cnil,ECL_SYM("DEFAULTS",1213),ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",30))) /*  MAKE-PATHNAME */;
	V2= cl_probe_file(T0)                     /*  PROBE-FILE      */;
	if((V2)==Cnil){
	goto L3;}
	{volatile cl_object V3;                   /*  LET2005         */
	V3= si_chdir(1,V2)                        /*  CHDIR           */;
	ecl_bds_bind(cl_env_copy,ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",30),V2); /*  *DEFAULT-PATHNAME-DEFAULTS* */
	{
	volatile bool unwinding = FALSE;
	cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V1)(0);
	}
	ecl_frs_pop(cl_env_copy);
	V5=ecl_stack_push_values(cl_env_copy);
	si_chdir(1,V3)                            /*  CHDIR           */;
	ecl_stack_pop_values(cl_env_copy,V5);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V4);
	ecl_bds_unwind1(cl_env_copy);
	return cl_env_copy->values[0];}
	}
L3:;
	value0=ecl_function_dispatch(cl_env_copy,V1)(0);
	return value0;
	}
}}
/*	local function WITH-CURRENT-DIRECTORY                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3with_current_directory(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	T0= cl_listX(3,ECL_SYM("LAMBDA",450),Cnil,V3) /*  LIST*       */;
	T1= cl_list(2,ECL_SYM("FUNCTION",394),T0) /*  LIST            */;
	value0=cl_list(2,VV[4],T1)                /*  LIST            */;
	return value0;
	}
}}
/*	function definition for SAFE-RUN-PROGRAM                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5safe_run_program(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  PROGRAM         */
	CLV1=env0=CONS(V2,env0);                  /*  ARGS            */
	ecl_function_dispatch(cl_env_copy,VV[20])(3,VV[6],ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1)) /*  CMPNOTE */;
	ecl_bds_bind(cl_env_copy,ECL_SYM("*STANDARD-OUTPUT*",65),ecl_symbol_value(ECL_SYM("+PROCESS-STANDARD-OUTPUT+",1789))); /*  *STANDARD-OUTPUT* */
	ecl_bds_bind(cl_env_copy,ECL_SYM("*ERROR-OUTPUT*",31),ecl_symbol_value(ECL_SYM("+PROCESS-ERROR-OUTPUT+",1790))); /*  *ERROR-OUTPUT* */
	T0= ecl_make_cclosure_va((cl_objectfn)LC4__g6,env0,Cblock);
	cl_env_copy->values[0]=L2save_directory(T0) /*  SAVE-DIRECTORY */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	{
	cl_object V4;                             /*  STREAM          */
	cl_object V5;                             /*  RESULT          */
	cl_object V6;                             /*  PROCESS         */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L4;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L5;
	V5= cl_env_copy->values[1];
	if (V7--<=0) goto L6;
	V6= cl_env_copy->values[2];
	goto L7;}
L4:;
	V4= Cnil;
L5:;
	V5= Cnil;
L6:;
	V6= Cnil;
L7:;
	if(!(V5==Cnil)){
	goto L10;}
	cl_cerror(5,VV[1],VV[7],ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1),V5) /*  CERROR */;
	goto L8;
L10:;
	if(ecl_zerop(V5)){
	goto L13;}
	cl_cerror(5,VV[1],VV[8],V5,ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1)) /*  CERROR */;
	goto L8;
L13:;
	goto L8;
L8:;
	value0=V5; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	closure G6                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4__g6(cl_narg narg, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  ARGS            */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=si_run_program(10,ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1),ECL_SYM("INPUT",1251),Cnil,ECL_SYM("OUTPUT",1279),Ct,ECL_SYM("ERROR",1226),Ct,ECL_SYM("WAIT",1326),Ct) /*  RUN-PROGRAM */;
	return value0;
}}}
/*	function definition for SPLIT-PROGRAM-OPTIONS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9split_program_options(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  OUTPUT          */
	V2= Cnil;
	{cl_object V3;                            /*  OPTION          */
	V3= Cnil;
	{cl_object V4;                            /*  STATUS          */
	V4= Cnil;
	{cl_fixnum V5;                            /*  LET2009         */
	cl_object V6;                             /*  I               */
	V5= ecl_length(V1);
	V6= MAKE_FIXNUM(0);
	{cl_object V7;                            /*  C               */
	V7= Cnil;
	{cl_object V8;                            /*  NOW             */
	V8= Cnil;
L9:;
	if(!(ecl_number_compare(V6,MAKE_FIXNUM(V5))>=0)){
	goto L13;}
	goto L10;
L13:;
	goto L11;
L11:;
	V7= cl_char(V1,V6)                        /*  CHAR            */;
	V8= ecl_car(V4);
	if(!((V8)==(CODE_CHAR(39)))){
	goto L21;}
	if(!((V7)==(CODE_CHAR(39)))){
	goto L24;}
	V4= ecl_cdr(V4);
	goto L19;
L24:;
	V3= LC8push_char(V7,V3)                   /*  PUSH-CHAR       */;
	goto L19;
L21:;
	if(!((V8)==(CODE_CHAR(92)))){
	goto L29;}
	V3= LC8push_char(V7,V3)                   /*  PUSH-CHAR       */;
	V4= ecl_cdr(V4);
	goto L19;
L29:;
	if(!((V8)==(CODE_CHAR(34)))){
	goto L35;}
	if(!((V7)==(CODE_CHAR(34)))){
	goto L38;}
	V4= ecl_cdr(V4);
	goto L19;
L38:;
	V3= LC8push_char(V7,V3)                   /*  PUSH-CHAR       */;
	goto L19;
L35:;
	if(!(((V7)==CODE_CHAR((ecl_character)(92))))){
	goto L48;}
	goto L45;
	goto L46;
L48:;
	goto L46;
L46:;
	if(!(((V7)==CODE_CHAR((ecl_character)(39))))){
	goto L52;}
	goto L45;
	goto L50;
L52:;
	goto L50;
L50:;
	if(!(((V7)==CODE_CHAR((ecl_character)(34))))){
	goto L43;}
	goto L44;
L45:;
L44:;
	V4= CONS(V7,V4);
	goto L19;
L43:;
	if(!(((V7)==CODE_CHAR((ecl_character)(32))))){
	goto L62;}
	goto L59;
	goto L60;
L62:;
	goto L60;
L60:;
	if(!(((V7)==CODE_CHAR((ecl_character)(9))))){
	goto L66;}
	goto L59;
	goto L64;
L66:;
	goto L64;
L64:;
	if(!(((V7)==CODE_CHAR((ecl_character)(13))))){
	goto L70;}
	goto L59;
	goto L68;
L70:;
	goto L68;
L68:;
	if(!(((V7)==CODE_CHAR((ecl_character)(10))))){
	goto L57;}
	goto L58;
L59:;
L58:;
	V2= LC6maybe_push(V2,V3)                  /*  MAYBE-PUSH      */;
	V3= Cnil;
	goto L19;
L57:;
	V3= LC8push_char(V7,V3)                   /*  PUSH-CHAR       */;
	goto L19;
L19:;
	V6= ecl_one_plus(V6);
	goto L9;
L10:;
	if((V4)==Cnil){
	goto L82;}
	cl_error(2,VV[17],V1)                     /*  ERROR           */;
	goto L80;
L82:;
	T0= LC6maybe_push(V2,V3)                  /*  MAYBE-PUSH      */;
	value0=cl_nreverse(T0)                    /*  NREVERSE        */;
	return value0;
L80:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
	}
	}
}}
/*	local function PUSH-CHAR                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8push_char(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V2)!=Cnil){
	goto L3;}
	V2= LC7new_string()                       /*  NEW-STRING      */;
	goto L1;
L3:;
	goto L1;
L1:;
	if (ecl_unlikely(!ECL_VECTORP(V2)))
           FEtype_error_vector(V2);
	{cl_fixnum V3;                            /*  LET2006         */
	cl_fixnum V4;                             /*  LET2007         */
	V3= ((V2)->vector.fillp);
	V4= ((V2)->array.dim);
	if(!((V3)<(V4))){
	goto L11;}
	{cl_fixnum V5;
	V5= (1)+(V3);
	((V2)->vector.fillp)=(V5);}
	ecl_aset_unsafe(V2,V3,V1);
	goto L6;
L11:;
	cl_vector_push_extend(2,V1,V2)            /*  VECTOR-PUSH-EXTEND */;
	goto L6;
	}
L6:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function NEW-STRING                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7new_string()
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_make_vector(ECL_SYM("BASE-CHAR",118),MAKE_FIXNUM(32),Ct,MAKE_FIXNUM(0),Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	return value0;
}}
/*	local function MAYBE-PUSH                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6maybe_push(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V2)==Cnil){
	goto L2;}
	value0=CONS(V2,V1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "cmp/cmpos-run.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclBV02yoa7_XIWWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPOS-RUN.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclBV02yoa7_XIWWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[19]);                    /*  SAFE-SYSTEM     */
	ecl_cmp_defun(VV[21]);                    /*  SAVE-DIRECTORY  */
	ecl_cmp_defmacro(VV[22]);                 /*  WITH-CURRENT-DIRECTORY */
	ecl_cmp_defun(VV[23]);                    /*  SAFE-RUN-PROGRAM */
	ecl_cmp_defun(VV[24]);                    /*  SPLIT-PROGRAM-OPTIONS */
}
