/*	Compiler: ECL 12.2.1                                          */
/*	Source: EXT:ECL-CDB;ECL-CDB.LISP                              */
#include <ecl/ecl-cmp.h>
#include "ext/ecl-cdb.eclh"
/*	function definition for MAKE-CDB                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_cdb(cl_narg narg, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,L1make_cdbkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	V4= keyvars[3];
	V5= keyvars[4];
	}
	value0=si_make_structure(6,VV[3],V1,V2,V3,V4,V5) /*  MAKE-STRUCTURE */;
	return value0;
}}
/*	function definition for READ-WORD                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2read_word(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_read_byte(1,V1)                    /*  READ-BYTE       */;
	T1= cl_read_byte(1,V1)                    /*  READ-BYTE       */;
	T2= cl_ash(T1,MAKE_FIXNUM(8))             /*  ASH             */;
	T3= cl_read_byte(1,V1)                    /*  READ-BYTE       */;
	T4= cl_ash(T3,MAKE_FIXNUM(16))            /*  ASH             */;
	T5= cl_read_byte(1,V1)                    /*  READ-BYTE       */;
	T6= cl_ash(T5,MAKE_FIXNUM(24))            /*  ASH             */;
	value0=cl_logior(4,T0,T2,T4,T6)           /*  LOGIOR          */;
	return value0;
}}
/*	function definition for WRITE-WORD                            */
/*	optimize speed 3, debug 1, space 1, safety 2                  */
static cl_object L3write_word(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	unsigned int V3;
	V3= ecl_to_uint(V1);
TTL:
	T0= ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(255)),(ecl_make_uint(V3)));
	cl_write_byte(T0,V2)                      /*  WRITE-BYTE      */;
	T0= ecl_ash(ecl_make_uint(V3),-8);
	T1= ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(255)),(T0));
	cl_write_byte(T1,V2)                      /*  WRITE-BYTE      */;
	T0= ecl_ash(ecl_make_uint(V3),-16);
	T1= ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(255)),(T0));
	cl_write_byte(T1,V2)                      /*  WRITE-BYTE      */;
	T0= ecl_ash(ecl_make_uint(V3),-24);
	T1= ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(255)),(T0));
	value0=cl_write_byte(T1,V2)               /*  WRITE-BYTE      */;
	return value0;
}}
/*	function definition for WRITE-VECTOR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4write_vector(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  V               */
	cl_fixnum V4;
	cl_fixnum V5;
	V3= Cnil;
	V4= 0;
	V5= 0;
	V5= ecl_length(V1);
L5:;
	if(!((V4)>=(V5))){
	goto L11;}
	goto L6;
L11:;
	goto L9;
L9:;
	{cl_fixnum V6;
	if (ecl_unlikely(!ECL_VECTORP(V1)))
           FEtype_error_vector(V1);
	if (ecl_unlikely((V4)>=(V1)->vector.dim))
           FEwrong_index(Cnil,V1,-1,MAKE_FIXNUM(V4),(V1)->vector.dim);
	V6= V4;
	V3= ecl_make_uint8_t((V1)->vector.self.b8[V6]);}
	{cl_object V6;
	V6= ecl_make_integer((V4)+1);
	{bool V7;
	V7= FIXNUMP(V6);
	if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V6);}
	V4= ecl_fix(V6);
	}
	L3write_word(V3,V2)                       /*  WRITE-WORD      */;
	goto L5;
L6:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for TO-CDB-HASH                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5to_cdb_hash(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  H               */
	V2= MAKE_FIXNUM(5381);
	{uint8_t V3;                              /*  BYTE            */
	cl_object V4;
	cl_fixnum V5;
	cl_fixnum V6;
	{cl_fixnum V7;
	V7= 0;
	V7= 0;
	if(!((V7)<=(255))){
	goto L12;}
	T0= ecl_make_bool((V7)>=(0));
	goto L4;
L12:;
	T0= Cnil;
	goto L4;
	T0= Cnil;
	goto L4;
	}
L4:;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(VV[8],MAKE_FIXNUM(0));
	V3= (uint8_t)(0);
	{bool V7;
	V7= ECL_VECTORP(V1);
	if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("VECTOR",896),V1);}
	V4= V1;
	V5= 0;
	V6= 0;
	V6= ecl_length(V4);
L19:;
	if(!((V5)>=(V6))){
	goto L25;}
	goto L20;
L25:;
	goto L23;
L23:;
	{cl_object V7;
	{cl_fixnum V8;
	if (ecl_unlikely(!ECL_VECTORP(V4)))
           FEtype_error_vector(V4);
	if (ecl_unlikely((V5)>=(V4)->vector.dim))
           FEwrong_index(Cnil,V4,-1,MAKE_FIXNUM(V5),(V4)->vector.dim);
	V8= V5;
	V7= ecl_aref_unsafe(V4,V8);}
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V7))){
	goto L37;}
	V8= ecl_fix(V7);
	if(!((V8)<=(255))){
	goto L42;}
	T0= ecl_make_bool((V8)>=(0));
	goto L34;
L42:;
	T0= Cnil;
	goto L34;
L37:;
	T0= Cnil;
	goto L34;
	}
L34:;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(VV[8],V7);
	V3= ecl_fix(V7);
	}
	{cl_object V7;
	V7= ecl_make_integer((V5)+1);
	{bool V8;
	V8= FIXNUMP(V7);
	if (ecl_unlikely(!(V8)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V7);}
	V5= ecl_fix(V7);
	}
	T0= cl_logand(2,MAKE_FIXNUM(134217727),V2) /*  LOGAND         */;
	T1= cl_ash(T0,MAKE_FIXNUM(5))             /*  ASH             */;
	T2= ecl_plus(T1,V2);
	T3= ecl_boole(ECL_BOOLAND,(VV[9]),(T2));
	V2= ecl_boole(ECL_BOOLXOR,(T3),(ecl_make_uint8_t(V3)));
	goto L19;
L20:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for %MAKE-CDB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6_make_cdb(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  STREAM          */
	V3= cl_open(9,V2,ECL_SYM("DIRECTION",1215),ECL_SYM("OUTPUT",1279),ECL_SYM("IF-EXISTS",1242),ECL_SYM("SUPERSEDE",1311),ECL_SYM("IF-DOES-NOT-EXIST",1241),ECL_SYM("CREATE",1210),ECL_SYM("ELEMENT-TYPE",1221),VV[8]) /*  OPEN */;
	if((V3)==Cnil){
	goto L3;}
	cl_file_position(2,V3,MAKE_FIXNUM(0))     /*  FILE-POSITION   */;
	{cl_fixnum V4;                            /*  I               */
	V4= 0;
	goto L10;
L9:;
	L3write_word(MAKE_FIXNUM(0),V3)           /*  WRITE-WORD      */;
	V4= (V4)+1;
L10:;
	if(!((V4)<(512))){
	goto L17;}
	goto L9;
L17:;
	goto L15;
L15:;
	goto L6;
	}
L6:;
	T0= si_make_vector(Ct,MAKE_FIXNUM(256),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	T1= si_fill_array_with_elt(T0,Cnil,MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	value0=L1make_cdb(8,ECL_SYM("STREAM",1310),V3,ECL_SYM("PATHNAME",1282),V1,VV[11],T1,VV[12],V2) /*  MAKE-CDB */;
	return value0;
L3:;
	value0=cl_error(2,VV[13],V2)              /*  ERROR           */;
	return value0;
	}
}}
/*	local function WITH-OUTPUT-TO-CDB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7with_output_to_cdb(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  CDB             */
	cl_object V7;                             /*  CDB-PATHNAME    */
	cl_object V8;                             /*  TEMPORARY-PATHNAME */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V9;
	V9= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V9;
	}
	V5= V4;
	if(!(V5==Cnil)){
	goto L14;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L12;
L14:;
	goto L12;
L12:;
	{cl_object V9;
	V9= ecl_car(V5);
	V5= ecl_cdr(V5);
	V6= V9;
	}
	if(!(V5==Cnil)){
	goto L22;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L20;
L22:;
	goto L20;
L20:;
	{cl_object V9;
	V9= ecl_car(V5);
	V5= ecl_cdr(V5);
	V7= V9;
	}
	if(!(V5==Cnil)){
	goto L30;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L28;
L30:;
	goto L28;
L28:;
	{cl_object V9;
	V9= ecl_car(V5);
	V5= ecl_cdr(V5);
	V8= V9;
	}
	if((V5)==Cnil){
	goto L37;}
	si_dm_too_many_arguments(1,V5)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L35;
L37:;
	goto L35;
L35:;
	T0= ecl_list1(V6);
	T1= cl_list(3,VV[14],V7,V8)               /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETF",748),V6,T1)  /*  LIST            */;
	T3= cl_listX(3,ECL_SYM("PROGN",669),T2,V3) /*  LIST*          */;
	T4= cl_list(2,VV[15],V6)                  /*  LIST            */;
	T5= cl_list(3,ECL_SYM("UNWIND-PROTECT",886),T3,T4) /*  LIST   */;
	value0=cl_list(3,ECL_SYM("LET",475),T0,T5) /*  LIST           */;
	return value0;
	}
}}
/*	function definition for ADD-RECORD                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8add_record(cl_object V1, cl_object V2, cl_object V3)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  HASH-KEY        */
	cl_fixnum V5;                             /*  TABLE-INDEX     */
	cl_object V6;                             /*  STREAM          */
	V4= L5to_cdb_hash(V1)                     /*  TO-CDB-HASH     */;
	V5= ecl_to_fixnum(ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(255)),(V4)));
	V6= ecl_function_dispatch(cl_env_copy,VV[41])(1,V3) /*  CDB-STREAM */;
	{cl_object V7;
	cl_object V8;
	cl_object V9;
	T0= cl_file_position(1,V6)                /*  FILE-POSITION   */;
	V7= CONS(V4,T0);
	V8= ecl_function_dispatch(cl_env_copy,VV[42])(1,V3) /*  CDB-TABLES */;
	{cl_fixnum V10;
	if (ecl_unlikely(!ECL_VECTORP(V8)))
           FEtype_error_vector(V8);
	if (ecl_unlikely((V5)>=(V8)->vector.dim))
           FEwrong_index(Cnil,V8,-1,MAKE_FIXNUM(V5),(V8)->vector.dim);
	V10= V5;
	T0= ecl_aref_unsafe(V8,V10);}
	V9= CONS(V7,T0);
	{cl_fixnum V10;
	if (ecl_unlikely(!ECL_VECTORP(V8)))
           FEtype_error_vector(V8);
	if (ecl_unlikely((V5)>=(V8)->vector.dim))
           FEwrong_index(Cnil,V8,-1,MAKE_FIXNUM(V5),(V8)->vector.dim);
	V10= V5;
	ecl_aset_unsafe(V8,V10,V9);}
	}
	{cl_fixnum V7;
	V7= ecl_length(V1);
	L3write_word(MAKE_FIXNUM(V7),V6)          /*  WRITE-WORD      */;}
	{cl_fixnum V7;
	V7= ecl_length(V2);
	L3write_word(MAKE_FIXNUM(V7),V6)          /*  WRITE-WORD      */;}
	cl_write_sequence(2,V1,V6)                /*  WRITE-SEQUENCE  */;
	value0=cl_write_sequence(2,V2,V6)         /*  WRITE-SEQUENCE  */;
	return value0;
	}
}}
/*	function definition for DUMP-TABLE                            */
/*	optimize speed 3, debug 1, space 1, safety 2                  */
static cl_object L9dump_table(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LENGTH          */
	{cl_fixnum V4;
	V4= ecl_length(V1);
	V3= ecl_times(MAKE_FIXNUM(2),MAKE_FIXNUM(V4));}
	{cl_object V4;                            /*  VECTOR          */
	T0= ecl_times(MAKE_FIXNUM(2),V3);
	T1= si_make_pure_array(ECL_SYM("BYTE32",1329),T0,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;
	V4= si_fill_array_with_elt(T1,MAKE_FIXNUM(0),MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	{cl_object V5;                            /*  HASH-KEY        */
	cl_object V6;                             /*  POS             */
	cl_object V7;
	V5= Cnil;
	V6= Cnil;
	V7= V1;
	{cl_object V8;                            /*  INDEX           */
	V8= Cnil;
L8:;
	if(!(ecl_endp(V7))){
	goto L12;}
	goto L9;
L12:;
	goto L10;
L10:;
	{cl_object V9;
	V9= _ecl_car(V7);
	V5= ecl_car(V9);
	V9= ecl_cdr(V9);
	V6= V9;
	}
	V7= _ecl_cdr(V7);
	T0= ecl_ash(V5,-8);
	V8= (ecl_floor2(T0,V3),cl_env_copy->values[1]);
	{cl_object V9;                            /*  DISP            */
	V9= MAKE_FIXNUM(0);
	{cl_object V10;                           /*  I               */
	V10= Cnil;
	{cl_object V11;                           /*  RECORD-POS      */
	V11= Cnil;
L30:;
	if(!(ecl_number_compare(V9,V3)>=0)){
	goto L34;}
	goto L31;
L34:;
	goto L32;
L32:;
	T0= ecl_plus(V9,V8);
	T1= (ecl_floor2(T0,V3),cl_env_copy->values[1]);
	V10= ecl_times(MAKE_FIXNUM(2),T1);
	T0= ecl_one_plus(V10);
	V11= ecl_make_uint32_t((V4)->vector.self.b32[ecl_fix(T0)]);
	if(!(ecl_zerop(V11))){
	goto L42;}
	goto L31;
L42:;
	goto L40;
L40:;
	V9= ecl_one_plus(V9);
	goto L30;
L31:;
	(V4)->vector.self.b32[ecl_fix(V10)]= ecl_to_uint(V5);
	T0= ecl_one_plus(V10);
	(V4)->vector.self.b32[ecl_fix(T0)]= ecl_to_uint(V6);
	goto L25;
	}
	}
	}
L25:;
	goto L8;
L9:;
	L4write_vector(V4,V2)                     /*  WRITE-VECTOR    */;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
}}
/*	function definition for DUMP-CDB                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10dump_cdb(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  STREAM          */
	cl_object V3;                             /*  INDEX           */
	V2= ecl_function_dispatch(cl_env_copy,VV[41])(1,V1) /*  CDB-STREAM */;
	V3= si_make_vector(ECL_SYM("BYTE32",1329),MAKE_FIXNUM(512),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	{cl_object V4;                            /*  LET2167         */
	cl_object V5;                             /*  TABLE           */
	cl_object V6;
	cl_fixnum V7;
	cl_fixnum V8;
	V4= ecl_function_dispatch(cl_env_copy,VV[42])(1,V1) /*  CDB-TABLES */;
	V5= Cnil;
	{bool V9;
	V9= ECL_VECTORP(V4);
	if (ecl_unlikely(!(V9)))
         FEwrong_type_argument(ECL_SYM("VECTOR",896),V4);}
	V6= V4;
	V7= 0;
	V8= 0;
	{cl_fixnum V9;                            /*  I               */
	V9= 0;
	V8= ecl_length(V6);
	if(!((V7)>=(V8))){
	goto L18;}
	goto L13;
L18:;
	goto L16;
L16:;
	{cl_fixnum V10;
	if (ecl_unlikely(!ECL_VECTORP(V6)))
           FEtype_error_vector(V6);
	if (ecl_unlikely((V7)>=(V6)->vector.dim))
           FEwrong_index(Cnil,V6,-1,MAKE_FIXNUM(V7),(V6)->vector.dim);
	V10= V7;
	V5= ecl_aref_unsafe(V6,V10);}
	{cl_object V10;
	V10= ecl_make_integer((V7)+1);
	{bool V11;
	V11= FIXNUMP(V10);
	if (ecl_unlikely(!(V11)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V10);}
	V7= ecl_fix(V10);
	}
L12:;
	{cl_fixnum V10;
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((V9)>=(V3)->vector.dim))
           FEwrong_index(Cnil,V3,-1,MAKE_FIXNUM(V9),(V3)->vector.dim);
	V10= V9;
	T0= cl_file_position(1,V2)                /*  FILE-POSITION   */;
	(V3)->vector.self.b32[V10]= ecl_to_uint(T0);}
	{cl_fixnum V10;
	{cl_object V11;
	V11= ecl_make_integer((V9)+1);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((ecl_fix(V11))>=(V3)->vector.dim))
           FEwrong_index(Cnil,V3,-1,MAKE_FIXNUM(ecl_fix(V11)),(V3)->vector.dim);
	V10= ecl_fix(V11);
	}
	T0= L9dump_table(V5,V2)                   /*  DUMP-TABLE      */;
	(V3)->vector.self.b32[V10]= ecl_to_uint(T0);}
	if(!((V7)>=(V8))){
	goto L40;}
	goto L13;
L40:;
	goto L38;
L38:;
	{cl_fixnum V10;
	if (ecl_unlikely(!ECL_VECTORP(V6)))
           FEtype_error_vector(V6);
	if (ecl_unlikely((V7)>=(V6)->vector.dim))
           FEwrong_index(Cnil,V6,-1,MAKE_FIXNUM(V7),(V6)->vector.dim);
	V10= V7;
	V5= ecl_aref_unsafe(V6,V10);}
	{cl_object V10;
	V10= ecl_make_integer((V7)+1);
	{bool V11;
	V11= FIXNUMP(V10);
	if (ecl_unlikely(!(V11)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V10);}
	V7= ecl_fix(V10);
	}
	V9= (V9)+(2);
	goto L12;
L13:;
	goto L3;
	}
	}
L3:;
	cl_file_position(2,V2,MAKE_FIXNUM(0))     /*  FILE-POSITION   */;
	value0=L4write_vector(V3,V2)              /*  WRITE-VECTOR    */;
	return value0;
	}
}}
/*	function definition for CLOSE-CDB                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11close_cdb(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  STREAM          */
	V2= ecl_function_dispatch(cl_env_copy,VV[41])(1,V1) /*  CDB-STREAM */;
	if((cl_open_stream_p(V2)                  /*  OPEN-STREAM-P   */)==Cnil){
	goto L3;}
	L10dump_cdb(V1)                           /*  DUMP-CDB        */;
	cl_close(1,V2)                            /*  CLOSE           */;
	if((ecl_function_dispatch(cl_env_copy,VV[46])(1,V1) /*  CDB-PATHNAME */)==Cnil){
	goto L8;}
	T0= ecl_function_dispatch(cl_env_copy,VV[47])(1,V1) /*  CDB-TEMPORARY-PATHNAME */;
	T1= ecl_function_dispatch(cl_env_copy,VV[46])(1,V1) /*  CDB-PATHNAME */;
	value0=cl_rename_file(2,T0,T1)            /*  RENAME-FILE     */;
	return value0;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CDB-ERROR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12cdb_error(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(2,VV[21],V1)              /*  ERROR           */;
	return value0;
}}
/*	function definition for VALUES-COINCIDE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13values_coincide(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_file_position(2,V3,V1)             /*  FILE-POSITION   */)!=Cnil){
	goto L3;}
	L12cdb_error(V3)                          /*  CDB-ERROR       */;
	goto L1;
L3:;
	goto L1;
L1:;
	{cl_object V5;                            /*  KEY-LENGTH      */
	V5= L2read_word(V3)                       /*  READ-WORD       */;
	{cl_fixnum V6;
	V6= ecl_length(V2);
	if(!(ecl_number_equalp(V5,MAKE_FIXNUM(V6)))){
	goto L7;}}
	{cl_object V6;                            /*  VALUE-LENGTH    */
	cl_object V7;                             /*  OTHER-KEY       */
	V6= L2read_word(V3)                       /*  READ-WORD       */;
	V7= si_make_pure_array(ECL_SYM("BYTE8",1327),V5,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;
	cl_read_sequence(2,V7,V3)                 /*  READ-SEQUENCE   */;
	if(!(ecl_equalp(V7,V2))){
	goto L13;}
	if((V4)==Cnil){
	goto L16;}
	value0=cl_file_position(1,V3)             /*  FILE-POSITION   */;
	return value0;
L16:;
	{cl_object V8;                            /*  VALUE           */
	V8= si_make_pure_array(ECL_SYM("BYTE8",1327),V6,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;
	cl_read_sequence(2,V8,V3)                 /*  READ-SEQUENCE   */;
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
	}
L13:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for LOOKUP-CDB                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14lookup_cdb(volatile cl_narg narg, cl_object volatile V1, cl_object volatile V2, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((cl_streamp(V2)                        /*  STREAMP         */)==Cnil){
	goto L3;}
	{cl_object V4;                            /*  HASH            */
	cl_fixnum V5;                             /*  TABLE           */
	V4= L5to_cdb_hash(V1)                     /*  TO-CDB-HASH     */;
	V5= ecl_to_fixnum(ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(255)),(V4)));
	T0= ecl_times(MAKE_FIXNUM(V5),MAKE_FIXNUM(8));
	if((cl_file_position(2,V2,T0)             /*  FILE-POSITION   */)!=Cnil){
	goto L9;}
	L12cdb_error(V2)                          /*  CDB-ERROR       */;
	goto L7;
L9:;
	goto L7;
L7:;
	{cl_object V6;                            /*  START           */
	cl_object V7;                             /*  LENGTH          */
	cl_object V8;                             /*  INDEX           */
	V6= L2read_word(V2)                       /*  READ-WORD       */;
	V7= L2read_word(V2)                       /*  READ-WORD       */;
	T0= cl_ash(V4,MAKE_FIXNUM(-8))            /*  ASH             */;
	V8= (ecl_floor2(T0,V7),cl_env_copy->values[1]);
	{cl_object V9;                            /*  RESET           */
	V9= Cnil;
	{cl_object V10;                           /*  I               */
	cl_object V11;
	V10= MAKE_FIXNUM(0);
	T0= cl_realp(V7)                          /*  REALP           */;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(ECL_SYM("REAL",701),V7);
	V11= V7;
	{cl_object V12;                           /*  ROUNDED-I       */
	V12= Cnil;
	{cl_object V13;                           /*  POSITION        */
	V13= Cnil;
	V9= Ct;
L21:;
	if(!(ecl_number_compare(V10,V11)>=0)){
	goto L27;}
	goto L22;
L27:;
	goto L25;
L25:;
	T0= ecl_plus(V8,V10);
	V12= (ecl_floor2(T0,V7),cl_env_copy->values[1]);
	T0= ecl_times(MAKE_FIXNUM(8),V12);
	V13= ecl_plus(V6,T0);
	if((V9)==Cnil){
	goto L36;}
	if((cl_file_position(2,V2,V13)            /*  FILE-POSITION   */)!=Cnil){
	goto L40;}
	L12cdb_error(V2)                          /*  CDB-ERROR       */;
	goto L38;
L40:;
	goto L38;
L38:;
	V9= Cnil;
	goto L34;
L36:;
	goto L34;
L34:;
	{cl_object V14;                           /*  OTHER-HASH      */
	cl_object V15;                            /*  RECORD-POSITION */
	V14= L2read_word(V2)                      /*  READ-WORD       */;
	V15= L2read_word(V2)                      /*  READ-WORD       */;
	if(!(ecl_zerop(V15))){
	goto L47;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L47:;
	goto L45;
L45:;
	if(!(ecl_number_equalp(V14,V4))){
	goto L50;}
	{cl_object V16;                           /*  OUTPUT          */
	V16= L13values_coincide(V15,V1,V2,V3)     /*  VALUES-COINCIDE */;
	if((V16)==Cnil){
	goto L54;}
	value0=V16; cl_env_copy->nvalues=1;
	return value0;
L54:;
	V9= Ct;
	goto L33;
	}
L50:;
	goto L33;
	}
L33:;
	V9= Ct;
	V10= ecl_one_plus(V10);
	goto L21;
L22:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
	}
	}
L3:;
	{volatile cl_object V14;                  /*  S               */
	V14= cl_open(5,V2,ECL_SYM("DIRECTION",1215),ECL_SYM("INPUT",1251),ECL_SYM("ELEMENT-TYPE",1221),VV[8]) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V15=ECL_STACK_INDEX(cl_env_copy),V16;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V17;
	V17= _ecl_inner_frame;
	cl_env_copy->values[0]=L14lookup_cdb(3,V1,V14,V3) /*  LOOKUP-CDB */;
	ecl_stack_frame_push_values(V17);
	if((V14)==Cnil){
	goto L70;}
	cl_close(1,V14)                           /*  CLOSE           */;
	goto L68;
L70:;
	goto L68;
L68:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V17);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V16=ecl_stack_push_values(cl_env_copy);
	if((V14)==Cnil){
	goto L74;}
	cl_close(3,V14,ECL_SYM("ABORT",1192),Ct)  /*  CLOSE           */;
	goto L72;
L74:;
	goto L72;
L72:;
	ecl_stack_pop_values(cl_env_copy,V16);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V15);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for MAP-CDB                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15map_cdb(cl_object volatile V1, cl_object volatile V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_streamp(V2)                        /*  STREAMP         */)==Cnil){
	goto L2;}
	{cl_object V3;                            /*  INDEX           */
	V3= si_make_vector(ECL_SYM("BYTE32",1329),MAKE_FIXNUM(512),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	if((cl_file_position(2,V2,MAKE_FIXNUM(0)) /*  FILE-POSITION   */)!=Cnil){
	goto L7;}
	L12cdb_error(V2)                          /*  CDB-ERROR       */;
	goto L5;
L7:;
	goto L5;
L5:;
	T0= cl_read_sequence(2,V3,V2)             /*  READ-SEQUENCE   */;
	{cl_fixnum V4;
	V4= ecl_length(V3);
	if((ecl_to_fixnum(T0))==(V4)){
	goto L11;}}
	L12cdb_error(V2)                          /*  CDB-ERROR       */;
	goto L9;
L11:;
	goto L9;
L9:;
	{cl_fixnum V4;                            /*  LET2173         */
	cl_object V5;                             /*  I               */
	V4= ecl_length(V3);
	V5= MAKE_FIXNUM(0);
	{cl_object V6;                            /*  TABLE-POSITION  */
	V6= Cnil;
	{cl_object V7;                            /*  TABLE-LENGTH    */
	V7= Cnil;
L18:;
	if(!(ecl_number_compare(V5,MAKE_FIXNUM(V4))>=0)){
	goto L22;}
	goto L19;
L22:;
	goto L20;
L20:;
	{cl_fixnum V8;
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((ecl_fix(V5))>=(V3)->vector.dim))
           FEwrong_index(Cnil,V3,-1,MAKE_FIXNUM(ecl_fix(V5)),(V3)->vector.dim);
	V8= ecl_fix(V5);
	V6= ecl_make_uint32_t((V3)->vector.self.b32[V8]);}
	{cl_fixnum V8;
	{cl_object V9;
	V9= ecl_one_plus(V5);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((ecl_fix(V9))>=(V3)->vector.dim))
           FEwrong_index(Cnil,V3,-1,MAKE_FIXNUM(ecl_fix(V9)),(V3)->vector.dim);
	V8= ecl_fix(V9);
	}
	V7= ecl_make_uint32_t((V3)->vector.self.b32[V8]);}
	if((cl_file_position(2,V2,V6)             /*  FILE-POSITION   */)!=Cnil){
	goto L38;}
	L12cdb_error(V2)                          /*  CDB-ERROR       */;
	goto L36;
L38:;
	goto L36;
L36:;
	{cl_object V8;                            /*  I               */
	cl_object V9;
	V8= MAKE_FIXNUM(0);
	T0= cl_realp(V7)                          /*  REALP           */;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(ECL_SYM("REAL",701),V7);
	V9= V7;
	{cl_object V10;                           /*  POSITION        */
	T0= cl_realp(V6)                          /*  REALP           */;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(ECL_SYM("REAL",701),V6);
	V10= V6;
	{cl_object V11;                           /*  RECORD-HASH     */
	V11= Cnil;
	{cl_object V12;                           /*  RECORD-POSITION */
	V12= Cnil;
	if(!(ecl_number_compare(V8,V9)>=0)){
	goto L52;}
	goto L49;
L52:;
	goto L50;
L50:;
L48:;
	V11= L2read_word(V2)                      /*  READ-WORD       */;
	V12= L2read_word(V2)                      /*  READ-WORD       */;
	if(ecl_zerop(V12)){
	goto L60;}
	if((cl_file_position(2,V2,V12)            /*  FILE-POSITION   */)!=Cnil){
	goto L64;}
	L12cdb_error(V2)                          /*  CDB-ERROR       */;
	goto L62;
L64:;
	goto L62;
L62:;
	{cl_object V13;                           /*  KEY-LENGTH      */
	cl_object V14;                            /*  VALUE-LENGTH    */
	cl_object V15;                            /*  KEY             */
	cl_object V16;                            /*  VALUE           */
	V13= L2read_word(V2)                      /*  READ-WORD       */;
	V14= L2read_word(V2)                      /*  READ-WORD       */;
	V15= si_make_pure_array(ECL_SYM("BYTE8",1327),V13,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;
	V16= si_make_pure_array(ECL_SYM("BYTE8",1327),V14,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;
	T0= cl_read_sequence(2,V15,V2)            /*  READ-SEQUENCE   */;
	if(!(ecl_number_equalp(T0,V13))){
	goto L75;}
	T0= cl_read_sequence(2,V16,V2)            /*  READ-SEQUENCE   */;
	if(ecl_number_equalp(T0,V14)){
	goto L72;}
	goto L73;
L75:;
	goto L73;
L73:;
	L12cdb_error(V2)                          /*  CDB-ERROR       */;
	goto L70;
L72:;
	goto L70;
L70:;
	ecl_function_dispatch(cl_env_copy,V1)(2,V15,V16);
	goto L58;
	}
L60:;
	goto L58;
L58:;
	V8= ecl_one_plus(V8);
	if(!(ecl_number_compare(V8,V9)>=0)){
	goto L81;}
	goto L49;
L81:;
	goto L79;
L79:;
	V10= ecl_plus(V10,MAKE_FIXNUM(8));
	goto L48;
L49:;
	goto L35;
	}
	}
	}
	}
L35:;
	V5= ecl_plus(V5,MAKE_FIXNUM(2));
	goto L18;
L19:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
L2:;
	{volatile cl_object V8;                   /*  S               */
	V8= cl_open(5,V2,ECL_SYM("DIRECTION",1215),ECL_SYM("INPUT",1251),ECL_SYM("ELEMENT-TYPE",1221),VV[8]) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V9=ECL_STACK_INDEX(cl_env_copy),V10;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V11;
	V11= _ecl_inner_frame;
	cl_env_copy->values[0]=L15map_cdb(V1,V8)  /*  MAP-CDB         */;
	ecl_stack_frame_push_values(V11);
	if((V8)==Cnil){
	goto L97;}
	cl_close(1,V8)                            /*  CLOSE           */;
	goto L95;
L97:;
	goto L95;
L95:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V11);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V10=ecl_stack_push_values(cl_env_copy);
	if((V8)==Cnil){
	goto L101;}
	cl_close(3,V8,ECL_SYM("ABORT",1192),Ct)   /*  CLOSE           */;
	goto L99;
L101:;
	goto L99;
L99:;
	ecl_stack_pop_values(cl_env_copy,V10);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V9);
	return cl_env_copy->values[0];}
	}
}}
	
#include "ext/ecl-cdb.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl3UKqEgb7_2bXWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:ECL-CDB;ECL-CDB.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecl3UKqEgb7_2bXWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	ecl_function_dispatch(cl_env_copy,VV[27])(10,VVtemp[0],Cnil,Cnil,VVtemp[1],Cnil,Cnil,VVtemp[2],Cnil,Cnil,Cnil) /*  DODEFPACKAGE */;
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	si_define_structure(15,VV[0],VVtemp[3],Cnil,Cnil,VVtemp[4],VVtemp[5],VV[1],Cnil,Cnil,Cnil,VVtemp[6],MAKE_FIXNUM(5),Cnil,Cnil,VV[2]) /*  DEFINE-STRUCTURE */;
	VV[3]= cl_find_class(1,VV[0])             /*  FIND-CLASS      */;
	ecl_cmp_defun(VV[28]);                    /*  MAKE-CDB        */
	ecl_cmp_defun(VV[34]);                    /*  READ-WORD       */
	ecl_cmp_defun(VV[35]);                    /*  WRITE-WORD      */
	ecl_cmp_defun(VV[36]);                    /*  WRITE-VECTOR    */
	ecl_cmp_defun(VV[37]);                    /*  TO-CDB-HASH     */
	ecl_cmp_defun(VV[38]);                    /*  %MAKE-CDB       */
	ecl_cmp_defmacro(VV[39]);                 /*  WITH-OUTPUT-TO-CDB */
	ecl_cmp_defun(VV[40]);                    /*  ADD-RECORD      */
	ecl_cmp_defun(VV[43]);                    /*  DUMP-TABLE      */
	ecl_cmp_defun(VV[44]);                    /*  DUMP-CDB        */
	ecl_cmp_defun(VV[45]);                    /*  CLOSE-CDB       */
	ecl_cmp_defun(VV[48]);                    /*  CDB-ERROR       */
	ecl_cmp_defun(VV[49]);                    /*  VALUES-COINCIDE */
	ecl_cmp_defun(VV[50]);                    /*  LOOKUP-CDB      */
	ecl_cmp_defun(VV[51]);                    /*  MAP-CDB         */
	cl_provide(VV[26])                        /*  PROVIDE         */;
}
