/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:LSP;PREDLIB.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "lsp/predlib.eclh"
/*	function definition for CONSTANTLY-T                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1constantly_t(cl_narg narg, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONSTANTLY-NIL                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2constantly_nil(cl_narg narg, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONSTANTLY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_constantly(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  N               */
	if(!((ECL_CONS_CAR(CLV0))==(Cnil))){
	goto L2;}
	value0=ecl_fdefinition(VV[1]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ecl_eql(ECL_CONS_CAR(CLV0),Ct))){
	goto L6;}
	value0=ecl_fdefinition(VV[0]); cl_env_copy->nvalues=1;
	return value0;
L6:;
	value0=ecl_make_cclosure_va((cl_objectfn)LC3__g3,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G3                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3__g3(cl_narg narg, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  N               */
	{ /* ... closure scanning finished */
	{
	value0=ECL_CONS_CAR(CLV0); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for SUBTYPEP-CLEAR-CACHE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4subtypep_clear_cache()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	si_fill_array_with_elt(ecl_symbol_value(VV[4]),Cnil,MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	value0=si_fill_array_with_elt(ecl_symbol_value(VV[5]),Cnil,MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	return value0;
}}
/*	function definition for CREATE-TYPE-NAME                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5create_type_name(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_memql(V1,ecl_symbol_value(ECL_SYM("*ALIEN-DECLARATIONS*",1570))))==Cnil){
	goto L2;}
	value0=cl_error(2,VV[7],V1)               /*  ERROR           */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DO-DEFTYPE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_do_deftype(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=3)) FEwrong_num_arguments_anonym();
	{
TTL:
	if(ECL_SYMBOLP(V1)){
	goto L3;}
	cl_error(2,VV[9],V1)                      /*  ERROR           */;
	goto L1;
L3:;
	goto L1;
L1:;
	L5create_type_name(V1)                    /*  CREATE-TYPE-NAME */;
	si_put_sysprop(V1,VV[10],V2)              /*  PUT-SYSPROP     */;
	if((cl_functionp(V3)                      /*  FUNCTIONP       */)==Cnil){
	goto L10;}
	T0= V3;
	goto L8;
L10:;
	T0= cl_constantly(V3)                     /*  CONSTANTLY      */;
	goto L8;
L8:;
	si_put_sysprop(V1,VV[11],T0)              /*  PUT-SYSPROP     */;
	L4subtypep_clear_cache()                  /*  SUBTYPEP-CLEAR-CACHE */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function DEFTYPE                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6deftype(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  LAMBDA-LIST     */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	cl_env_copy->values[0]=si_remove_documentation(1,V3) /*  REMOVE-DOCUMENTATION */;
	{
	cl_object V7;                             /*  BODY            */
	cl_object V8;                             /*  DOC             */
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L19;
	V7= cl_env_copy->values[0];
	if (V9--<=0) goto L20;
	V8= cl_env_copy->values[1];
	goto L21;}
L19:;
	V7= Cnil;
L20:;
	V8= Cnil;
L21:;
	V5= cl_copy_list(V5)                      /*  COPY-LIST       */;
	{cl_object V9;
	V9= VV[12];
	goto L29;
L28:;
	{cl_object V10;                           /*  X               */
	V10= ecl_car(V9);
	{cl_object V11;                           /*  L               */
	T0= ecl_memql(V10,V5);
	V11= ecl_cdr(T0);
	goto L39;
L38:;
	{cl_object V12;                           /*  VARIABLE        */
	V12= ecl_car(V11);
	if(!(ECL_SYMBOLP(V12))){
	goto L44;}
	if((ecl_memql(V12,VV[13]))!=Cnil){
	goto L44;}
	{cl_object V13;
	V13= cl_list(2,V12,VV[14])                /*  LIST            */;
	if (ecl_unlikely(ATOM(V11))) FEtype_error_cons(V11);
	T0= V11;
	(ECL_CONS_CAR(T0)=V13,T0);
	goto L41;
	}
L44:;
	goto L41;
	}
L41:;
	V11= ecl_cdr(V11);
L39:;
	if(V11==Cnil){
	goto L55;}
	goto L38;
L55:;
	goto L53;
L53:;
	goto L36;
L36:;
	}
	}
	V9= ecl_cdr(V9);
L29:;
	if((V9)==Cnil){
	goto L61;}
	goto L28;
L61:;
	goto L59;
L59:;
	goto L26;
L26:;
	}
	{cl_object V9;                            /*  FUNCTION        */
	T0= cl_listX(4,ECL_SYM("LAMBDA-BLOCK",1336),V4,V5,V7) /*  LIST* */;
	V9= cl_list(2,ECL_SYM("FUNCTION",394),T0) /*  LIST            */;
	if(!(V5==Cnil)){
	goto L66;}
	if(!(ECL_CONSP(V7))){
	goto L66;}
	T0= ecl_cdr(V7);
	if(!(T0==Cnil)){
	goto L66;}
	{cl_object V10;                           /*  FORM            */
	V10= ecl_car(V7);
	if((cl_constantp(2,V10,V2)                /*  CONSTANTP       */)==Cnil){
	goto L72;}
	V9= V10;
	goto L64;
L72:;
	goto L64;
	}
L66:;
	goto L64;
L64:;
	T0= si_expand_set_documentation(3,V4,ECL_SYM("TYPE",867),V8) /*  EXPAND-SET-DOCUMENTATION */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T2= cl_listX(4,ECL_SYM("DEFTYPE",286),V4,V5,V7) /*  LIST*     */;
	T3= cl_list(2,ECL_SYM("QUOTE",677),T2)    /*  LIST            */;
	T4= cl_list(4,ECL_SYM("DO-DEFTYPE",1568),T1,T3,V9) /*  LIST   */;
	T5= ecl_list1(T4);
	T6= ecl_append(T0,T5);
	value0=cl_listX(3,ECL_SYM("EVAL-WHEN",338),VV[15],T6) /*  LIST* */;
	return value0;
	}}
	}
}}
/*	local function REAL                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7real(cl_narg narg, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	V2= Cnil;
	} else {
	i++;
	V1= va_arg(args,cl_object);
	V2= Ct;
	}
	if (i >= narg) {
	V3= ECL_SYM("*",16);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V2)==Cnil){
	goto L4;}
	{cl_object V4;                            /*  RAT-START       */
	cl_object V5;                             /*  REAL-START      */
	cl_object V6;                             /*  RAT-END         */
	cl_object V7;                             /*  REAL-END        */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	if(!(ECL_CONSP(V1))){
	goto L12;}
	V1= ecl_car(V1);
	T0= cl_rational(V1)                       /*  RATIONAL        */;
	V4= ecl_list1(T0);
	T0= cl_float(1,V1)                        /*  FLOAT           */;
	V5= ecl_list1(T0);
	goto L10;
L12:;
	if(!(ecl_numberp(V1))){
	goto L20;}
	V4= cl_rational(V1)                       /*  RATIONAL        */;
	V5= cl_float(1,V1)                        /*  FLOAT           */;
	goto L10;
L20:;
	V4= V1;
	V5= V1;
	goto L10;
L10:;
	if(!(ECL_CONSP(V3))){
	goto L30;}
	V3= ecl_car(V3);
	T0= cl_rational(V3)                       /*  RATIONAL        */;
	V6= ecl_list1(T0);
	T0= cl_float(1,V3)                        /*  FLOAT           */;
	V7= ecl_list1(T0);
	goto L28;
L30:;
	if(!(ecl_numberp(V3))){
	goto L38;}
	V6= cl_rational(V3)                       /*  RATIONAL        */;
	V7= cl_float(1,V3)                        /*  FLOAT           */;
	goto L28;
L38:;
	V6= V3;
	V7= V3;
	goto L28;
L28:;
	T0= cl_list(3,ECL_SYM("RATIONAL",685),V4,V6) /*  LIST         */;
	T1= cl_list(3,ECL_SYM("FLOAT",372),V5,V7) /*  LIST            */;
	value0=cl_list(3,ECL_SYM("OR",612),T0,T1) /*  LIST            */;
	return value0;
	}
L4:;
	value0=VV[18]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHORT-FLOAT                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8short_float(cl_narg narg, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	if((V1)==Cnil){
	goto L2;}
	value0=CONS(ECL_SYM("SINGLE-FLOAT",776),V1); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=ECL_SYM("SINGLE-FLOAT",776); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MOD                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9mod(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_one_minus(V1);
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T0) /*  LIST */;
	return value0;
}}
/*	local function SIGNED-BYTE                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10signed_byte(cl_narg narg, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(V1==Cnil){
	goto L5;}
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	goto L4;
L5:;
L4:;
	value0=VV[19]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_one_minus(V1);
	T1= ecl_expt(MAKE_FIXNUM(2),T0);
	T2= ecl_negate(T1);
	T3= ecl_one_minus(V1);
	T4= ecl_expt(MAKE_FIXNUM(2),T3);
	T5= ecl_one_minus(T4);
	value0=cl_list(3,ECL_SYM("INTEGER",435),T2,T5) /*  LIST       */;
	return value0;
}}
/*	local function UNSIGNED-BYTE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11unsigned_byte(cl_narg narg, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(V1==Cnil){
	goto L5;}
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	goto L4;
L5:;
L4:;
	value0=VV[20]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_expt(MAKE_FIXNUM(2),V1);
	T1= ecl_one_minus(T0);
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),T1) /*  LIST */;
	return value0;
}}
/*	local function VECTOR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12vector(cl_narg narg, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V2= ECL_SYM("*",16);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= ecl_list1(V2);
	value0=cl_list(3,ECL_SYM("ARRAY",94),V1,T0) /*  LIST          */;
	return value0;
}}
/*	local function STRING                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13string(cl_narg narg, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[22]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	T1= cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	T2= ecl_list1(V1);
	T3= cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("CHARACTER",220),T2) /*  LIST */;
	value0=cl_list(3,ECL_SYM("OR",612),T1,T3) /*  LIST            */;
	return value0;
}}
/*	local function BASE-STRING                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14base_string(cl_narg narg, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[23]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	return value0;
}}
/*	local function EXTENDED-STRING                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15extended_string(cl_narg narg, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[24]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("CHARACTER",220),T0) /*  LIST */;
	return value0;
}}
/*	local function BIT-VECTOR                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16bit_vector(cl_narg narg, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[25]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("ARRAY",94),ECL_SYM("BIT",121),T0) /*  LIST */;
	return value0;
}}
/*	local function SIMPLE-VECTOR                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17simple_vector(cl_narg narg, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L3;}
	value0=VV[26]; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),Ct,T0) /*  LIST  */;
	return value0;
}}
/*	local function SIMPLE-STRING                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18simple_string(cl_narg narg, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	T0= ecl_list1(V1);
	T1= cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	T2= ecl_list1(V1);
	T3= cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("CHARACTER",220),T2) /*  LIST */;
	value0=cl_list(3,ECL_SYM("OR",612),T1,T3) /*  LIST            */;
	return value0;
L3:;
	value0=VV[27]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SIMPLE-BASE-STRING                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19simple_base_string(cl_narg narg, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("BASE-CHAR",118),T0) /*  LIST */;
	return value0;
L3:;
	value0=VV[28]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SIMPLE-BIT-VECTOR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20simple_bit_vector(cl_narg narg, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V1)==Cnil){
	goto L3;}
	T0= ecl_list1(V1);
	value0=cl_list(3,ECL_SYM("SIMPLE-ARRAY",761),ECL_SYM("BIT",121),T0) /*  LIST */;
	return value0;
L3:;
	value0=VV[29]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SIMPLE-ARRAY-P                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21simple_array_p(cl_object V1)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ARRAYP(V1))){
	goto L2;}
	if((ECL_ARRAYP(V1)? (void)0: FEtype_error_array(V1),ECL_ADJUSTABLE_ARRAY_P(V1))){
	goto L2;}
	if((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1))){
	goto L2;}
	T0= cl_array_displacement(V1)             /*  ARRAY-DISPLACEMENT */;
	value0=Null(T0)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for COMPLEX-ARRAY-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22complex_array_p(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_ARRAYP(V1))){
	goto L2;}
	value0=ecl_make_bool((ECL_ARRAYP(V1)? (void)0: FEtype_error_array(V1),ECL_ADJUSTABLE_ARRAY_P(V1)));
	if((value0)!=Cnil){
	goto L5;}
	value0=ecl_make_bool((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)));
	if((value0)!=Cnil){
	goto L5;}
	value0=cl_array_displacement(V1)          /*  ARRAY-DISPLACEMENT */;
	return value0;
L5:;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UPGRADED-ARRAY-ELEMENT-TYPE           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_upgraded_array_element_type(cl_narg narg, cl_object V1, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{int8_t V3;                               /*  HASH            */
	cl_object V4;                             /*  RECORD          */
	{cl_fixnum V5;
	T0= si_hash_eql(1,V1)                     /*  HASH-EQL        */;
	V5= ecl_to_fixnum(ecl_boole(ECL_BOOLAND,(MAKE_FIXNUM(127)),(T0)));
	{cl_fixnum V6;
	V6= 0;
	V6= V5;
	if(!((V6)<=(127))){
	goto L13;}
	T0= ecl_make_bool((V6)>=(0));
	goto L5;
L13:;
	T0= Cnil;
	goto L5;
	T0= Cnil;
	goto L5;
	}
L5:;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(VV[35],MAKE_FIXNUM(V5));
	V3= (int8_t)(V5);
	}
	{int8_t V5;
	if (ecl_unlikely(!ECL_VECTORP(ECL_SYM_VAL(cl_env_copy,VV[5]))))
           FEtype_error_vector(ECL_SYM_VAL(cl_env_copy,VV[5]));
	if (ecl_unlikely(((cl_fixnum)(V3))>=(ECL_SYM_VAL(cl_env_copy,VV[5]))->vector.dim))
           FEwrong_index(Cnil,ECL_SYM_VAL(cl_env_copy,VV[5]),-1,MAKE_FIXNUM((cl_fixnum)(V3)),(ECL_SYM_VAL(cl_env_copy,VV[5]))->vector.dim);
	V5= V3;
	V4= ecl_aref_unsafe(ECL_SYM_VAL(cl_env_copy,VV[5]),(cl_fixnum)(V5));}
	if((V4)==Cnil){
	goto L20;}
	T0= ecl_car(V4);
	if(!((T0)==(V1))){
	goto L20;}
	value0=ecl_cdr(V4); cl_env_copy->nvalues=1;
	return value0;
L20:;
	{cl_object V5;                            /*  ANSWER          */
	if((si_memq(V1,VV[36]))==Cnil){
	goto L25;}
	V5= V1;
	goto L23;
L25:;
	{cl_object V6;
	V6= ecl_symbol_value(VV[34]);
	goto L31;
L30:;
	{cl_object V7;                            /*  V               */
	V7= ecl_car(V6);
	if((cl_subtypep(2,V1,V7)                  /*  SUBTYPEP        */)==Cnil){
	goto L37;}
	V5= V7;
	goto L23;
L37:;
	goto L35;
L35:;
	}
	V6= ecl_cdr(V6);
L31:;
	if((V6)==Cnil){
	goto L43;}
	goto L30;
L43:;
	goto L41;
L41:;
	goto L28;
L28:;
	V5= Ct;
	goto L23;
	}
L23:;
	{cl_object V6;
	V6= ecl_symbol_value(VV[5]);
	{int8_t V7;
	if (ecl_unlikely(!ECL_VECTORP(V6)))
           FEtype_error_vector(V6);
	if (ecl_unlikely(((cl_fixnum)(V3))>=(V6)->vector.dim))
           FEwrong_index(Cnil,V6,-1,MAKE_FIXNUM((cl_fixnum)(V3)),(V6)->vector.dim);
	V7= V3;
	T0= CONS(V1,V5);
	ecl_aset_unsafe(V6,(cl_fixnum)(V7),T0);}
	}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for UPGRADED-COMPLEX-PART-TYPE            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_upgraded_complex_part_type(cl_narg narg, cl_object V1, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if((cl_subtypep(2,V1,ECL_SYM("REAL",701)) /*  SUBTYPEP        */)!=Cnil){
	goto L4;}
	cl_error(2,VV[37],V1)                     /*  ERROR           */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=ECL_SYM("REAL",701); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for IN-INTERVAL-P                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23in_interval_p(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LOW             */
	cl_object V4;                             /*  HIGH            */
	V3= Cnil;
	V4= Cnil;
	if(!(ecl_endp(V2))){
	goto L5;}
	V3= ECL_SYM("*",16);
	V4= ECL_SYM("*",16);
	goto L3;
L5:;
	T0= ecl_cdr(V2);
	if(!(ecl_endp(T0))){
	goto L11;}
	V3= ecl_car(V2);
	V4= ECL_SYM("*",16);
	goto L3;
L11:;
	V3= ecl_car(V2);
	V4= ecl_cadr(V2);
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_make_bool((V3)==(ECL_SYM("*",16)));
	if((V5)==Cnil){
	goto L22;}
	goto L19;
L22:;
	if(!(ECL_CONSP(V3))){
	goto L25;}
	T0= ecl_car(V3);
	if(!(ecl_number_compare(V1,T0)<=0)){
	goto L28;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L28:;
	goto L19;
L25:;
	{cl_object V6;
	if(!(ecl_number_compare(V1,V3)<0)){
	goto L32;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L32:;
	V6= Cnil;
	goto L30;
L30:;
	if((V6)==Cnil){
	goto L35;}
	goto L19;
L35:;
	goto L19;
	}
	}
L19:;
	{cl_object V5;
	V5= ecl_make_bool((V4)==(ECL_SYM("*",16)));
	if((V5)==Cnil){
	goto L40;}
	goto L37;
L40:;
	if(!(ECL_CONSP(V4))){
	goto L43;}
	T0= ecl_car(V4);
	if(!(ecl_number_compare(V1,T0)>=0)){
	goto L46;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L46:;
	goto L37;
L43:;
	{cl_object V6;
	if(!(ecl_number_compare(V1,V4)>0)){
	goto L50;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L50:;
	V6= Cnil;
	goto L48;
L48:;
	if((V6)==Cnil){
	goto L53;}
	goto L37;
L53:;
	goto L37;
	}
	}
L37:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for ERROR-TYPE-SPECIFIER                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24error_type_specifier(cl_object V1)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(2,VV[38],V1)              /*  ERROR           */;
	return value0;
}}
/*	function definition for MATCH-DIMENSIONS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25match_dimensions(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_bool((V2)==(ECL_SYM("*",16)));
	if((value0)!=Cnil){
	goto L2;}
	{int8_t V3;                               /*  RANK            */
	V3= ecl_to_int8_t(cl_array_rank(V1)       /*  ARRAY-RANK      */);
	if(!(ecl_numberp(V2))){
	goto L6;}
	value0=ecl_make_bool(ecl_number_equalp(ecl_make_int8_t(V3),V2)); cl_env_copy->nvalues=1;
	return value0;
L6:;
	if(!(ECL_LISTP(V2))){
	goto L9;}
	{cl_object V4;                            /*  I               */
	V4= MAKE_FIXNUM(0);
	goto L15;
L14:;
	if(!(ECL_CONSP(V2))){
	goto L22;}
	T0= ecl_car(V2);
	if((T0)==(ECL_SYM("*",16))){
	goto L19;}
	{cl_fixnum V5;
	V5= ecl_array_dimension(V1,ecl_to_size(V4));
	T0= ecl_car(V2);
	if((MAKE_FIXNUM(V5))==(T0)){
	goto L19;}
	goto L20;}
L22:;
	goto L20;
L20:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L19:;
	goto L17;
L17:;
	V2= ecl_cdr(V2);
	V4= ecl_one_plus(V4);
L15:;
	if(!(ecl_number_compare(V4,ecl_make_int8_t(V3))<0)){
	goto L31;}
	goto L14;
L31:;
	goto L29;
L29:;
	goto L11;
	}
L11:;
	value0=ecl_make_bool(V2==Cnil); cl_env_copy->nvalues=1;
	return value0;
L9:;
	if(!(ECL_ATOM(V2))){
	goto L34;}
	value0=cl_error(2,VV[39],V2)              /*  ERROR           */;
	return value0;
L34:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TYPEP                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_typep(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V4;                            /*  TP              */
	cl_object V5;                             /*  I               */
	cl_object V6;                             /*  C               */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	if(!(ECL_SYMBOLP(V2))){
	goto L7;}
	{cl_object V7;                            /*  F               */
	V7= si_get_sysprop(V2,VV[33])             /*  GET-SYSPROP     */;
	if((V7)==Cnil){
	goto L11;}
	value0=ecl_function_dispatch(cl_env_copy,V7)(1,V1);
	return value0;
L11:;
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(V2))){
	goto L14;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L14:;
	V4= V2;
	V5= Cnil;
	goto L5;
	}
L7:;
	if(!(ECL_CONSP(V2))){
	goto L20;}
	V4= ecl_car(V2);
	V5= ecl_cdr(V2);
	goto L5;
L20:;
	if(!(ECL_INSTANCEP(V2))){
	goto L26;}
	T0= cl_class_of(V1)                       /*  CLASS-OF        */;
	value0=si_subclassp(2,T0,V2)              /*  SUBCLASSP       */;
	return value0;
L26:;
	L24error_type_specifier(V2)               /*  ERROR-TYPE-SPECIFIER */;
	goto L5;
L5:;
	if(!((V4)==(ECL_SYM("EQL",332)))){
	goto L34;}
	goto L31;
	goto L32;
L34:;
	goto L32;
L32:;
	if(!((V4)==(ECL_SYM("MEMBER",550)))){
	goto L29;}
	goto L30;
L31:;
L30:;
	if((ecl_memql(V1,V5))==Cnil){
	goto L38;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L38:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L29:;
	if(!((V4)==(ECL_SYM("NOT",582)))){
	goto L41;}
	T0= ecl_car(V5);
	T1= cl_typep(2,V1,T0)                     /*  TYPEP           */;
	value0=Null(T1)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
L41:;
	if(!((V4)==(ECL_SYM("OR",612)))){
	goto L44;}
	{cl_object V7;
	V7= V5;
	goto L50;
L49:;
	{cl_object V8;                            /*  E               */
	V8= ecl_car(V7);
	if((cl_typep(2,V1,V8)                     /*  TYPEP           */)==Cnil){
	goto L56;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L56:;
	goto L54;
L54:;
	}
	V7= ecl_cdr(V7);
L50:;
	if((V7)==Cnil){
	goto L62;}
	goto L49;
L62:;
	goto L60;
L60:;
	goto L47;
L47:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L44:;
	if(!((V4)==(ECL_SYM("AND",85)))){
	goto L65;}
	{cl_object V8;
	V8= V5;
	goto L71;
L70:;
	{cl_object V9;                            /*  E               */
	V9= ecl_car(V8);
	if((cl_typep(2,V1,V9)                     /*  TYPEP           */)!=Cnil){
	goto L77;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L77:;
	goto L75;
L75:;
	}
	V8= ecl_cdr(V8);
L71:;
	if((V8)==Cnil){
	goto L83;}
	goto L70;
L83:;
	goto L81;
L81:;
	goto L68;
L68:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
L65:;
	if(!((V4)==(ECL_SYM("SATISFIES",733)))){
	goto L86;}
	T0= ecl_car(V5);
	value0=ecl_function_dispatch(cl_env_copy,T0)(1,V1);
	return value0;
L86:;
	if(!(ecl_eql(V4,Ct))){
	goto L90;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L90:;
	if(!((V4)==(Cnil))){
	goto L94;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L94:;
	if(!((V4)==(ECL_SYM("BIGNUM",120)))){
	goto L98;}
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L101;}
	{bool V9;
	V9= FIXNUMP(V1);
	value0=(V9)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L101:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L98:;
	if(!((V4)==(ECL_SYM("RATIO",684)))){
	goto L104;}
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	value0=ecl_make_bool((T0)==(ECL_SYM("RATIO",684))); cl_env_copy->nvalues=1;
	return value0;
L104:;
	if(!((V4)==(ECL_SYM("STANDARD-CHAR",792)))){
	goto L107;}
	if(!(CHARACTERP(V1))){
	goto L110;}
	value0=cl_standard_char_p(V1)             /*  STANDARD-CHAR-P */;
	return value0;
L110:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L107:;
	if(!((V4)==(ECL_SYM("INTEGER",435)))){
	goto L113;}
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L116;}
	value0=L23in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L116:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L113:;
	if(!((V4)==(ECL_SYM("RATIONAL",685)))){
	goto L119;}
	if((cl_rationalp(V1)                      /*  RATIONALP       */)==Cnil){
	goto L122;}
	value0=L23in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L122:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L119:;
	if(!((V4)==(ECL_SYM("FLOAT",372)))){
	goto L125;}
	if(!(floatp(V1))){
	goto L128;}
	value0=L23in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L128:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L125:;
	if(!((V4)==(ECL_SYM("REAL",701)))){
	goto L131;}
	if((cl_rationalp(V1)                      /*  RATIONALP       */)!=Cnil){
	goto L136;}
	if(!(floatp(V1))){
	goto L134;}
	goto L135;
L136:;
L135:;
	value0=L23in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L134:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L131:;
	if(!((V4)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L144;}
	goto L141;
	goto L142;
L144:;
	goto L142;
L142:;
	if(!((V4)==(ECL_SYM("SHORT-FLOAT",754)))){
	goto L139;}
	goto L140;
L141:;
L140:;
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L148;}
	value0=L23in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L148:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L139:;
	if(!((V4)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L151;}
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L155;}
	value0=L23in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L155:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L151:;
	if(!((V4)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L158;}
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	if(!((T0)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L161;}
	value0=L23in_interval_p(V1,V5)            /*  IN-INTERVAL-P   */;
	return value0;
L161:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L158:;
	if(!((V4)==(ECL_SYM("COMPLEX",239)))){
	goto L164;}
	if((cl_complexp(V1)                       /*  COMPLEXP        */)==Cnil){
	goto L167;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L170;}
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= ecl_car(V5);
	if((cl_typep(2,T0,T1)                     /*  TYPEP           */)==Cnil){
	goto L173;}
	T0= cl_imagpart(V1)                       /*  IMAGPART        */;
	T1= ecl_car(V5);
	value0=cl_typep(2,T0,T1)                  /*  TYPEP           */;
	return value0;
L173:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L170:;
	cl_env_copy->nvalues=1;
	return value0;
L167:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L164:;
	if(!((V4)==(ECL_SYM("SEQUENCE",739)))){
	goto L176;}
	value0=ecl_make_bool(ECL_LISTP(V1));
	if((value0)!=Cnil){
	goto L179;}
	value0=ecl_make_bool(ECL_VECTORP(V1)); cl_env_copy->nvalues=1;
	return value0;
L179:;
	cl_env_copy->nvalues=1;
	return value0;
L176:;
	if(!((V4)==(ECL_SYM("CONS",249)))){
	goto L182;}
	if(!(ECL_CONSP(V1))){
	goto L185;}
	if(ecl_endp(V5)){
	goto L188;}
	{cl_object V10;                           /*  CAR-TYPE        */
	V10= ecl_car(V5);
	if((V10)==(ECL_SYM("*",16))){
	goto L191;}
	T0= ecl_car(V1);
	if((cl_typep(2,T0,V10)                    /*  TYPEP           */)==Cnil){
	goto L185;}
	goto L187;
L191:;
	goto L187;
	}
L188:;
L187:;
	T0= ecl_cdr(V5);
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L194;}
	{cl_object V10;                           /*  CDR-TYPE        */
	V10= ecl_cadr(V5);
	value0=ecl_make_bool((V10)==(ECL_SYM("*",16)));
	if((value0)!=Cnil){
	goto L198;}
	T0= ecl_cdr(V1);
	value0=cl_typep(2,T0,V10)                 /*  TYPEP           */;
	return value0;
L198:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L194:;
	cl_env_copy->nvalues=1;
	return value0;
L185:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L182:;
	if(!((V4)==(ECL_SYM("BASE-STRING",119)))){
	goto L201;}
	if((si_base_string_p(V1)                  /*  BASE-STRING-P   */)==Cnil){
	goto L204;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L207;}
	value0=L25match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L207:;
	cl_env_copy->nvalues=1;
	return value0;
L204:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L201:;
	if(!((V4)==(ECL_SYM("STRING",803)))){
	goto L210;}
	if(!(ECL_STRINGP(V1))){
	goto L213;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L216;}
	value0=L25match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L216:;
	cl_env_copy->nvalues=1;
	return value0;
L213:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L210:;
	if(!((V4)==(ECL_SYM("BIT-VECTOR",132)))){
	goto L219;}
	if(!(ECL_BIT_VECTOR_P(V1))){
	goto L222;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L225;}
	value0=L25match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L225:;
	cl_env_copy->nvalues=1;
	return value0;
L222:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L219:;
	if(!((V4)==(ECL_SYM("SIMPLE-BASE-STRING",762)))){
	goto L228;}
	if((si_base_string_p(V1)                  /*  BASE-STRING-P   */)==Cnil){
	goto L231;}
	if((cl_simple_string_p(V1)                /*  SIMPLE-STRING-P */)==Cnil){
	goto L231;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L235;}
	value0=L25match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L235:;
	cl_env_copy->nvalues=1;
	return value0;
L231:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L228:;
	if(!((V4)==(ECL_SYM("SIMPLE-STRING",769)))){
	goto L238;}
	if((cl_simple_string_p(V1)                /*  SIMPLE-STRING-P */)==Cnil){
	goto L241;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L244;}
	value0=L25match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L244:;
	cl_env_copy->nvalues=1;
	return value0;
L241:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L238:;
	if(!((V4)==(ECL_SYM("SIMPLE-BIT-VECTOR",763)))){
	goto L247;}
	if((cl_simple_bit_vector_p(V1)            /*  SIMPLE-BIT-VECTOR-P */)==Cnil){
	goto L250;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L253;}
	value0=L25match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L253:;
	cl_env_copy->nvalues=1;
	return value0;
L250:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L247:;
	if(!((V4)==(ECL_SYM("SIMPLE-VECTOR",772)))){
	goto L256;}
	if((cl_simple_vector_p(V1)                /*  SIMPLE-VECTOR-P */)==Cnil){
	goto L259;}
	value0=ecl_make_bool(V5==Cnil);
	if((value0)!=Cnil){
	goto L262;}
	value0=L25match_dimensions(V1,V5)         /*  MATCH-DIMENSIONS */;
	return value0;
L262:;
	cl_env_copy->nvalues=1;
	return value0;
L259:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L256:;
	if(!((V4)==(ECL_SYM("COMPLEX-ARRAY",1755)))){
	goto L265;}
	if((L22complex_array_p(V1)                /*  COMPLEX-ARRAY-P */)==Cnil){
	goto L268;}
	if(ecl_endp(V5)){
	goto L271;}
	T0= ecl_car(V5);
	if((T0)==(ECL_SYM("*",16))){
	goto L271;}
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	T1= ecl_car(V5);
	T2= cl_upgraded_array_element_type(1,T1)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	if(!((T0)==(T2))){
	goto L268;}
	goto L270;
L271:;
L270:;
	T0= ecl_cdr(V5);
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L275;}
	T0= ecl_cadr(V5);
	value0=L25match_dimensions(V1,T0)         /*  MATCH-DIMENSIONS */;
	return value0;
L275:;
	cl_env_copy->nvalues=1;
	return value0;
L268:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L265:;
	if(!((V4)==(ECL_SYM("SIMPLE-ARRAY",761)))){
	goto L278;}
	if((L21simple_array_p(V1)                 /*  SIMPLE-ARRAY-P  */)==Cnil){
	goto L281;}
	if(ecl_endp(V5)){
	goto L284;}
	T0= ecl_car(V5);
	if((T0)==(ECL_SYM("*",16))){
	goto L284;}
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	T1= ecl_car(V5);
	T2= cl_upgraded_array_element_type(1,T1)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	if(!((T0)==(T2))){
	goto L281;}
	goto L283;
L284:;
L283:;
	T0= ecl_cdr(V5);
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L288;}
	T0= ecl_cadr(V5);
	value0=L25match_dimensions(V1,T0)         /*  MATCH-DIMENSIONS */;
	return value0;
L288:;
	cl_env_copy->nvalues=1;
	return value0;
L281:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L278:;
	if(!((V4)==(ECL_SYM("ARRAY",94)))){
	goto L291;}
	if(!(ECL_ARRAYP(V1))){
	goto L294;}
	if(ecl_endp(V5)){
	goto L297;}
	T0= ecl_car(V5);
	if((T0)==(ECL_SYM("*",16))){
	goto L297;}
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	T1= ecl_car(V5);
	T2= cl_upgraded_array_element_type(1,T1)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	if(!((T0)==(T2))){
	goto L294;}
	goto L296;
L297:;
L296:;
	T0= ecl_cdr(V5);
	value0=ecl_make_bool(ecl_endp(T0));
	if((value0)!=Cnil){
	goto L301;}
	T0= ecl_cadr(V5);
	value0=L25match_dimensions(V1,T0)         /*  MATCH-DIMENSIONS */;
	return value0;
L301:;
	cl_env_copy->nvalues=1;
	return value0;
L294:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L291:;
	if((si_get_sysprop(V4,VV[11])             /*  GET-SYSPROP     */)==Cnil){
	goto L304;}
	T0= si_get_sysprop(V4,VV[11])             /*  GET-SYSPROP     */;
	T1= cl_apply(2,T0,V5)                     /*  APPLY           */;
	value0=cl_typep(2,V1,T1)                  /*  TYPEP           */;
	return value0;
L304:;
	if(!(ECL_CONSP(V5))){
	goto L307;}
	value0=L24error_type_specifier(V2)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
L307:;
	V6= cl_find_class(2,V2,Cnil)              /*  FIND-CLASS      */;
	if((V6)==Cnil){
	goto L310;}
	T0= cl_class_of(V1)                       /*  CLASS-OF        */;
	value0=si_subclassp(2,T0,V6)              /*  SUBCLASSP       */;
	return value0;
L310:;
	value0=L24error_type_specifier(V2)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
	}
}}
/*	function definition for SUBCLASSP                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_subclassp(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=ecl_make_bool((V1)==(V2));
	if((value0)!=Cnil){
	goto L2;}
	T0= ecl_instance_ref((V1),(4));
	value0=si_memq(V2,T0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OF-CLASS-P                            */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
cl_object si_of_class_p(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V3;                            /*  X-CLASS         */
	V3= cl_class_of(V1)                       /*  CLASS-OF        */;
	if(!((V3)==(V2))){
	goto L3;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L3:;
	{cl_object V4;                            /*  X-CPL           */
	V4= (V3)->instance.slots[4];
	if(!(ECL_INSTANCEP(V2))){
	goto L7;}
	value0=si_memq(V2,V4); cl_env_copy->nvalues=1;
	return value0;
L7:;
	{cl_object V5;
	V5= V4;
	goto L13;
L12:;
	{cl_object V6;                            /*  C               */
	V6= _ecl_car(V5);
	T0= (V6)->instance.slots[0];
	if(!((T0)==(V2))){
	goto L19;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L19:;
	goto L17;
L17:;
	}
	V5= _ecl_cdr(V5);
L13:;
	if((V5)==Cnil){
	goto L25;}
	goto L12;
L25:;
	goto L23;
L23:;
	goto L10;
L10:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
}
/*	function definition for NORMALIZE-TYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L26normalize_type(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TP              */
	cl_object V3;                             /*  I               */
	cl_object V4;                             /*  FD              */
	V2= Cnil;
	V3= Cnil;
	V4= Cnil;
	if(!(ECL_SYMBOLP(V1))){
	goto L5;}
	V4= si_get_sysprop(V1,VV[11])             /*  GET-SYSPROP     */;
	if((V4)==Cnil){
	goto L8;}
	V1= ecl_function_dispatch(cl_env_copy,V4)(0);
	goto TTL;
L8:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
L5:;
	if((ecl_function_dispatch(cl_env_copy,VV[93])(1,V1) /*  CLASSP */)==Cnil){
	goto L14;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=V1;
	return cl_env_copy->values[0];
L14:;
	if(!(ECL_ATOM(V1))){
	goto L17;}
	value0=L24error_type_specifier(V1)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
L17:;
	V2= ecl_car(V1);
	V3= ecl_cdr(V1);
	V4= si_get_sysprop(V2,VV[11])             /*  GET-SYSPROP     */;
	if((V4)==Cnil){
	goto L20;}
	V1= cl_apply(2,V4,V3)                     /*  APPLY           */;
	goto TTL;
L20:;
	if(!((V2)==(ECL_SYM("INTEGER",435)))){
	goto L30;}
	T0= ecl_cadr(V3);
	if(!(ECL_CONSP(T0))){
	goto L30;}
	T0= ecl_car(V3);
	T1= ecl_caadr(V3);
	T2= ecl_one_minus(T1);
	T3= cl_list(2,T0,T2)                      /*  LIST            */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T3;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
L30:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for EXPAND-DEFTYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27expand_deftype(cl_object V1)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	{cl_object V2;                            /*  FD              */
	V2= si_get_sysprop(V1,VV[11])             /*  GET-SYSPROP     */;
	if((V2)==Cnil){
	goto L6;}
	V1= ecl_function_dispatch(cl_env_copy,V2)(0);
	goto TTL;
L6:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	if(!(ECL_CONSP(V1))){
	goto L11;}
	if(!(ECL_SYMBOLP(V1))){
	goto L11;}
	{cl_object V3;                            /*  FD              */
	T0= ecl_car(V1);
	V3= si_get_sysprop(T0,VV[11])             /*  GET-SYSPROP     */;
	if((V3)==Cnil){
	goto L16;}
	T0= ecl_cdr(V1);
	V1= ecl_function_dispatch(cl_env_copy,V3)(1,T0);
	goto TTL;
L16:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L11:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ERROR-COERCE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L28error_coerce(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(3,VV[47],V1,V2)           /*  ERROR           */;
	return value0;
}}
/*	function definition for COERCE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_coerce(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  AUX             */
	V3= Cnil;
	if((cl_typep(2,V1,V2)                     /*  TYPEP           */)==Cnil){
	goto L4;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L4:;
	goto L2;
L2:;
	{cl_object V4;
	V4= L27expand_deftype(V2)                 /*  EXPAND-DEFTYPE  */;
	value0=ecl_make_bool(ECL_SYMBOLP(V4));
	if((value0)!=Cnil){
	goto L12;}
	value0=si_of_class_p(2,V4,ECL_SYM("CLASS",931)) /*  OF-CLASS-P */;
	if((value0)!=Cnil){
	goto L12;}
	T0= ecl_make_bool(ECL_LISTP(V4));
	goto L10;
L12:;
	T0= value0;
	goto L10;
L10:;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(VV[49],V4);
	V2= V4;
	}
	if(!(ECL_ATOM(V2))){
	goto L16;}
	if(!((V2)==(Ct))){
	goto L19;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L19:;
	if(!((V2)==(ECL_SYM("LIST",479)))){
	goto L23;}
	{cl_object V4;                            /*  LET47           */
	cl_object V5;                             /*  IO              */
	cl_object V6;                             /*  L               */
	V4= si_make_seq_iterator(1,V1)            /*  MAKE-SEQ-ITERATOR */;
	V5= V4;
	V6= Cnil;
	goto L31;
L30:;
	{cl_object V7;
	V7= si_seq_iterator_next(V1,V5)           /*  SEQ-ITERATOR-NEXT */;
	T0= si_seq_iterator_ref(V1,V5)            /*  SEQ-ITERATOR-REF */;
	V6= CONS(T0,V6);
	V5= V7;}
L31:;
	if(V5==Cnil){
	goto L38;}
	goto L30;
L38:;
	goto L36;
L36:;
	goto L28;
L28:;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
L23:;
	if(!((V2)==(ECL_SYM("CHARACTER",220)))){
	goto L46;}
	goto L43;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!((V2)==(ECL_SYM("BASE-CHAR",118)))){
	goto L41;}
	goto L42;
L43:;
L42:;
	value0=cl_character(V1)                   /*  CHARACTER       */;
	return value0;
L41:;
	if(!((V2)==(ECL_SYM("FLOAT",372)))){
	goto L50;}
	value0=cl_float(1,V1)                     /*  FLOAT           */;
	return value0;
L50:;
	if(!((V2)==(ECL_SYM("SINGLE-FLOAT",776)))){
	goto L53;}
	value0=ecl_make_singlefloat(ecl_to_float(V1)); cl_env_copy->nvalues=1;
	return value0;
L53:;
	if(!((V2)==(ECL_SYM("SHORT-FLOAT",754)))){
	goto L56;}
	value0=ecl_make_singlefloat(ecl_to_float(V1)); cl_env_copy->nvalues=1;
	return value0;
L56:;
	if(!((V2)==(ECL_SYM("DOUBLE-FLOAT",313)))){
	goto L59;}
	value0=ecl_make_doublefloat(ecl_to_double(V1)); cl_env_copy->nvalues=1;
	return value0;
L59:;
	if(!((V2)==(ECL_SYM("LONG-FLOAT",506)))){
	goto L62;}
	value0=cl_float(2,V1,cl_core.longfloat_zero) /*  FLOAT        */;
	return value0;
L62:;
	if(!((V2)==(ECL_SYM("COMPLEX",239)))){
	goto L65;}
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= cl_imagpart(V1)                       /*  IMAGPART        */;
	value0=cl_complex(2,T0,T1)                /*  COMPLEX         */;
	return value0;
L65:;
	if(!((V2)==(ECL_SYM("FUNCTION",394)))){
	goto L68;}
	value0=si_coerce_to_function(V1)          /*  COERCE-TO-FUNCTION */;
	return value0;
L68:;
	if((ecl_memql(V2,VV[52]))==Cnil){
	goto L71;}
	value0=cl_concatenate(2,V2,V1)            /*  CONCATENATE     */;
	return value0;
L71:;
	if(ECL_LISTP(V1)){
	goto L76;}
	if((cl_vector(1,V1)                       /*  VECTOR          */)==Cnil){
	goto L74;}
	goto L75;
L76:;
L75:;
	value0=cl_concatenate(2,V2,V1)            /*  CONCATENATE     */;
	return value0;
L74:;
	value0=L28error_coerce(V1,V2)             /*  ERROR-COERCE    */;
	return value0;
L16:;
	V3= ecl_car(V2);
	if(!((V3)==(ECL_SYM("COMPLEX",239)))){
	goto L79;}
	if((V2)==Cnil){
	goto L83;}
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= ecl_cadr(V2);
	T2= cl_coerce(T0,T1)                      /*  COERCE          */;
	T3= cl_imagpart(V1)                       /*  IMAGPART        */;
	T4= ecl_cadr(V2);
	T5= cl_coerce(T3,T4)                      /*  COERCE          */;
	value0=cl_complex(2,T2,T5)                /*  COMPLEX         */;
	return value0;
L83:;
	T0= cl_realpart(V1)                       /*  REALPART        */;
	T1= cl_imagpart(V1)                       /*  IMAGPART        */;
	value0=cl_complex(2,T0,T1)                /*  COMPLEX         */;
	return value0;
L79:;
	if((ecl_memql(V3,VV[53]))==Cnil){
	goto L86;}
	V3= cl_coerce(V1,V3)                      /*  COERCE          */;
	if((cl_typep(2,V3,V2)                     /*  TYPEP           */)!=Cnil){
	goto L92;}
	L28error_coerce(V1,V2)                    /*  ERROR-COERCE    */;
	goto L90;
L92:;
	goto L90;
L90:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L86:;
	if(!((V3)==(ECL_SYM("AND",85)))){
	goto L95;}
	{cl_object V7;
	V7= ecl_cdr(V2);
	goto L102;
L101:;
	{cl_object V8;                            /*  TYPE            */
	V8= ecl_car(V7);
	V3= cl_coerce(V3,V8)                      /*  COERCE          */;
	}
	V7= ecl_cdr(V7);
L102:;
	if((V7)==Cnil){
	goto L112;}
	goto L101;
L112:;
	goto L110;
L110:;
	goto L99;
L99:;
	}
	if((cl_typep(2,V3,V2)                     /*  TYPEP           */)!=Cnil){
	goto L116;}
	L28error_coerce(V1,V2)                    /*  ERROR-COERCE    */;
	goto L114;
L116:;
	goto L114;
L114:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L95:;
	if(ECL_LISTP(V1)){
	goto L121;}
	if((cl_vector(1,V1)                       /*  VECTOR          */)==Cnil){
	goto L119;}
	goto L120;
L121:;
L120:;
	value0=cl_concatenate(2,V2,V1)            /*  CONCATENATE     */;
	return value0;
L119:;
	value0=L28error_coerce(V1,V2)             /*  ERROR-COERCE    */;
	return value0;
	}
}}
/*	function definition for NEW-TYPE-TAG                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29new_type_tag()
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;
	V1= ecl_symbol_value(VV[55]);
	cl_set(VV[55],cl_ash(ecl_symbol_value(VV[55]),MAKE_FIXNUM(1)) /*  ASH */);
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FIND-REGISTERED-TAG                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30find_registered_tag(cl_narg narg, cl_object V1, ...)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  POS             */
	{cl_object V4;
	V4= ecl_symbol_value(VV[58]);
	goto L7;
L6:;
	{cl_object V5;
	cl_object V6;
	if (ecl_unlikely(ATOM(V4))) FEtype_error_cons(V4);
	V5= V4;
	V6= ECL_CONS_CAR(V5);
	if((V6)==Cnil){
	goto L14;}
	{cl_object V7;
	if (ecl_unlikely(ATOM(V6))) FEtype_error_cons(V6);
	T0= V6;
	V7= ECL_CONS_CAR(T0);
	if((ecl_function_dispatch(cl_env_copy,V2)(2,V1,V7))==Cnil){
	goto L20;}
	V3= V6;
	goto L2;
L20:;
	goto L9;
	}
L14:;
	goto L9;
	}
L9:;
	V4= ECL_CONS_CDR(V4);
L7:;
	if(V4==Cnil){
	goto L26;}
	goto L6;
L26:;
	goto L24;
L24:;
	goto L4;
L4:;
	V3= Cnil;
	}
L2:;
	if((V3)==Cnil){
	goto L29;}
	value0=ecl_cdr(V3); cl_env_copy->nvalues=1;
	return value0;
L29:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MAYBE-SAVE-TYPES                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31maybe_save_types()
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[54]))==Cnil){
	goto L2;}
	cl_set(VV[54],Cnil);
	cl_set(VV[58],cl_copy_tree(ecl_symbol_value(VV[58])) /*  COPY-TREE */);
	cl_set(VV[56],cl_copy_tree(ecl_symbol_value(VV[56])) /*  COPY-TREE */);
	value0=ecl_symbol_value(VV[56]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UPDATE-TYPES                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32update_types(cl_object V1, cl_object V2)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L31maybe_save_types()                     /*  MAYBE-SAVE-TYPES */;
	{cl_object V3;
	V3= ecl_symbol_value(VV[58]);
	goto L6;
L5:;
	{cl_object V4;                            /*  I               */
	V4= ecl_car(V3);
	T0= ecl_cdr(V4);
	T1= ecl_boole(ECL_BOOLAND,(T0),(V1));
	if(ecl_zerop(T1)){
	goto L12;}
	{cl_object V5;
	T0= ecl_cdr(V4);
	V5= ecl_boole(ECL_BOOLIOR,(V2),(T0));
	(ECL_CONS_CDR(V4)=V5,V4);
	goto L10;
	}
L12:;
	goto L10;
L10:;
	}
	V3= ecl_cdr(V3);
L6:;
	if((V3)==Cnil){
	goto L20;}
	goto L5;
L20:;
	goto L18;
L18:;
	goto L3;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for FIND-TYPE-BOUNDS                      */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L33find_type_bounds(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V5;                            /*  SUBTYPE-TAG     */
	cl_object V6;                             /*  DISJOINT-TAG    */
	cl_object V7;                             /*  SUPERTYPE-TAG   */
	V5= MAKE_FIXNUM(0);
	V6= MAKE_FIXNUM(0);
	if((V4)==Cnil){
	goto L5;}
	V7= MAKE_FIXNUM(-1);
	goto L3;
L5:;
	V7= MAKE_FIXNUM(0);
	goto L3;
L3:;
	{cl_object V8;
	V8= ECL_SYM_VAL(cl_env_copy,VV[58]);
	goto L12;
L11:;
	{cl_object V9;                            /*  I               */
	V9= _ecl_car(V8);
	{cl_object V10;                           /*  LET51           */
	cl_object V11;                            /*  LET52           */
	V10= ECL_CONS_CAR(V9);
	V11= ECL_CONS_CDR(V9);
	if(((cl_env_copy->function=V2)->cfun.entry(1,V10))==Cnil){
	goto L20;}
	if(((cl_env_copy->function=V3)->cfun.entry(2,V1,V10))==Cnil){
	goto L23;}
	if((V4)==Cnil){
	goto L26;}
	T0= ecl_boole(ECL_BOOLANDC2,(V11),(V7));
	if(!(ecl_zerop(T0))){
	goto L29;}
	V7= V11;
	goto L16;
L29:;
	goto L16;
L26:;
	V7= ecl_boole(ECL_BOOLIOR,(V11),(V7));
	goto L16;
L23:;
	if(((cl_env_copy->function=V3)->cfun.entry(2,V10,V1))==Cnil){
	goto L34;}
	V5= ecl_boole(ECL_BOOLIOR,(V11),(V5));
	goto L16;
L34:;
	V6= ecl_boole(ECL_BOOLIOR,(V6),(V11));
	goto L16;
L20:;
	goto L16;
	}
L16:;
	}
	V8= _ecl_cdr(V8);
L12:;
	if((V8)==Cnil){
	goto L42;}
	goto L11;
L42:;
	goto L40;
L40:;
	goto L9;
L9:;
	}
	if(!(ecl_number_equalp(V7,MAKE_FIXNUM(-1)))){
	goto L46;}
	T0= MAKE_FIXNUM(0);
	goto L44;
L46:;
	T1= ecl_boole(ECL_BOOLIOR,(V6),(V5));
	T0= ecl_boole(ECL_BOOLANDC2,(V7),(T1));
	goto L44;
L44:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}
/*	function definition for REGISTER-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L34register_type(cl_object V1, cl_object V2, cl_object V3)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	value0=L30find_registered_tag(1,V1)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L2;}
	cl_env_copy->values[0]=L33find_type_bounds(V1,V2,V3,Cnil) /*  FIND-TYPE-BOUNDS */;
	{
	cl_object V5;                             /*  TAG-SUPER       */
	cl_object V6;                             /*  TAG-SUB         */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L5;
	V5= cl_env_copy->values[0];
	if (V7--<=0) goto L6;
	V6= cl_env_copy->values[1];
	goto L7;}
L5:;
	V5= Cnil;
L6:;
	V6= Cnil;
L7:;
	{cl_object V7;                            /*  TAG             */
	V7= L29new_type_tag()                     /*  NEW-TYPE-TAG    */;
	T0= ecl_boole(ECL_BOOLANDC2,(V5),(V6));
	L32update_types(T0,V7)                    /*  UPDATE-TYPES    */;
	V7= ecl_boole(ECL_BOOLIOR,(V7),(V6));
	value0=L38push_type(V1,V7)                /*  PUSH-TYPE       */;
	return value0;
	}}
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for REGISTER-MEMBER-TYPE                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35register_member_type(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  POS             */
	V2= ecl_assql(V1,ecl_symbol_value(VV[56]));
	{cl_object V3;
	if((V2)==Cnil){
	goto L4;}
	V3= ecl_cdr(V2);
	goto L2;
L4:;
	V3= Cnil;
	goto L2;
L2:;
	if((V3)==Cnil){
	goto L7;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L7:;
	if((cl_realp(V1)                          /*  REALP           */)!=Cnil){
	goto L10;}
	value0=L36simple_member_type(V1)          /*  SIMPLE-MEMBER-TYPE */;
	return value0;
L10:;
	if(!(floatp(V1))){
	goto L13;}
	if(!(ecl_zerop(V1))){
	goto L13;}
	T0= cl_float_sign(1,V1)                   /*  FLOAT-SIGN      */;
	if(!(ecl_minusp(T0))){
	goto L17;}
	value0=L36simple_member_type(V1)          /*  SIMPLE-MEMBER-TYPE */;
	return value0;
L17:;
	T0= L37number_member_type(V1)             /*  NUMBER-MEMBER-TYPE */;
	T1= ecl_negate(V1);
	T2= L35register_member_type(T1)           /*  REGISTER-MEMBER-TYPE */;
	value0=ecl_boole(ECL_BOOLANDC2,(T0),(T2)); cl_env_copy->nvalues=1;
	return value0;
L13:;
	value0=L37number_member_type(V1)          /*  NUMBER-MEMBER-TYPE */;
	return value0;
	}
	}
}}
/*	function definition for SIMPLE-MEMBER-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36simple_member_type(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TAG             */
	V2= L29new_type_tag()                     /*  NEW-TYPE-TAG    */;
	L31maybe_save_types()                     /*  MAYBE-SAVE-TYPES */;
	cl_set(VV[56],cl_acons(V1,V2,ecl_symbol_value(VV[56])) /*  ACONS */);
	{cl_object V3;
	V3= ecl_symbol_value(VV[58]);
	goto L10;
L9:;
	{cl_object V4;                            /*  I               */
	V4= ecl_car(V3);
	{cl_object V5;                            /*  TYPE            */
	V5= ecl_car(V4);
	if((cl_typep(2,V1,V5)                     /*  TYPEP           */)==Cnil){
	goto L17;}
	{cl_object V6;
	T0= ecl_cdr(V4);
	V6= ecl_boole(ECL_BOOLIOR,(V2),(T0));
	(ECL_CONS_CDR(V4)=V6,V4);
	goto L14;
	}
L17:;
	goto L14;
	}
L14:;
	}
	V3= ecl_cdr(V3);
L10:;
	if((V3)==Cnil){
	goto L25;}
	goto L9;
L25:;
	goto L23;
L23:;
	goto L7;
L7:;
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NUMBER-MEMBER-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37number_member_type(cl_object V1)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  BASE-TYPE       */
	cl_object V3;                             /*  TYPE            */
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L3;}
	V2= ECL_SYM("INTEGER",435);
	goto L1;
L3:;
	V2= cl_type_of(V1)                        /*  TYPE-OF         */;
	goto L1;
L1:;
	V3= cl_list(3,V2,V1,V1)                   /*  LIST            */;
	value0=L30find_registered_tag(1,V3)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L7;}
	value0=L51register_interval_type(V3)      /*  REGISTER-INTERVAL-TYPE */;
	return value0;
L7:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PUSH-TYPE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38push_type(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_symbol_value(VV[56]);
	goto L6;
L5:;
	{cl_object V4;                            /*  I               */
	V4= ecl_car(V3);
	T0= ecl_car(V4);
	if((cl_typep(2,T0,V1)                     /*  TYPEP           */)==Cnil){
	goto L12;}
	T0= ecl_cdr(V4);
	V2= ecl_boole(ECL_BOOLIOR,(V2),(T0));
	goto L10;
L12:;
	goto L10;
L10:;
	}
	V3= ecl_cdr(V3);
L6:;
	if((V3)==Cnil){
	goto L19;}
	goto L5;
L19:;
	goto L17;
L17:;
	goto L3;
L3:;
	}
	T0= CONS(V1,V2);
	cl_set(VV[58],CONS(T0,ecl_symbol_value(VV[58])));
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-SATISFIES-TYPE               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L39register_satisfies_type(cl_object V1)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=ECL_SYM("SATISFIES",733); cl_env_copy->nvalues=1;
	cl_throw(VV[62]);
}}
/*	function definition for REGISTER-CLASS                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L42register_class(cl_object V1)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L30find_registered_tag(1,V1)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L2;}
	{cl_object V2;                            /*  NAME            */
	V2= (cl_env_copy->function=(ECL_SYM("CLASS-NAME",932)->symbol.gfdef))->cfun.entry(1,V1) /*  CLASS-NAME */;
	if((V2)==Cnil){
	goto L7;}
	T0= cl_find_class(2,V2,Cnil)              /*  FIND-CLASS      */;
	if(!((V1)==(T0))){
	goto L7;}
	value0=L30find_registered_tag(1,V2)       /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L11;}
	value0=L56find_built_in_tag(V2)           /*  FIND-BUILT-IN-TAG */;
	goto L4;
L11:;
	goto L4;
L7:;
	value0=Cnil;
	goto L4;
	}
L4:;
	if((value0)!=Cnil){
	goto L2;}
	if((ecl_function_dispatch(cl_env_copy,ECL_SYM("CLASS-FINALIZED-P",1487))(1,V1) /*  CLASS-FINALIZED-P */)!=Cnil){
	goto L15;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[62]);
L15:;
	value0=Cnil;
	goto L13;
L13:;
	if((value0)!=Cnil){
	goto L2;}
	T0= ecl_make_cfun((cl_objectfn_fixed)LC40__g183,Cnil,Cblock,1);
	T1= ecl_make_cfun((cl_objectfn_fixed)LC41__g184,Cnil,Cblock,2);
	value0=L34register_type(V1,T0,T1)         /*  REGISTER-TYPE   */;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G183                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g183(cl_object V1)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_bool(ECL_INSTANCEP(V1));
	if((value0)!=Cnil){
	goto L2;}
	value0=ecl_make_bool(ECL_SYMBOLP(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G184                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41__g184(cl_object V1, cl_object V2)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_SYMBOLP(V1))){
	goto L3;}
	V1= cl_find_class(2,V1,Cnil)              /*  FIND-CLASS      */;
	goto L1;
L3:;
	goto L1;
L1:;
	if(!(ECL_SYMBOLP(V2))){
	goto L8;}
	V2= cl_find_class(2,V2,Cnil)              /*  FIND-CLASS      */;
	goto L6;
L8:;
	goto L6;
L6:;
	if((V1)==Cnil){
	goto L12;}
	if((V2)==Cnil){
	goto L12;}
	value0=si_subclassp(2,V1,V2)              /*  SUBCLASSP       */;
	return value0;
L12:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-ARRAY-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43register_array_type(cl_object V1)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L45parse_array_type(V1) /*  PARSE-ARRAY-TYPE */;
	{
	cl_object V3;                             /*  ARRAY-CLASS     */
	cl_object V4;                             /*  ELT-TYPE        */
	cl_object V5;                             /*  DIMENSIONS      */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V6--<=0) goto L3;
	V4= cl_env_copy->values[1];
	if (V6--<=0) goto L4;
	V5= cl_env_copy->values[2];
	goto L5;}
L2:;
	V3= Cnil;
L3:;
	V4= Cnil;
L4:;
	V5= Cnil;
L5:;
	if(!((V4)==(ECL_SYM("*",16)))){
	goto L7;}
	{cl_object V6;
	cl_object V7;
	V6= Cnil;
	if (ecl_unlikely(!ECL_LISTP(ecl_symbol_value(VV[34])))) FEtype_error_list(ecl_symbol_value(VV[34]));
	V7= ecl_symbol_value(VV[34]);
	{cl_object V8;
	cl_object V9;
	V8= ecl_list1(Cnil);
	V9= V8;
L16:;
	V6= _ecl_car(V7);
	{cl_object V10;
	V10= _ecl_cdr(V7);
	if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
	V7= V10;
	}
	if (ecl_unlikely(ATOM(V9))) FEtype_error_cons(V9);
	T1= V9;
	T2= cl_list(3,V3,V6,V5)                   /*  LIST            */;
	V9= ecl_list1(T2);
	(ECL_CONS_CDR(T1)=V9,T1);
	if(!(ecl_endp(V7))){
	goto L31;}
	goto L17;
L31:;
	goto L29;
L29:;
	goto L16;
L17:;
	T0= ecl_cdr(V8);
	goto L9;
	}
	}
L9:;
	T1= CONS(ECL_SYM("OR",612),T0);
	value0=L58canonical_type(T1)              /*  CANONICAL-TYPE  */;
	return value0;
L7:;
	{cl_object V6;
	V1= cl_list(3,V3,V4,V5)                   /*  LIST            */;
	V6= L30find_registered_tag(1,V1)          /*  FIND-REGISTERED-TAG */;
	if((V6)==Cnil){
	goto L38;}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
L38:;
	T0= (VV[70]->symbol.gfdef);
	T1= (VV[67]->symbol.gfdef);
	value0=L34register_type(V1,T0,T1)         /*  REGISTER-TYPE   */;
	return value0;
	}}
}}
/*	function definition for FAST-UPGRADED-ARRAY-ELEMENT-TYPE      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44fast_upgraded_array_element_type(cl_object V1)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L2;}
	value0=ECL_SYM("*",16); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((si_memq(V1,VV[36]))==Cnil){
	goto L5;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	{cl_object V2;
	V2= ecl_symbol_value(VV[34]);
	goto L11;
L10:;
	{cl_object V3;                            /*  OTHER-TYPE      */
	V3= ecl_car(V2);
	if((L60fast_subtypep(V1,V3)               /*  FAST-SUBTYPEP   */)==Cnil){
	goto L17;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L17:;
	goto L15;
L15:;
	}
	V2= ecl_cdr(V2);
L11:;
	if((V2)==Cnil){
	goto L23;}
	goto L10;
L23:;
	goto L21;
L21:;
	goto L8;
L8:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for PARSE-ARRAY-TYPE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45parse_array_type(cl_object V1)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  TYPE            */
	cl_object V3;                             /*  NAME            */
	cl_object V4;                             /*  ELT-TYPE        */
	cl_object V5;                             /*  DIMS            */
	V2= V1;
	{cl_object V6;
	V6= V2;
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	if((V6)==Cnil){
	goto L8;}
	{cl_object V7;
	V7= ECL_CONS_CDR(V6);
	V2= V7;
	V6= ECL_CONS_CAR(V6);
	goto L6;
	}
L8:;
	goto L6;
L6:;
	V3= V6;
	}
	if((V2)==Cnil){
	goto L17;}
	{cl_object V6;
	V6= V2;
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	if((V6)==Cnil){
	goto L24;}
	{cl_object V7;
	V7= ECL_CONS_CDR(V6);
	V2= V7;
	V6= ECL_CONS_CAR(V6);
	goto L22;
	}
L24:;
	goto L22;
L22:;
	T0= V6;
	goto L15;
	}
L17:;
	T0= ECL_SYM("*",16);
	goto L15;
L15:;
	V4= L44fast_upgraded_array_element_type(T0) /*  FAST-UPGRADED-ARRAY-ELEMENT-TYPE */;
	if((V2)==Cnil){
	goto L32;}
	{cl_object V6;
	V6= V2;
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	if((V6)==Cnil){
	goto L39;}
	{cl_object V7;
	V7= ECL_CONS_CDR(V6);
	V2= V7;
	V6= ECL_CONS_CAR(V6);
	goto L37;
	}
L39:;
	goto L37;
L37:;
	V5= V6;
	goto L30;
	}
L32:;
	V5= ECL_SYM("*",16);
	goto L30;
L30:;
	if((V2)==Cnil){
	goto L47;}
	cl_error(2,VV[63],V1)                     /*  ERROR           */;
	goto L45;
L47:;
	goto L45;
L45:;
	if(!(ecl_numberp(V5))){
	goto L51;}
	if((cl_L(3,MAKE_FIXNUM(-1),V5,MAKE_FIXNUM(64)) /*  <          */)!=Cnil){
	goto L55;}
	cl_error(2,VV[64],V1)                     /*  ERROR           */;
	goto L53;
L55:;
	goto L53;
L53:;
	T0= ecl_minus(MAKE_FIXNUM(64),V5);
	V5= ecl_nthcdr(ecl_to_size(T0),VV[65]);
	goto L49;
L51:;
	if(!(ECL_CONSP(V5))){
	goto L59;}
	{cl_object V6;
	V6= V5;
	goto L65;
L64:;
	{cl_object V7;                            /*  I               */
	V7= ecl_car(V6);
	if((V7)==(ECL_SYM("*",16))){
	goto L71;}
	if(!(ECL_FIXNUMP(V7)||ECL_BIGNUMP(V7))){
	goto L75;}
	if((cl_L(3,MAKE_FIXNUM(-1),V7,MAKE_FIXNUM(536870911)) /*  <   */)!=Cnil){
	goto L71;}
	goto L72;
L75:;
	goto L72;
L72:;
	cl_error(2,VV[66],V1)                     /*  ERROR           */;
	goto L69;
L71:;
	goto L69;
L69:;
	}
	V6= ecl_cdr(V6);
L65:;
	if((V6)==Cnil){
	goto L81;}
	goto L64;
L81:;
	goto L79;
L79:;
	goto L62;
L62:;
	goto L49;
	}
L59:;
	goto L49;
L49:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V5;
	cl_env_copy->values[1]=V4;
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ARRAY-TYPE-<=                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L46array_type___(cl_object V1, cl_object V2)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_car(V1);
	T1= ecl_car(V2);
	if(!((T0)==(T1))){
	goto L6;}
	T0= ecl_cadr(V1);
	T1= ecl_cadr(V2);
	if((T0)==(T1)){
	goto L3;}
	goto L4;
L6:;
	goto L4;
L4:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	goto L1;
L1:;
	{cl_object V3;                            /*  LET55           */
	cl_object V4;                             /*  LET56           */
	V3= ecl_caddr(V1);
	V4= ecl_caddr(V2);
	if(!((V4)==(ECL_SYM("*",16)))){
	goto L11;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L11:;
	if(!((V3)==(ECL_SYM("*",16)))){
	goto L14;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L14:;
	{cl_object V5;                            /*  A               */
	cl_object V6;                             /*  B               */
	V5= V3;
	V6= V4;
	goto L21;
L20:;
	V5= ecl_cdr(V5);
	V6= ecl_cdr(V6);
L21:;
	if(ecl_endp(V5)){
	goto L28;}
	if(ecl_endp(V6)){
	goto L28;}
	T0= ecl_car(V6);
	if((T0)==(ECL_SYM("*",16))){
	goto L32;}
	T0= ecl_car(V6);
	T1= ecl_car(V5);
	if(!(ecl_eql(T0,T1))){
	goto L28;}
	goto L29;
L32:;
L29:;
	goto L20;
L28:;
	goto L26;
L26:;
	goto L18;
L18:;
	if(!(V5==Cnil)){
	goto L35;}
	value0=ecl_make_bool(V6==Cnil); cl_env_copy->nvalues=1;
	return value0;
L35:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for ARRAY-TYPE-P                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L47array_type_p(cl_object V1)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_CONSP(V1))){
	goto L2;}
	{cl_object V2;
	V2= ecl_car(V1);
	if(!((V2)==(ECL_SYM("COMPLEX-ARRAY",1755)))){
	goto L9;}
	value0=VV[68];
	goto L7;
L9:;
	value0=Cnil;
	goto L7;
L7:;
	if((value0)!=Cnil){
	goto L6;}
	if(!((V2)==(ECL_SYM("SIMPLE-ARRAY",761)))){
	goto L12;}
	value0=VV[69]; cl_env_copy->nvalues=1;
	return value0;
L12:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L6:;
	cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-ELEMENTARY-INTERVAL          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50register_elementary_interval(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	V1= cl_list(2,V1,V2)                      /*  LIST            */;
	T0= (ECL_SYM("EQUALP",334)->symbol.gfdef);
	value0=L30find_registered_tag(2,V1,T0)    /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L4;}
	T0= ecl_make_cfun((cl_objectfn_fixed)LC48__g206,Cnil,Cblock,1);
	T1= ecl_make_cfun((cl_objectfn_fixed)LC49__g207,Cnil,Cblock,2);
	cl_env_copy->values[0]=L33find_type_bounds(V1,T0,T1,Ct) /*  FIND-TYPE-BOUNDS */;
	{
	cl_object V4;                             /*  TAG-SUPER       */
	cl_object V5;                             /*  TAG-SUB         */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L10;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L11;
	V5= cl_env_copy->values[1];
	goto L12;}
L10:;
	V4= Cnil;
L11:;
	V5= Cnil;
L12:;
	{cl_object V6;                            /*  TAG             */
	V6= L29new_type_tag()                     /*  NEW-TYPE-TAG    */;
	T0= ecl_boole(ECL_BOOLANDC2,(V4),(V5));
	L32update_types(T0,V6)                    /*  UPDATE-TYPES    */;
	V6= ecl_boole(ECL_BOOLIOR,(V6),(V5));
	value0=L38push_type(V1,V6)                /*  PUSH-TYPE       */;
	return value0;
	}}
L4:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G206                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48__g206(cl_object V1)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_CONSP(V1))){
	goto L2;}
	T0= ecl_cddr(V1);
	value0=ecl_make_bool(T0==Cnil); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G207                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49__g207(cl_object V1, cl_object V2)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_car(V1);
	T1= ecl_car(V2);
	if(!((T0)==(T1))){
	goto L2;}
	T0= ecl_cadr(V2);
	T1= ecl_cadr(V1);
	value0=L52bounds___(T0,T1)                /*  BOUNDS-<=       */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-INTERVAL-TYPE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51register_interval_type(cl_object V1)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  I               */
	cl_object V3;                             /*  TYPE            */
	cl_object V4;                             /*  LOW             */
	cl_object V5;                             /*  HIGH            */
	cl_object V6;                             /*  TAG-HIGH        */
	cl_object V7;                             /*  TAG-LOW         */
	cl_object V8;                             /*  TAG             */
	V2= V1;
	{cl_object V9;
	V9= V2;
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	if((V9)==Cnil){
	goto L8;}
	{cl_object V10;
	V10= ECL_CONS_CDR(V9);
	V2= V10;
	V9= ECL_CONS_CAR(V9);
	goto L6;
	}
L8:;
	goto L6;
L6:;
	V3= V9;
	}
	if((V2)==Cnil){
	goto L16;}
	{cl_object V9;
	V9= V2;
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	if((V9)==Cnil){
	goto L23;}
	{cl_object V10;
	V10= ECL_CONS_CDR(V9);
	V2= V10;
	V9= ECL_CONS_CAR(V9);
	goto L21;
	}
L23:;
	goto L21;
L21:;
	V4= V9;
	goto L14;
	}
L16:;
	V4= ECL_SYM("*",16);
	goto L14;
L14:;
	if((V2)==Cnil){
	goto L31;}
	{cl_object V9;
	V9= V2;
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	if((V9)==Cnil){
	goto L38;}
	{cl_object V10;
	V10= ECL_CONS_CDR(V9);
	V2= V10;
	V9= ECL_CONS_CAR(V9);
	goto L36;
	}
L38:;
	goto L36;
L36:;
	V5= V9;
	goto L29;
	}
L31:;
	V5= ECL_SYM("*",16);
	goto L29;
L29:;
	if(!((V5)==(ECL_SYM("*",16)))){
	goto L46;}
	V6= MAKE_FIXNUM(0);
	goto L44;
L46:;
	if(!((V3)==(ECL_SYM("INTEGER",435)))){
	goto L49;}
	if(!(ECL_CONSP(V5))){
	goto L54;}
	T0= ecl_car(V5);
	V5= ecl_ceiling1(T0);
	goto L52;
L54:;
	T0= ecl_one_plus(V5);
	V5= ecl_floor1(T0);
	goto L52;
L52:;
	V6= L50register_elementary_interval(V3,V5) /*  REGISTER-ELEMENTARY-INTERVAL */;
	goto L44;
L49:;
	if(!(ECL_CONSP(V5))){
	goto L57;}
	T0= ecl_car(V5);
	V6= L50register_elementary_interval(V3,T0) /*  REGISTER-ELEMENTARY-INTERVAL */;
	goto L44;
L57:;
	T0= ecl_list1(V5);
	V6= L50register_elementary_interval(V3,T0) /*  REGISTER-ELEMENTARY-INTERVAL */;
	goto L44;
L44:;
	if((ECL_SYM("*",16))==(V4)){
	goto L64;}
	if(!((V3)==(ECL_SYM("INTEGER",435)))){
	goto L64;}
	if(!(ECL_FIXNUMP(V4)||ECL_BIGNUMP(V4))){
	goto L62;}
	goto L63;
L64:;
L63:;
	T0= V4;
	goto L60;
L62:;
	if(!(ECL_CONSP(V4))){
	goto L68;}
	T1= ecl_car(V4);
	T2= ecl_one_plus(T1);
	T0= ecl_floor1(T2);
	goto L60;
L68:;
	T0= ecl_ceiling1(V4);
	goto L60;
L60:;
	V7= L50register_elementary_interval(V3,T0) /*  REGISTER-ELEMENTARY-INTERVAL */;
	V8= ecl_boole(ECL_BOOLANDC2,(V7),(V6));
	if((V5)==(ECL_SYM("*",16))){
	goto L73;}
	L38push_type(V1,V8)                       /*  PUSH-TYPE       */;
	goto L71;
L73:;
	goto L71;
L71:;
	value0=V8; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for BOUNDS-<=                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52bounds___(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L2;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!((V2)==(ECL_SYM("*",16)))){
	goto L5;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_CONSP(V1))){
	goto L8;}
	if(!(ECL_CONSP(V2))){
	goto L11;}
	T0= ecl_car(V1);
	T1= ecl_car(V2);
	value0=ecl_make_bool(ecl_number_compare(T0,T1)<=0); cl_env_copy->nvalues=1;
	return value0;
L11:;
	T0= ecl_car(V1);
	value0=ecl_make_bool(ecl_number_compare(T0,V2)<0); cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ECL_CONSP(V2))){
	goto L14;}
	T0= ecl_car(V2);
	value0=ecl_make_bool(ecl_number_compare(V1,T0)<=0); cl_env_copy->nvalues=1;
	return value0;
L14:;
	value0=ecl_make_bool(ecl_number_compare(V1,V2)<=0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for BOUNDS-<                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53bounds__(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L2;}
	{bool V3;
	V3= (V2)==(ECL_SYM("*",16));
	value0=(V3)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	if(!((V2)==(ECL_SYM("*",16)))){
	goto L5;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_CONSP(V1))){
	goto L8;}
	if(!(ECL_CONSP(V2))){
	goto L11;}
	T0= ecl_car(V1);
	T1= ecl_car(V2);
	value0=ecl_make_bool(ecl_number_compare(T0,T1)<0); cl_env_copy->nvalues=1;
	return value0;
L11:;
	T0= ecl_car(V1);
	value0=ecl_make_bool(ecl_number_compare(T0,V2)<0); cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ECL_CONSP(V2))){
	goto L14;}
	T0= ecl_car(V2);
	value0=ecl_make_bool(ecl_number_compare(V1,T0)<=0); cl_env_copy->nvalues=1;
	return value0;
L14:;
	value0=ecl_make_bool(ecl_number_compare(V1,V2)<0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CANONICAL-COMPLEX-TYPE                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54canonical_complex_type(cl_object V1)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==(ECL_SYM("*",16))){
	goto L3;}
	cl_upgraded_complex_part_type(1,V1)       /*  UPGRADED-COMPLEX-PART-TYPE */;
	goto L1;
L3:;
	goto L1;
L1:;
	value0=L30find_registered_tag(1,VV[73])   /*  FIND-REGISTERED-TAG */;
	if((value0)!=Cnil){
	goto L6;}
	{cl_object V2;                            /*  TAG             */
	V2= L29new_type_tag()                     /*  NEW-TYPE-TAG    */;
	value0=L38push_type(VV[73],V2)            /*  PUSH-TYPE       */;
	return value0;
	}
L6:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REGISTER-CONS-TYPE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55register_cons_type(cl_narg narg, ...)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	cl_object V2;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ECL_SYM("*",16);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V2= ECL_SYM("*",16);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  LET59           */
	cl_object V4;                             /*  LET60           */
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L5;}
	V3= MAKE_FIXNUM(-1);
	goto L3;
L5:;
	V3= L58canonical_type(V1)                 /*  CANONICAL-TYPE  */;
	goto L3;
L3:;
	if(!((V2)==(ECL_SYM("*",16)))){
	goto L9;}
	V4= MAKE_FIXNUM(-1);
	goto L7;
L9:;
	V4= L58canonical_type(V2)                 /*  CANONICAL-TYPE  */;
	goto L7;
L7:;
	if(ecl_zerop(V3)){
	goto L14;}
	if(!(ecl_zerop(V4))){
	goto L12;}
	goto L13;
L14:;
L13:;
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L12:;
	if(!(ecl_number_equalp(V3,MAKE_FIXNUM(-1)))){
	goto L17;}
	if(!(ecl_number_equalp(V4,MAKE_FIXNUM(-1)))){
	goto L17;}
	value0=L58canonical_type(ECL_SYM("CONS",249)) /*  CANONICAL-TYPE */;
	return value0;
L17:;
	cl_env_copy->values[0]=ECL_SYM("CONS",249); cl_env_copy->nvalues=1;
	cl_throw(VV[62]);
	}
}}
/*	function definition for FIND-BUILT-IN-TAG                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56find_built_in_tag(cl_object V1)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  RECORD          */
	V2= Cnil;
	if(!((V1)==(Ct))){
	goto L3;}
	value0=MAKE_FIXNUM(-1); cl_env_copy->nvalues=1;
	return value0;
L3:;
	V2= ecl_gethash_safe(V1,ecl_symbol_value(VV[75]),V1);
	if(!((V2)==(V1))){
	goto L6;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L6:;
	{cl_object V3;                            /*  ALIAS           */
	cl_object V4;                             /*  TAG             */
	{cl_object V5;
	V5= V2;
	if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
	if((V5)==Cnil){
	goto L15;}
	{cl_object V6;
	V6= ECL_CONS_CDR(V5);
	V2= V6;
	V5= ECL_CONS_CAR(V5);
	goto L13;
	}
L15:;
	goto L13;
L13:;
	V3= V5;
	}
	V4= Cnil;
	if((V3)==Cnil){
	goto L24;}
	V4= L58canonical_type(V3)                 /*  CANONICAL-TYPE  */;
	goto L22;
L24:;
	{cl_object V5;                            /*  STRICT-SUPERTYPE */
	cl_object V6;                             /*  STRICT-SUPERTYPE-TAG */
	value0=ecl_car(V2);
	if((value0)!=Cnil){
	goto L29;}
	V5= Ct;
	goto L27;
L29:;
	V5= value0;
	goto L27;
L27:;
	V6= L58canonical_type(V5)                 /*  CANONICAL-TYPE  */;
	V4= L29new_type_tag()                     /*  NEW-TYPE-TAG    */;
	if((V5)==(Ct)){
	goto L35;}
	L57extend_type_tag(V4,V6)                 /*  EXTEND-TYPE-TAG */;
	goto L22;
L35:;
	goto L22;
	}
L22:;
	value0=L38push_type(V1,V4)                /*  PUSH-TYPE       */;
	return value0;
	}
	}
}}
/*	function definition for EXTEND-TYPE-TAG                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57extend_type_tag(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_symbol_value(VV[58]);
	goto L5;
L4:;
	{cl_object V4;                            /*  TYPE            */
	V4= ecl_car(V3);
	{cl_object V5;                            /*  OTHER-TAG       */
	V5= ecl_cdr(V4);
	T0= ecl_boole(ECL_BOOLANDC2,(V2),(V5));
	if(!(ecl_zerop(T0))){
	goto L12;}
	{cl_object V6;
	V6= ecl_boole(ECL_BOOLIOR,(V1),(V5));
	(ECL_CONS_CDR(V4)=V6,V4);
	goto L9;
	}
L12:;
	goto L9;
	}
L9:;
	}
	V3= ecl_cdr(V3);
L5:;
	if((V3)==Cnil){
	goto L20;}
	goto L4;
L20:;
	goto L18;
L18:;
	goto L2;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CANONICAL-TYPE                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58canonical_type(cl_object V1)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;
	V2= L30find_registered_tag(1,V1)          /*  FIND-REGISTERED-TAG */;
	if((V2)==Cnil){
	goto L3;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L3:;
	if(!((V1)==(Ct))){
	goto L6;}
	value0=MAKE_FIXNUM(-1); cl_env_copy->nvalues=1;
	return value0;
L6:;
	if(!((V1)==(Cnil))){
	goto L9;}
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L9:;
	if(!(ECL_SYMBOLP(V1))){
	goto L12;}
	{cl_object V3;                            /*  EXPANDER        */
	V3= si_get_sysprop(V1,VV[11])             /*  GET-SYSPROP     */;
	if((V3)==Cnil){
	goto L16;}
	V1= ecl_function_dispatch(cl_env_copy,V3)(0);
	goto TTL;
L16:;
	{cl_object V4;
	V4= L56find_built_in_tag(V1)              /*  FIND-BUILT-IN-TAG */;
	if((V4)==Cnil){
	goto L22;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L22:;
	{cl_object V5;                            /*  CLASS           */
	V5= cl_find_class(2,V1,Cnil)              /*  FIND-CLASS      */;
	if((V5)==Cnil){
	goto L26;}
	value0=L42register_class(V5)              /*  REGISTER-CLASS  */;
	return value0;
L26:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[62]);
	}
	}
	}
L12:;
	if(!(ECL_CONSP(V1))){
	goto L30;}
	{cl_object V6;
	V6= ecl_car(V1);
	if(!((V6)==(ECL_SYM("AND",85)))){
	goto L34;}
	T0= (ECL_SYM("LOGAND",490)->symbol.gfdef);
	{cl_object V7;                            /*  LET62           */
	cl_object V8;
	cl_object V9;
	V7= ecl_cdr(V1);
	V8= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	V9= V7;
	{cl_object V10;
	cl_object V11;
	V10= ecl_list1(Cnil);
	V11= V10;
L45:;
	if(!(ecl_endp(V9))){
	goto L49;}
	goto L46;
L49:;
	goto L47;
L47:;
	V8= _ecl_car(V9);
	{cl_object V12;
	V12= _ecl_cdr(V9);
	if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
	V9= V12;
	}
	if (ecl_unlikely(ATOM(V11))) FEtype_error_cons(V11);
	T2= V11;
	T3= L58canonical_type(V8)                 /*  CANONICAL-TYPE  */;
	V11= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V11,T2);
	goto L45;
L46:;
	T1= ecl_cdr(V10);
	goto L37;
	}
	}
L37:;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L34:;
	if(!((V6)==(ECL_SYM("OR",612)))){
	goto L64;}
	T0= (ECL_SYM("LOGIOR",498)->symbol.gfdef);
	{cl_object V7;                            /*  LET64           */
	cl_object V8;
	cl_object V9;
	V7= ecl_cdr(V1);
	V8= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	V9= V7;
	{cl_object V10;
	cl_object V11;
	V10= ecl_list1(Cnil);
	V11= V10;
L75:;
	if(!(ecl_endp(V9))){
	goto L79;}
	goto L76;
L79:;
	goto L77;
L77:;
	V8= _ecl_car(V9);
	{cl_object V12;
	V12= _ecl_cdr(V9);
	if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
	V9= V12;
	}
	if (ecl_unlikely(ATOM(V11))) FEtype_error_cons(V11);
	T2= V11;
	T3= L58canonical_type(V8)                 /*  CANONICAL-TYPE  */;
	V11= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V11,T2);
	goto L75;
L76:;
	T1= ecl_cdr(V10);
	goto L67;
	}
	}
L67:;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L64:;
	if(!((V6)==(ECL_SYM("NOT",582)))){
	goto L94;}
	T0= ecl_cadr(V1);
	T1= L58canonical_type(T0)                 /*  CANONICAL-TYPE  */;
	value0=ecl_boole(ECL_BOOLXOR,(T1),MAKE_FIXNUM(-1)); cl_env_copy->nvalues=1;
	return value0;
L94:;
	if(!((V6)==(ECL_SYM("EQL",332)))){
	goto L102;}
	goto L99;
	goto L100;
L102:;
	goto L100;
L100:;
	if(!((V6)==(ECL_SYM("MEMBER",550)))){
	goto L97;}
	goto L98;
L99:;
L98:;
	T0= (ECL_SYM("LOGIOR",498)->symbol.gfdef);
	{cl_object V7;                            /*  LET66           */
	cl_object V8;
	cl_object V9;
	V7= ecl_cdr(V1);
	V8= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	V9= V7;
	{cl_object V10;
	cl_object V11;
	V10= ecl_list1(Cnil);
	V11= V10;
L114:;
	if(!(ecl_endp(V9))){
	goto L118;}
	goto L115;
L118:;
	goto L116;
L116:;
	V8= _ecl_car(V9);
	{cl_object V12;
	V12= _ecl_cdr(V9);
	if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
	V9= V12;
	}
	if (ecl_unlikely(ATOM(V11))) FEtype_error_cons(V11);
	T2= V11;
	T3= L35register_member_type(V8)           /*  REGISTER-MEMBER-TYPE */;
	V11= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V11,T2);
	goto L114;
L115:;
	T1= ecl_cdr(V10);
	goto L106;
	}
	}
L106:;
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L97:;
	if(!((V6)==(ECL_SYM("SATISFIES",733)))){
	goto L133;}
	value0=L39register_satisfies_type(V1)     /*  REGISTER-SATISFIES-TYPE */;
	return value0;
L133:;
	if((ecl_memql(V6,VV[76]))==Cnil){
	goto L136;}
	value0=L51register_interval_type(V1)      /*  REGISTER-INTERVAL-TYPE */;
	return value0;
L136:;
	if(!((V6)==(ECL_SYM("FLOAT",372)))){
	goto L139;}
	T0= ecl_cdr(V1);
	T1= CONS(ECL_SYM("SINGLE-FLOAT",776),T0);
	T2= ecl_cdr(V1);
	T3= CONS(ECL_SYM("DOUBLE-FLOAT",313),T2);
	T4= ecl_cdr(V1);
	T5= CONS(ECL_SYM("LONG-FLOAT",506),T4);
	V1= cl_list(4,ECL_SYM("OR",612),T1,T3,T5) /*  LIST            */;
	goto TTL;
L139:;
	if(!((V6)==(ECL_SYM("REAL",701)))){
	goto L145;}
	T0= ecl_cdr(V1);
	T1= CONS(ECL_SYM("INTEGER",435),T0);
	T2= ecl_cdr(V1);
	T3= CONS(ECL_SYM("RATIO",684),T2);
	T4= ecl_cdr(V1);
	T5= CONS(ECL_SYM("SINGLE-FLOAT",776),T4);
	T6= ecl_cdr(V1);
	T7= CONS(ECL_SYM("DOUBLE-FLOAT",313),T6);
	T8= ecl_cdr(V1);
	T9= CONS(ECL_SYM("LONG-FLOAT",506),T8);
	V1= cl_list(6,ECL_SYM("OR",612),T1,T3,T5,T7,T9) /*  LIST      */;
	goto TTL;
L145:;
	if(!((V6)==(ECL_SYM("RATIONAL",685)))){
	goto L151;}
	T0= ecl_cdr(V1);
	T1= CONS(ECL_SYM("INTEGER",435),T0);
	T2= ecl_cdr(V1);
	T3= CONS(ECL_SYM("RATIO",684),T2);
	V1= cl_list(3,ECL_SYM("OR",612),T1,T3)    /*  LIST            */;
	goto TTL;
L151:;
	if(!((V6)==(ECL_SYM("COMPLEX",239)))){
	goto L157;}
	value0=L56find_built_in_tag(V1)           /*  FIND-BUILT-IN-TAG */;
	if((value0)!=Cnil){
	goto L160;}
	T0= ecl_cadr(V1);
	value0=L54canonical_complex_type(T0)      /*  CANONICAL-COMPLEX-TYPE */;
	return value0;
L160:;
	cl_env_copy->nvalues=1;
	return value0;
L157:;
	if(!((V6)==(ECL_SYM("CONS",249)))){
	goto L163;}
	T0= (VV[74]->symbol.gfdef);
	T1= ecl_cdr(V1);
	value0=cl_apply(2,T0,T1)                  /*  APPLY           */;
	return value0;
L163:;
	if(!((V6)==(ECL_SYM("ARRAY",94)))){
	goto L167;}
	T0= ecl_cdr(V1);
	T1= CONS(ECL_SYM("COMPLEX-ARRAY",1755),T0);
	T2= L43register_array_type(T1)            /*  REGISTER-ARRAY-TYPE */;
	T3= ecl_cdr(V1);
	T4= CONS(ECL_SYM("SIMPLE-ARRAY",761),T3);
	T5= L43register_array_type(T4)            /*  REGISTER-ARRAY-TYPE */;
	value0=ecl_boole(ECL_BOOLIOR,(T2),(T5)); cl_env_copy->nvalues=1;
	return value0;
L167:;
	if(!((V6)==(ECL_SYM("COMPLEX-ARRAY",1755)))){
	goto L175;}
	goto L172;
	goto L173;
L175:;
	goto L173;
L173:;
	if(!((V6)==(ECL_SYM("SIMPLE-ARRAY",761)))){
	goto L170;}
	goto L171;
L172:;
L171:;
	value0=L43register_array_type(V1)         /*  REGISTER-ARRAY-TYPE */;
	return value0;
L170:;
	if(!((V6)==(ECL_SYM("FUNCTION",394)))){
	goto L179;}
	V1= ECL_SYM("FUNCTION",394);
	goto TTL;
L179:;
	{cl_object V7;                            /*  EXPANDER        */
	T0= ecl_car(V1);
	V7= si_get_sysprop(T0,VV[11])             /*  GET-SYSPROP     */;
	if((V7)==Cnil){
	goto L185;}
	T0= ecl_cdr(V1);
	V1= cl_apply(2,V7,T0)                     /*  APPLY           */;
	goto TTL;
L185:;
	T0= ecl_car(V1);
	if((ecl_assql(T0,ecl_symbol_value(VV[58])))!=Cnil){
	goto L190;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[62]);
L190:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L30:;
	if((ecl_function_dispatch(cl_env_copy,VV[93])(1,V1) /*  CLASSP */)==Cnil){
	goto L194;}
	value0=L42register_class(V1)              /*  REGISTER-CLASS  */;
	return value0;
L194:;
	if((cl_fboundp(VV[80])                    /*  FBOUNDP         */)==Cnil){
	goto L197;}
	if((ecl_function_dispatch(cl_env_copy,VV[80])(1,V1) /*  FUNCTION-TYPE-P */)==Cnil){
	goto L197;}
	value0=ecl_function_dispatch(cl_env_copy,VV[105])(1,V1) /*  REGISTER-FUNCTION-TYPE */;
	return value0;
L197:;
	if((cl_fboundp(VV[81])                    /*  FBOUNDP         */)==Cnil){
	goto L201;}
	if((ecl_function_dispatch(cl_env_copy,VV[81])(1,V1) /*  VALUES-TYPE-P */)==Cnil){
	goto L201;}
	value0=ecl_function_dispatch(cl_env_copy,VV[106])(1,V1) /*  REGISTER-VALUES-TYPE */;
	return value0;
L201:;
	value0=L24error_type_specifier(V1)        /*  ERROR-TYPE-SPECIFIER */;
	return value0;
	}
}}
/*	function definition for SAFE-CANONICAL-TYPE                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59safe_canonical_type(cl_object volatile V1)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[62];
	if (ecl_frs_push(cl_env_copy,value0)) {   /*  BEGIN CATCH 2   */
	value0=cl_env_copy->values[0];
	goto L3;
	}
	value0=L58canonical_type(V1)              /*  CANONICAL-TYPE  */;
L3:;
	ecl_frs_pop(cl_env_copy);                 /*  END CATCH 2     */
	return value0;
}}
/*	function definition for FAST-SUBTYPEP                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L60fast_subtypep(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(V2))){
	goto L3;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=Ct;
	return cl_env_copy->values[0];
L3:;
	goto L1;
L1:;
	{cl_object V3;                            /*  TAG1            */
	cl_object V4;                             /*  TAG2            */
	V3= L59safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	V4= L59safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	if(!(ecl_numberp(V3))){
	goto L8;}
	if(!(ecl_numberp(V4))){
	goto L8;}
	T0= L59safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	T1= L59safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	T2= ecl_boole(ECL_BOOLANDC2,(T0),(T1));
	{bool V5;
	V5= ecl_zerop(T2);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=ecl_make_bool(V5);
	return cl_env_copy->values[0];}
L8:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=Cnil;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for SUBTYPEP                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_subtypep(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(V2))){
	goto L4;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=Ct;
	return cl_env_copy->values[0];
L4:;
	goto L2;
L2:;
	if(!(ECL_INSTANCEP(V1))){
	goto L8;}
	if(!(ECL_INSTANCEP(V2))){
	goto L8;}
	if((ecl_function_dispatch(cl_env_copy,VV[93])(1,V1) /*  CLASSP */)==Cnil){
	goto L8;}
	if((ecl_function_dispatch(cl_env_copy,VV[93])(1,V2) /*  CLASSP */)==Cnil){
	goto L8;}
	T0= si_subclassp(2,V1,V2)                 /*  SUBCLASSP       */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L8:;
	goto L6;
L6:;
	{cl_object V4;                            /*  CACHE           */
	uint8_t V5;                               /*  HASH            */
	cl_object V6;                             /*  ELT             */
	V4= ecl_symbol_value(VV[4]);
	T0= si_hash_eql(2,V1,V2)                  /*  HASH-EQL        */;
	V5= ecl_to_uint8_t(ecl_boole(ECL_BOOLAND,(T0),(MAKE_FIXNUM(255))));
	{cl_fixnum V7;
	if (ecl_unlikely(!ECL_VECTORP(V4)))
           FEtype_error_vector(V4);
	if (ecl_unlikely(((cl_fixnum)(V5))>=(V4)->vector.dim))
           FEwrong_index(Cnil,V4,-1,MAKE_FIXNUM((cl_fixnum)(V5)),(V4)->vector.dim);
	V7= (cl_fixnum)(V5);
	V6= ecl_aref_unsafe(V4,V7);}
	if((V6)==Cnil){
	goto L21;}
	T0= ecl_caar(V6);
	if(!((T0)==(V1))){
	goto L21;}
	T0= ecl_cdar(V6);
	if(!((T0)==(V2))){
	goto L21;}
	V6= ecl_cdr(V6);
	T0= ecl_car(V6);
	T1= ecl_cdr(V6);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L21:;
	goto L19;
L19:;
	ecl_bds_push(cl_env_copy,VV[55]);         /*  *HIGHEST-TYPE-TAG* */
	ecl_bds_bind(cl_env_copy,VV[54],Ct);      /*  *SAVE-TYPES-DATABASE* */
	ecl_bds_push(cl_env_copy,VV[56]);         /*  *MEMBER-TYPES*  */
	ecl_bds_push(cl_env_copy,VV[58]);         /*  *ELEMENTARY-TYPES* */
	cl_env_copy->values[0]=L60fast_subtypep(V1,V2) /*  FAST-SUBTYPEP */;
	{
	cl_object V8;                             /*  TEST            */
	cl_object V9;                             /*  CONFIDENT       */
	{int V10=cl_env_copy->nvalues-0;
	if (V10--<=0) goto L28;
	V8= cl_env_copy->values[0];
	if (V10--<=0) goto L29;
	V9= cl_env_copy->values[1];
	goto L30;}
L28:;
	V8= Cnil;
L29:;
	V9= Cnil;
L30:;
	{uint8_t V10;
	if (ecl_unlikely(!ECL_VECTORP(V4)))
           FEtype_error_vector(V4);
	if (ecl_unlikely(((cl_fixnum)(V5))>=(V4)->vector.dim))
           FEwrong_index(Cnil,V4,-1,MAKE_FIXNUM((cl_fixnum)(V5)),(V4)->vector.dim);
	V10= V5;
	T0= CONS(V1,V2);
	T1= cl_listX(3,T0,V8,V9)                  /*  LIST*           */;
	ecl_aset_unsafe(V4,(cl_fixnum)(V10),T1);}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V9;
	cl_env_copy->values[0]=V8;
	ecl_bds_unwind_n(cl_env_copy,4);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for FAST-TYPE=                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61fast_type_(cl_object V1, cl_object V2)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(V2))){
	goto L3;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=Ct;
	return cl_env_copy->values[0];
L3:;
	goto L1;
L1:;
	{cl_object V3;                            /*  TAG1            */
	cl_object V4;                             /*  TAG2            */
	V3= L59safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	V4= L59safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	if(!(ecl_numberp(V3))){
	goto L8;}
	if(!(ecl_numberp(V4))){
	goto L8;}
	T0= L59safe_canonical_type(V1)            /*  SAFE-CANONICAL-TYPE */;
	T1= L59safe_canonical_type(V2)            /*  SAFE-CANONICAL-TYPE */;
	{bool V5;
	V5= ecl_number_equalp(T0,T1);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=ecl_make_bool(V5);
	return cl_env_copy->values[0];}
L8:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=Cnil;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for TYPE=                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62type_(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET67           */
	cl_object V4;                             /*  LET69           */
	cl_object V5;                             /*  LET70           */
	V3= ecl_symbol_value(VV[55]);
	V4= ecl_symbol_value(VV[56]);
	V5= ecl_symbol_value(VV[58]);
	ecl_bds_bind(cl_env_copy,VV[55],V3);      /*  *HIGHEST-TYPE-TAG* */
	ecl_bds_bind(cl_env_copy,VV[54],Ct);      /*  *SAVE-TYPES-DATABASE* */
	ecl_bds_bind(cl_env_copy,VV[56],V4);      /*  *MEMBER-TYPES*  */
	ecl_bds_bind(cl_env_copy,VV[58],V5);      /*  *ELEMENTARY-TYPES* */
	value0=L61fast_type_(V1,V2)               /*  FAST-TYPE=      */;
	ecl_bds_unwind_n(cl_env_copy,4);
	return value0;
	}
}}
	
#include "lsp/predlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclyAfyXkZ7_pHCWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;PREDLIB.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclyAfyXkZ7_pHCWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[85]);                    /*  CONSTANTLY-T    */
	ecl_cmp_defun(VV[86]);                    /*  CONSTANTLY-NIL  */
	(void)0; /* No entry created for CONSTANTLY */
	si_Xmake_special(VV[4])                   /*  *MAKE-SPECIAL   */;
	cl_set(VV[4],si_make_vector(Ct,MAKE_FIXNUM(256),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */);
	si_Xmake_special(VV[5])                   /*  *MAKE-SPECIAL   */;
	cl_set(VV[5],si_make_vector(Ct,MAKE_FIXNUM(128),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */);
	ecl_cmp_defun(VV[87]);                    /*  SUBTYPEP-CLEAR-CACHE */
	ecl_cmp_defun(VV[88]);                    /*  CREATE-TYPE-NAME */
	(void)0; /* No entry created for DO-DEFTYPE */
	ecl_cmp_defmacro(VV[89]);                 /*  DEFTYPE         */
	si_do_deftype(3,ECL_SYM("BOOLEAN",153),VVtemp[1],VVtemp[2]) /*  DO-DEFTYPE */;
	si_do_deftype(3,VV[17],VVtemp[3],VVtemp[4]) /*  DO-DEFTYPE    */;
	si_do_deftype(3,ECL_SYM("FIXNUM",370),VVtemp[5],VVtemp[6]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("BIGNUM",120),VVtemp[7],VVtemp[8]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("BYTE8",1327),VVtemp[9],VVtemp[10]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("INTEGER8",1332),VVtemp[11],VVtemp[12]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("BYTE16",1328),VVtemp[13],VVtemp[14]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("INTEGER16",1333),VVtemp[15],VVtemp[16]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("BYTE32",1329),VVtemp[17],VVtemp[18]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("INTEGER32",1334),VVtemp[19],VVtemp[20]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("BYTE64",1330),VVtemp[21],VVtemp[22]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("INTEGER64",1335),VVtemp[23],VVtemp[24]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("CL-FIXNUM",1566),VVtemp[25],VVtemp[26]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("CL-INDEX",1567),VVtemp[27],VVtemp[28]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC7real,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("REAL",701),VVtemp[29],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC8short_float,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("SHORT-FLOAT",754),VVtemp[30],T0) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("BIT",121),VVtemp[31],VVtemp[32]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC9mod,Cnil,Cblock,1);
	si_do_deftype(3,ECL_SYM("MOD",558),VVtemp[33],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC10signed_byte,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("SIGNED-BYTE",759),VVtemp[34],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC11unsigned_byte,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("UNSIGNED-BYTE",883),VVtemp[35],T0) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NULL",603),VVtemp[36],VVtemp[37]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("SEQUENCE",739),VVtemp[38],VVtemp[39]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("LIST",479),VVtemp[40],VVtemp[41]) /*  DO-DEFTYPE */;
	si_do_deftype(3,VV[21],VVtemp[42],VVtemp[43]) /*  DO-DEFTYPE  */;
	si_do_deftype(3,ECL_SYM("PROPERTY-LIST",1642),VVtemp[44],VVtemp[45]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("ATOM",117),VVtemp[46],VVtemp[47]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC12vector,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("VECTOR",896),VVtemp[48],T0) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("EXTENDED-CHAR",344),VVtemp[49],VVtemp[50]) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC13string,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("STRING",803),VVtemp[51],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC14base_string,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("BASE-STRING",119),VVtemp[52],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC15extended_string,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("EXTENDED-STRING",1660),VVtemp[53],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC16bit_vector,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("BIT-VECTOR",132),VVtemp[54],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC17simple_vector,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("SIMPLE-VECTOR",772),VVtemp[55],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC18simple_string,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("SIMPLE-STRING",769),VVtemp[56],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC19simple_base_string,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("SIMPLE-BASE-STRING",762),VVtemp[57],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC20simple_bit_vector,Cnil,Cblock);
	si_do_deftype(3,ECL_SYM("SIMPLE-BIT-VECTOR",763),VVtemp[58],T0) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("ARRAY-INDEX",1753),VVtemp[59],VVtemp[60]) /*  DO-DEFTYPE */;
	ecl_cmp_defun(VV[90]);                    /*  SIMPLE-ARRAY-P  */
	ecl_cmp_defun(VV[91]);                    /*  COMPLEX-ARRAY-P */
	si_Xmake_constant(VV[32],VVtemp[61])      /*  *MAKE-CONSTANT  */;
	{cl_object V1;
	V1= ecl_symbol_value(VV[32]);
	goto L108;
L107:;
	{cl_object V2;                            /*  L               */
	V2= ecl_car(V1);
	T0= ecl_car(V2);
	T1= ecl_cdr(V2);
	si_put_sysprop(T0,VV[33],T1)              /*  PUT-SYSPROP     */;
	}
	V1= ecl_cdr(V1);
L108:;
	if((V1)==Cnil){
	goto L117;}
	goto L107;
L117:;
	goto L115;
L115:;
	goto L105;
L105:;
	}
	si_Xmake_constant(VV[34],VVtemp[62])      /*  *MAKE-CONSTANT  */;
	(void)0; /* No entry created for UPGRADED-ARRAY-ELEMENT-TYPE */
	(void)0; /* No entry created for UPGRADED-COMPLEX-PART-TYPE */
	(void)0; /* No entry created for IN-INTERVAL-P */
	(void)0; /* No entry created for ERROR-TYPE-SPECIFIER */
	(void)0; /* No entry created for MATCH-DIMENSIONS */
	(void)0; /* No entry created for TYPEP */
	(void)0; /* No entry created for SUBCLASSP */
	(void)0; /* No entry created for OF-CLASS-P */
	ecl_cmp_defun(VV[92]);                    /*  NORMALIZE-TYPE  */
	ecl_cmp_defun(VV[94]);                    /*  EXPAND-DEFTYPE  */
	ecl_cmp_defun(VV[95]);                    /*  ERROR-COERCE    */
	(void)0; /* No entry created for COERCE */
	si_Xmake_special(VV[54])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[54],Cnil);
	si_Xmake_special(VV[55])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[55],MAKE_FIXNUM(1));
	si_Xmake_special(VV[56])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[56],Cnil);
	si_Xmake_special(VV[57])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[57],MAKE_FIXNUM(1));
	si_Xmake_special(VV[58])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[58],Cnil);
	(void)0; /* No entry created for NEW-TYPE-TAG */
	(void)0; /* No entry created for FIND-REGISTERED-TAG */
	(void)0; /* No entry created for MAYBE-SAVE-TYPES */
	ecl_cmp_defun(VV[96]);                    /*  UPDATE-TYPES    */
	(void)0; /* No entry created for FIND-TYPE-BOUNDS */
	(void)0; /* No entry created for REGISTER-TYPE */
	ecl_cmp_defun(VV[97]);                    /*  REGISTER-MEMBER-TYPE */
	(void)0; /* No entry created for SIMPLE-MEMBER-TYPE */
	ecl_cmp_defun(VV[98]);                    /*  NUMBER-MEMBER-TYPE */
	(void)0; /* No entry created for PUSH-TYPE */
	(void)0; /* No entry created for REGISTER-SATISFIES-TYPE */
	(void)0; /* No entry created for REGISTER-CLASS */
	(void)0; /* No entry created for REGISTER-ARRAY-TYPE */
	(void)0; /* No entry created for FAST-UPGRADED-ARRAY-ELEMENT-TYPE */
	(void)0; /* No entry created for PARSE-ARRAY-TYPE */
	ecl_cmp_defun(VV[99]);                    /*  ARRAY-TYPE-<=   */
	ecl_cmp_defun(VV[100]);                   /*  ARRAY-TYPE-P    */
	(void)0; /* No entry created for REGISTER-ELEMENTARY-INTERVAL */
	(void)0; /* No entry created for REGISTER-INTERVAL-TYPE */
	ecl_cmp_defun(VV[101]);                   /*  BOUNDS-<=       */
	ecl_cmp_defun(VV[102]);                   /*  BOUNDS-<        */
	(void)0; /* No entry created for CANONICAL-COMPLEX-TYPE */
	ecl_cmp_defun(VV[103]);                   /*  REGISTER-CONS-TYPE */
	T0= cl_make_hash_table(4,ECL_SYM("TEST",1313),ECL_SYM("EQ",331),ECL_SYM("SIZE",1305),MAKE_FIXNUM(128)) /*  MAKE-HASH-TABLE */;
	T1= si_hash_table_fill(T0,VVtemp[63])     /*  HASH-TABLE-FILL */;
	si_Xmake_constant(VV[75],T1)              /*  *MAKE-CONSTANT  */;
	(void)0; /* No entry created for FIND-BUILT-IN-TAG */
	(void)0; /* No entry created for EXTEND-TYPE-TAG */
	ecl_cmp_defun(VV[104]);                   /*  CANONICAL-TYPE  */
	ecl_cmp_defun(VV[107]);                   /*  SAFE-CANONICAL-TYPE */
	(void)0; /* No entry created for FAST-SUBTYPEP */
	(void)0; /* No entry created for SUBTYPEP */
	(void)0; /* No entry created for FAST-TYPE= */
	ecl_cmp_defun(VV[108]);                   /*  TYPE=           */
}
