/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:LSP;SETF.LSP                                      */
#include <ecl/ecl-cmp.h>
#include "lsp/setf.eclh"
/*	function definition for CHECK-STORES-NUMBER                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1check_stores_number(cl_object V1, cl_object V2, cl_object V3)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_fixnum V4;
	V4= ecl_length(V2);
	if(ecl_number_equalp(MAKE_FIXNUM(V4),V3)){
	goto L2;}}
	value0=cl_error(3,VV[0],V3,V1)            /*  ERROR           */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DO-SETF-METHOD-EXPANSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2do_setf_method_expansion(cl_object V1, cl_object V2, cl_object V3)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  VARS            */
	cl_object V5;                             /*  INITS           */
	cl_object V6;                             /*  ALL             */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	{cl_object V7;
	V7= V3;
	goto L9;
L8:;
	{cl_object V8;                            /*  ITEM            */
	V8= ecl_car(V7);
	if(FIXNUMP(V8)){
	goto L15;}
	if((cl_keywordp(V8)                       /*  KEYWORDP        */)!=Cnil){
	goto L15;}
	V5= CONS(V8,V5);
	V8= cl_gensym(0)                          /*  GENSYM          */;
	V4= CONS(V8,V4);
	goto L13;
L15:;
	goto L13;
L13:;
	V6= CONS(V8,V6);
	}
	V7= ecl_cdr(V7);
L9:;
	if((V7)==Cnil){
	goto L29;}
	goto L8;
L29:;
	goto L27;
L27:;
	goto L6;
L6:;
	}
	{cl_object V7;                            /*  STORE           */
	cl_object V8;                             /*  ALL             */
	V7= cl_gensym(0)                          /*  GENSYM          */;
	V8= cl_nreverse(V6)                       /*  NREVERSE        */;
	T0= cl_nreverse(V4)                       /*  NREVERSE        */;
	T1= cl_nreverse(V5)                       /*  NREVERSE        */;
	T2= ecl_list1(V7);
	if((V2)==Cnil){
	goto L35;}
	T3= cl_apply(3,V2,V7,V8)                  /*  APPLY           */;
	goto L33;
L35:;
	T4= cl_list(2,ECL_SYM("SETF",748),V1)     /*  LIST            */;
	T5= cl_list(2,ECL_SYM("FUNCTION",394),T4) /*  LIST            */;
	T3= cl_listX(4,ECL_SYM("FUNCALL",392),T5,V7,V8) /*  LIST*     */;
	goto L33;
L33:;
	T4= CONS(V1,V8);
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T4;
	cl_env_copy->values[3]=T3;
	cl_env_copy->values[2]=T2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
	}
}}
/*	function definition for SETF-METHOD-WRAPPER                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4setf_method_wrapper(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  NAME            */
	CLV1=env0=CONS(V2,env0);                  /*  SETF-LAMBDA     */
	value0=ecl_make_cclosure_va((cl_objectfn)LC3__g6,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G6                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3__g6(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  SETF-LAMBDA     */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	value0=L2do_setf_method_expansion(ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1),V2) /*  DO-SETF-METHOD-EXPANSION */;
	return value0;
}}}
/*	function definition for DO-DEFSETF                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_do_defsetf(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V2,env0);                  /*  FUNCTION        */
	if(!(ECL_SYMBOLP(ECL_CONS_CAR(CLV0)))){
	goto L2;}
	T0= ecl_make_cclosure_va((cl_objectfn)LC5__g7,env0,Cblock);
	value0=si_do_defsetf(V1,T0)               /*  DO-DEFSETF      */;
	return value0;
L2:;
	T0= L4setf_method_wrapper(V1,ECL_CONS_CAR(CLV0)) /*  SETF-METHOD-WRAPPER */;
	value0=si_do_define_setf_method(V1,T0)    /*  DO-DEFINE-SETF-METHOD */;
	return value0;
}}
/*	closure G7                                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5__g7(cl_narg narg, cl_object V1, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  FUNCTION        */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= ecl_list1(V1);
	T1= ecl_append(V2,T0);
	value0=CONS(ECL_CONS_CAR(CLV0),T1); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	function definition for DO-DEFINE-SETF-METHOD                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_do_define_setf_method(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_put_sysprop(V1,ECL_SYM("SETF-METHOD",1139),V2) /*  PUT-SYSPROP */;
	return value0;
}}
/*	local function DEFSETF                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6defsetf(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ACCESS-FN       */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	{cl_object V5;                            /*  FUNCTION        */
	cl_object V6;                             /*  DOCUMENTATION   */
	V5= Cnil;
	V6= Cnil;
	if((ecl_car(V3))==Cnil){
	goto L14;}
	T0= ecl_car(V3);
	if(ECL_SYMBOLP(T0)){
	goto L17;}
	T0= ecl_car(V3);
	if((cl_functionp(T0)                      /*  FUNCTIONP       */)==Cnil){
	goto L14;}
	goto L15;
L17:;
L15:;
	T0= ecl_car(V3);
	V5= cl_list(2,ECL_SYM("QUOTE",677),T0)    /*  LIST            */;
	V6= ecl_cadr(V3);
	goto L12;
L14:;
	{cl_object V7;                            /*  STORE           */
	cl_object V8;                             /*  ARGS            */
	cl_object V9;                             /*  BODY            */
	V7= ecl_cadr(V3);
	V8= ecl_car(V3);
	V9= ecl_cddr(V3);
	V6= si_find_documentation(1,V9)           /*  FIND-DOCUMENTATION */;
	T0= ecl_append(V7,V8);
	T1= cl_listX(4,ECL_SYM("LAMBDA-BLOCK",1336),V4,T0,V9) /*  LIST* */;
	V5= cl_list(2,ECL_SYM("FUNCTION",394),T1) /*  LIST            */;
	L1check_stores_number(ECL_SYM("DEFSETF",284),V7,MAKE_FIXNUM(1)) /*  CHECK-STORES-NUMBER */;
	goto L12;
	}
L12:;
	if((ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1180)))==Cnil){
	goto L31;}
	T1= cl_copy_tree(ecl_symbol_value(ECL_SYM("*SOURCE-LOCATION*",1179))) /*  COPY-TREE */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T3= cl_list(3,ECL_SYM("DO-DEFSETF",1912),T2,V5) /*  LIST      */;
	T0= ecl_function_dispatch(cl_env_copy,ecl_symbol_value(ECL_SYM("*REGISTER-WITH-PDE-HOOK*",1180)))(3,T1,V1,T3);
	goto L29;
L31:;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T0= cl_list(3,ECL_SYM("DO-DEFSETF",1912),T1,V5) /*  LIST      */;
	goto L29;
L29:;
	T1= si_expand_set_documentation(3,V4,ECL_SYM("SETF",748),V6) /*  EXPAND-SET-DOCUMENTATION */;
	T2= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T3= ecl_list1(T2);
	T4= ecl_append(T1,T3);
	value0=cl_listX(4,ECL_SYM("EVAL-WHEN",338),VV[1],T0,T4) /*  LIST* */;
	return value0;
	}
	}
}}
/*	local function DEFINE-SETF-EXPANDER                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7define_setf_expander(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ACCESS-FN       */
	cl_object V5;                             /*  ARGS            */
	cl_object V6;                             /*  BODY            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	V6= V3;
	{cl_object V7;                            /*  ENV             */
	V7= si_memq(ECL_SYM("&ENVIRONMENT",7),V5);
	if((V7)==Cnil){
	goto L22;}
	T0= ecl_cadr(V7);
	T1= cl_ldiff(V5,V7)                       /*  LDIFF           */;
	T2= ecl_cddr(V7);
	T3= ecl_nconc(T1,T2);
	V5= CONS(T0,T3);
	goto L19;
L22:;
	V7= cl_gensym(0)                          /*  GENSYM          */;
	V5= CONS(V7,V5);
	T0= cl_list(2,ECL_SYM("IGNORE",426),V7)   /*  LIST            */;
	T1= cl_list(2,ECL_SYM("DECLARE",272),T0)  /*  LIST            */;
	V6= CONS(T1,V6);
	goto L19;
	}
L19:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T1= cl_listX(4,ECL_SYM("LAMBDA-BLOCK",1336),V4,V5,V6) /*  LIST* */;
	T2= cl_list(2,ECL_SYM("FUNCTION",394),T1) /*  LIST            */;
	T3= cl_list(3,ECL_SYM("DO-DEFINE-SETF-METHOD",1913),T0,T2) /*  LIST */;
	T4= si_find_documentation(1,V6)           /*  FIND-DOCUMENTATION */;
	T5= si_expand_set_documentation(3,V4,ECL_SYM("SETF",748),T4) /*  EXPAND-SET-DOCUMENTATION */;
	T6= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	T7= ecl_list1(T6);
	T8= ecl_append(T5,T7);
	value0=cl_listX(4,ECL_SYM("EVAL-WHEN",338),VV[1],T3,T8) /*  LIST* */;
	return value0;
	}
}}
/*	function definition for GET-SETF-EXPANSION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8get_setf_expansion(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  F               */
	V3= Cnil;
	if(!(ECL_SYMBOLP(V1))){
	goto L4;}
	V3= cl_macroexpand_1(2,V1,V2)             /*  MACROEXPAND-1   */;
	if((V3)==Cnil){
	goto L7;}
	if(ecl_equal(V3,V1)){
	goto L7;}
	value0=L8get_setf_expansion(2,V3,V2)      /*  GET-SETF-EXPANSION */;
	return value0;
L7:;
	{cl_object V4;                            /*  STORE           */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	T0= ecl_list1(V4);
	T1= cl_list(3,ECL_SYM("SETQ",749),V1,V4)  /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=V1;
	cl_env_copy->values[3]=T1;
	cl_env_copy->values[2]=T0;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=Cnil;
	return cl_env_copy->values[0];
	}
L4:;
	if(!(ECL_CONSP(V1))){
	goto L15;}
	T0= ecl_car(V1);
	if(ECL_SYMBOLP(T0)){
	goto L13;}
	goto L14;
L15:;
L14:;
	value0=cl_error(2,VV[4],V1)               /*  ERROR           */;
	return value0;
L13:;
	T0= ecl_car(V1);
	V3= si_get_sysprop(T0,ECL_SYM("SETF-METHOD",1139)) /*  GET-SYSPROP */;
	if((V3)==Cnil){
	goto L18;}
	T0= ecl_cdr(V1);
	value0=cl_apply(3,V3,V2,T0)               /*  APPLY           */;
	return value0;
L18:;
	V3= cl_macroexpand_1(2,V1,V2)             /*  MACROEXPAND-1   */;
	if((V3)==Cnil){
	goto L22;}
	if(ecl_equal(V3,V1)){
	goto L22;}
	value0=L8get_setf_expansion(2,V3,V2)      /*  GET-SETF-EXPANSION */;
	return value0;
L22:;
	T0= ecl_car(V1);
	T1= ecl_cdr(V1);
	value0=L2do_setf_method_expansion(T0,Cnil,T1) /*  DO-SETF-METHOD-EXPANSION */;
	return value0;
	}
}}
/*	local function CAR                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9car(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("RPLACA",730),V2,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T0,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDR                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10cdr(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("RPLACD",731),V2,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T0,V1) /*  LIST         */;
	return value0;
}}
/*	local function CAAR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11caar(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAR",178),V2)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDAR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12cdar(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAR",178),V2)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CADR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13cadr(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDR",196),V2)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDDR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14cddr(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDR",196),V2)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CAAAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15caaar(cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAAR",169),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDAAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16cdaar(cl_object V1, cl_object V2)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAAR",169),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CADAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17cadar(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDAR",188),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDDAR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18cddar(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDAR",188),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CAADR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19caadr(cl_object V1, cl_object V2)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CADR",176),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDADR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20cdadr(cl_object V1, cl_object V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CADR",176),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CADDR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21caddr(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDR",195),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDDDR                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22cdddr(cl_object V1, cl_object V2)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDR",195),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CAAAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23caaaar(cl_object V1, cl_object V2)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAAAR",165),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDAAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24cdaaar(cl_object V1, cl_object V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAAAR",165),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CADAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25cadaar(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDAAR",184),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDDAAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26cddaar(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDAAR",184),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CAADAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27caadar(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CADAR",172),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDADAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28cdadar(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CADAR",172),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CADDAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29caddar(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDAR",191),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDDDAR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30cdddar(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDAR",191),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CAAADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31caaadr(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAADR",168),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDAADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32cdaadr(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CAADR",168),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CADADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33cadadr(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDADR",187),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDDADR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34cddadr(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDADR",187),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CAADDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35caaddr(cl_object V1, cl_object V2)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CADDR",175),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDADDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36cdaddr(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CADDR",175),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CADDDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37cadddr(cl_object V1, cl_object V2)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDDR",194),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function CDDDDR                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38cddddr(cl_object V1, cl_object V2)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDDR",194),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACD",731),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function FIRST                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39first(cl_object V1, cl_object V2)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("RPLACA",730),V2,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T0,V1) /*  LIST         */;
	return value0;
}}
/*	local function SECOND                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40second(cl_object V1, cl_object V2)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDR",196),V2)      /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function THIRD                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41third(cl_object V1, cl_object V2)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDR",195),V2)     /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function FOURTH                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42fourth(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDDR",194),V2)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function FIFTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43fifth(cl_object V1, cl_object V2)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(2,ECL_SYM("CDDDDR",193),V2)   /*  LIST            */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function SIXTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44sixth(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("NTHCDR",602),MAKE_FIXNUM(5),V2) /*  LIST */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function SEVENTH                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45seventh(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("NTHCDR",602),MAKE_FIXNUM(6),V2) /*  LIST */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function EIGHTH                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46eighth(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("NTHCDR",602),MAKE_FIXNUM(7),V2) /*  LIST */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function NINTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47ninth(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("NTHCDR",602),MAKE_FIXNUM(8),V2) /*  LIST */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function TENTH                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48tenth(cl_object V1, cl_object V2)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("NTHCDR",602),MAKE_FIXNUM(9),V2) /*  LIST */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function REST                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49rest(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("RPLACD",731),V2,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T0,V1) /*  LIST         */;
	return value0;
}}
/*	local function MACRO-FUNCTION                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50macro_function(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,ECL_SYM("FSET",1078),V2,V1,Ct) /*  LIST      */;
	return value0;
}}
/*	local function GET                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51get(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	if((V4)==Cnil){
	goto L3;}
	T0= cl_list(4,ECL_SYM("PUTPROP",1123),V2,V1,V3) /*  LIST      */;
	value0=cl_list(3,ECL_SYM("PROGN",669),V4,T0) /*  LIST         */;
	return value0;
L3:;
	value0=cl_list(4,ECL_SYM("PUTPROP",1123),V2,V1,V3) /*  LIST   */;
	return value0;
}}
/*	local function NTH                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52nth(cl_object V1, cl_object V2, cl_object V3)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_list(3,ECL_SYM("NTHCDR",602),V2,V3) /*  LIST           */;
	T1= cl_list(3,ECL_SYM("RPLACA",730),T0,V1) /*  LIST           */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T1,V1) /*  LIST         */;
	return value0;
}}
/*	local function GETHASH                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53gethash(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,ECL_SYM("HASH-SET",1086),V2,V3,V1) /*  LIST  */;
	return value0;
}}
/*	local function COMPILER-MACRO-FUNCTION                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54compiler_macro_function(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_list(4,ECL_SYM("PUT-SYSPROP",1122),V2,VV[6],V1) /*  LIST */;
	return value0;
}}
/*	local function GETF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55getf(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= Cnil;
	V5= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	V5= Ct;
	}}
	va_end(args);
	cl_env_copy->values[0]=L8get_setf_expansion(2,V2,V1) /*  GET-SETF-EXPANSION */;
	{
	cl_object V7;                             /*  VARS            */
	cl_object V8;                             /*  VALS            */
	cl_object V9;                             /*  STORES          */
	cl_object V10;                            /*  STORE-FORM      */
	cl_object V11;                            /*  ACCESS-FORM     */
	V7= cl_env_copy->values[0];
	V8= cl_env_copy->values[1];
	V9= cl_env_copy->values[2];
	V10= cl_env_copy->values[3];
	V11= cl_env_copy->values[4];
	{cl_object V12;                           /*  ITEMP           */
	cl_object V13;                            /*  STORE           */
	cl_object V14;                            /*  DEF             */
	V12= cl_gensym(0)                         /*  GENSYM          */;
	V13= cl_gensym(0)                         /*  GENSYM          */;
	V14= cl_gensym(0)                         /*  GENSYM          */;
	if((V5)==Cnil){
	goto L8;}
	T0= ecl_list1(V14);
	goto L6;
L8:;
	T0= Cnil;
	goto L6;
L6:;
	T1= CONS(V12,T0);
	T2= ecl_append(V7,T1);
	if((V5)==Cnil){
	goto L12;}
	T3= ecl_list1(V4);
	goto L10;
L12:;
	T3= Cnil;
	goto L10;
L10:;
	T4= CONS(V3,T3);
	T5= ecl_append(V8,T4);
	T6= ecl_list1(V13);
	T7= ecl_car(V9);
	T8= cl_list(4,ECL_SYM("PUT-F",1120),V11,V13,V12) /*  LIST     */;
	T9= cl_list(2,T7,T8)                      /*  LIST            */;
	T10= ecl_list1(T9);
	T11= cl_list(4,ECL_SYM("LET",475),T10,V10,V13) /*  LIST       */;
	T12= cl_list(4,ECL_SYM("GETF",410),V11,V12,V4) /*  LIST       */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T12;
	cl_env_copy->values[3]=T11;
	cl_env_copy->values[2]=T6;
	cl_env_copy->values[1]=T5;
	cl_env_copy->values[0]=T2;
	return cl_env_copy->values[0];
	}}
}}
/*	local function SUBSEQ                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56subseq(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= cl_list(7,ECL_SYM("REPLACE",715),V2,V1,ECL_SYM("START1",1308),V3,ECL_SYM("END1",1223),V4) /*  LIST */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T0,V1) /*  LIST         */;
	return value0;
}}
/*	local function THE                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57the(cl_object V1, cl_object V2, cl_object V3)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L8get_setf_expansion(2,V3,V1) /*  GET-SETF-EXPANSION */;
	{
	cl_object V5;                             /*  VARS            */
	cl_object V6;                             /*  VALS            */
	cl_object V7;                             /*  STORES          */
	cl_object V8;                             /*  STORE-FORM      */
	cl_object V9;                             /*  ACCESS-FORM     */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	V7= cl_env_copy->values[2];
	V8= cl_env_copy->values[3];
	V9= cl_env_copy->values[4];
	T0= ecl_car(V7);
	T1= cl_list(3,ECL_SYM("THE",854),V2,T0)   /*  LIST            */;
	T2= ecl_car(V7);
	T3= cl_subst(3,T1,T2,V8)                  /*  SUBST           */;
	T4= cl_list(3,ECL_SYM("THE",854),V2,V9)   /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T4;
	cl_env_copy->values[3]=T3;
	cl_env_copy->values[2]=V7;
	cl_env_copy->values[1]=V6;
	cl_env_copy->values[0]=V5;
	return cl_env_copy->values[0];}
}}
/*	local function APPLY                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58apply(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	if(!(ECL_CONSP(V2))){
	goto L6;}
	T0= ecl_car(V2);
	if((T0)==(ECL_SYM("FUNCTION",394))){
	goto L9;}
	T0= ecl_car(V2);
	if(!((T0)==(ECL_SYM("QUOTE",677)))){
	goto L6;}
	goto L8;
L9:;
L8:;
	T0= ecl_cadr(V2);
	if(!(ECL_SYMBOLP(T0))){
	goto L6;}
	T0= ecl_cddr(V2);
	if(T0==Cnil){
	goto L3;}
	goto L4;
L6:;
	goto L4;
L4:;
	cl_error(2,VV[7],V2)                      /*  ERROR           */;
	goto L1;
L3:;
	goto L1;
L1:;
	T0= ecl_cadr(V2);
	T1= CONS(T0,V3);
	cl_env_copy->values[0]=L8get_setf_expansion(2,T1,V1) /*  GET-SETF-EXPANSION */;
	{
	cl_object V5;                             /*  VARS            */
	cl_object V6;                             /*  VALS            */
	cl_object V7;                             /*  STORES          */
	cl_object V8;                             /*  STORE-FORM      */
	cl_object V9;                             /*  ACCESS-FORM     */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	V7= cl_env_copy->values[2];
	V8= cl_env_copy->values[3];
	V9= cl_env_copy->values[4];
	T0= ecl_last(V8,1);
	T1= ecl_car(T0);
	T2= ecl_last(V5,1);
	T3= ecl_car(T2);
	if(!((T1)==(T3))){
	goto L14;}
	T0= ecl_car(V8);
	T1= cl_list(2,ECL_SYM("FUNCTION",394),T0) /*  LIST            */;
	T2= ecl_cdr(V8);
	T3= cl_listX(3,ECL_SYM("APPLY",87),T1,T2) /*  LIST*           */;
	T4= ecl_cadr(V2);
	T5= cl_list(2,ECL_SYM("FUNCTION",394),T4) /*  LIST            */;
	T6= ecl_cdr(V9);
	T7= cl_listX(3,ECL_SYM("APPLY",87),T5,T6) /*  LIST*           */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T7;
	cl_env_copy->values[3]=T3;
	cl_env_copy->values[2]=V7;
	cl_env_copy->values[1]=V6;
	cl_env_copy->values[0]=V5;
	return cl_env_copy->values[0];
L14:;
	T0= ecl_butlast(V8,1);
	T1= ecl_last(T0,1);
	T2= ecl_car(T1);
	T3= ecl_last(V5,1);
	T4= ecl_car(T3);
	if(!((T2)==(T4))){
	goto L17;}
	T0= ecl_car(V8);
	T1= cl_list(2,ECL_SYM("FUNCTION",394),T0) /*  LIST            */;
	T2= cl_butlast(2,V8,MAKE_FIXNUM(2))       /*  BUTLAST         */;
	T3= ecl_cdr(T2);
	T4= ecl_butlast(V8,1);
	T5= ecl_last(T4,1);
	T6= ecl_car(T5);
	T7= ecl_last(V8,1);
	T8= ecl_car(T7);
	T9= cl_list(2,ECL_SYM("LIST",479),T8)     /*  LIST            */;
	T10= cl_list(3,ECL_SYM("APPEND",86),T6,T9) /*  LIST           */;
	T11= ecl_list1(T10);
	T12= ecl_append(T3,T11);
	T13= cl_listX(3,ECL_SYM("APPLY",87),T1,T12) /*  LIST*         */;
	T14= ecl_cadr(V2);
	T15= cl_list(2,ECL_SYM("FUNCTION",394),T14) /*  LIST          */;
	T16= ecl_cdr(V9);
	T17= cl_listX(3,ECL_SYM("APPLY",87),T15,T16) /*  LIST*        */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T17;
	cl_env_copy->values[3]=T13;
	cl_env_copy->values[2]=V7;
	cl_env_copy->values[1]=V6;
	cl_env_copy->values[0]=V5;
	return cl_env_copy->values[0];
L17:;
	value0=cl_error(2,VV[7],V2)               /*  ERROR           */;
	return value0;}
}}
/*	local function LDB                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59ldb(cl_object V1, cl_object V2, cl_object V3)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L8get_setf_expansion(2,V3,V1) /*  GET-SETF-EXPANSION */;
	{
	cl_object V5;                             /*  TEMPS           */
	cl_object V6;                             /*  VALS            */
	cl_object V7;                             /*  STORES          */
	cl_object V8;                             /*  STORE-FORM      */
	cl_object V9;                             /*  ACCESS-FORM     */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	V7= cl_env_copy->values[2];
	V8= cl_env_copy->values[3];
	V9= cl_env_copy->values[4];
	{cl_object V10;                           /*  BTEMP           */
	cl_object V11;                            /*  STORE           */
	cl_object V12;                            /*  STEMP           */
	V10= cl_gensym(0)                         /*  GENSYM          */;
	V11= cl_gensym(0)                         /*  GENSYM          */;
	V12= ecl_car(V7);
	T0= CONS(V10,V5);
	T1= CONS(V2,V6);
	T2= ecl_list1(V11);
	T3= cl_list(4,ECL_SYM("DPB",316),V11,V10,V9) /*  LIST         */;
	T4= cl_list(2,V12,T3)                     /*  LIST            */;
	T5= ecl_list1(T4);
	T6= cl_list(4,ECL_SYM("LET",475),T5,V8,V11) /*  LIST          */;
	T7= cl_list(3,ECL_SYM("LDB",455),V10,V9)  /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T7;
	cl_env_copy->values[3]=T6;
	cl_env_copy->values[2]=T2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}}
}}
/*	local function MASK-FIELD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60mask_field(cl_object V1, cl_object V2, cl_object V3)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L8get_setf_expansion(2,V3,V1) /*  GET-SETF-EXPANSION */;
	{
	cl_object V5;                             /*  TEMPS           */
	cl_object V6;                             /*  VALS            */
	cl_object V7;                             /*  STORES          */
	cl_object V8;                             /*  STORE-FORM      */
	cl_object V9;                             /*  ACCESS-FORM     */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	V7= cl_env_copy->values[2];
	V8= cl_env_copy->values[3];
	V9= cl_env_copy->values[4];
	{cl_object V10;                           /*  BTEMP           */
	cl_object V11;                            /*  STORE           */
	cl_object V12;                            /*  STEMP           */
	V10= cl_gensym(0)                         /*  GENSYM          */;
	V11= cl_gensym(0)                         /*  GENSYM          */;
	V12= ecl_car(V7);
	T0= CONS(V10,V5);
	T1= CONS(V2,V6);
	T2= ecl_list1(V11);
	T3= cl_list(4,ECL_SYM("DEPOSIT-FIELD",296),V11,V10,V9) /*  LIST */;
	T4= cl_list(2,V12,T3)                     /*  LIST            */;
	T5= ecl_list1(T4);
	T6= cl_list(4,ECL_SYM("LET",475),T5,V8,V11) /*  LIST          */;
	T7= cl_list(3,ECL_SYM("MASK-FIELD",548),V10,V9) /*  LIST      */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T7;
	cl_env_copy->values[3]=T6;
	cl_env_copy->values[2]=T2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}}
}}
/*	function definition for TRIVIAL-SETF-FORM                     */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L61trivial_setf_form(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	if(!(ECL_ATOM(V1))){
	goto L2;}
	if(!(V2==Cnil)){
	goto L2;}
	if(!((V5)==(V1))){
	goto L2;}
	{cl_fixnum V6;
	V6= ecl_length(V3);
	if(!((V6)==(1))){
	goto L2;}}
	if(!(ECL_LISTP(V4))){
	goto L2;}
	{cl_fixnum V6;
	V6= ecl_length(V4);
	if(!((V6)==(3))){
	goto L2;}}
	{cl_object V6;
	V6= _ecl_car(V4);
	if(!((V6)==(ECL_SYM("SETQ",749)))){
	goto L14;}
	goto L11;
	goto L12;
L14:;
	goto L12;
L12:;
	if(!((V6)==(ECL_SYM("SETF",748)))){
	goto L2;}
	goto L9;
L11:;
	}
L9:;
	T0= _ecl_cadr(V4);
	if(!((T0)==(V1))){
	goto L2;}
	T0= _ecl_caddr(V4);
	T1= _ecl_car(V3);
	value0=ecl_make_bool((T0)==(T1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for TRY-SIMPLER-EXPANSION                 */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L62try_simpler_expansion(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	if(!(ECL_CONSP(V1))){
	goto L2;}
	if(!(ECL_CONSP(V6))){
	goto L2;}
	{cl_fixnum V7;
	V7= ecl_length(V1);
	{cl_fixnum V8;
	V8= ecl_length(V6);
	{cl_fixnum V9;
	V9= (V8)-1;
	if(!((V7)==(V9))){
	goto L2;}}}}
	{cl_object V7;                            /*  LET18           */
	cl_object V8;                             /*  OUTPUT          */
	cl_object V9;                             /*  V               */
	{cl_object V10;
	V10= V6;
	if((V10)==Cnil){
	goto L11;}
	{cl_object V11;
	V11= ECL_CONS_CDR(V10);
	V6= V11;
	V10= ECL_CONS_CAR(V10);
	goto L9;
	}
L11:;
	goto L9;
L9:;
	V7= V10;
	}
	V8= Cnil;
	V9= Cnil;
	{cl_object V10;
	V10= _ecl_cdr(V1);
	goto L23;
L22:;
	{cl_object V11;                           /*  I               */
	V11= _ecl_car(V10);
	if(ECL_CONSP(V6)){
	goto L29;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L29:;
	goto L27;
L27:;
	V9= ECL_CONS_CAR(V6);
	V6= ECL_CONS_CDR(V6);
	if((V9)==(V11)){
	goto L37;}
	{cl_object V12;
	V12= V2;
	if((V12)==Cnil){
	goto L48;}
	{cl_object V13;
	V13= ECL_CONS_CDR(V12);
	V2= V13;
	V12= ECL_CONS_CAR(V12);
	goto L46;
	}
L48:;
	goto L46;
L46:;
	T0= V12;
	}
	if(!((V9)==(T0))){
	goto L41;}
	{cl_object V12;
	V12= V3;
	if((V12)==Cnil){
	goto L59;}
	{cl_object V13;
	V13= ECL_CONS_CDR(V12);
	V3= V13;
	V12= ECL_CONS_CAR(V12);
	goto L57;
	}
L59:;
	goto L57;
L57:;
	T0= V12;
	}
	if((T0)==(V11)){
	goto L37;}
	goto L38;
L41:;
	goto L38;
L38:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L37:;
	goto L35;
L35:;
	V8= CONS(V11,V8);
	}
	V10= _ecl_cdr(V10);
L23:;
	if((V10)==Cnil){
	goto L71;}
	goto L22;
L71:;
	goto L69;
L69:;
	goto L20;
L20:;
	T0= _ecl_car(V4);
	T1= _ecl_car(V6);
	if(!((T0)==(T1))){
	goto L74;}
	T0= CONS(V5,V8);
	T1= cl_nreverse(T0)                       /*  NREVERSE        */;
	value0=CONS(V7,T1); cl_env_copy->nvalues=1;
	return value0;
L74:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for SETF-EXPAND-1                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63setf_expand_1(cl_object V1, cl_object V2, cl_object V3)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=L8get_setf_expansion(2,V1,V3) /*  GET-SETF-EXPANSION */;
	{
	cl_object V5;                             /*  VARS            */
	cl_object V6;                             /*  VALS            */
	cl_object V7;                             /*  STORES          */
	cl_object V8;                             /*  STORE-FORM      */
	cl_object V9;                             /*  ACCESS-FORM     */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	V7= cl_env_copy->values[2];
	V8= cl_env_copy->values[3];
	V9= cl_env_copy->values[4];
	if((L61trivial_setf_form(V1,V5,V7,V8,V9)  /*  TRIVIAL-SETF-FORM */)==Cnil){
	goto L3;}
	value0=cl_list(3,ECL_SYM("SETQ",749),V1,V2) /*  LIST          */;
	return value0;
L3:;
	{cl_object V10;
	V10= L62try_simpler_expansion(V1,V5,V6,V7,V2,V8) /*  TRY-SIMPLER-EXPANSION */;
	if((V10)==Cnil){
	goto L7;}
	value0=V10; cl_env_copy->nvalues=1;
	return value0;
L7:;
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,V5,V6) /*  MAPCAR */;
	T2= CONS(VV[10],V5);
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= CONS(VV[10],V7);
	T5= cl_list(2,ECL_SYM("DECLARE",272),T4)  /*  LIST            */;
	T6= cl_list(5,ECL_SYM("MULTIPLE-VALUE-BIND",570),V7,V2,T5,V8) /*  LIST */;
	value0=cl_list(4,ECL_SYM("LET*",476),T1,T3,T6) /*  LIST       */;
	return value0;
	}}
}}
/*	function definition for SETF-EXPAND                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64setf_expand(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ecl_endp(V1))){
	goto L2;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= ecl_cdr(V1);
	if(!(ecl_endp(T0))){
	goto L5;}
	value0=cl_error(2,VV[11],V1)              /*  ERROR           */;
	return value0;
L5:;
	T0= ecl_car(V1);
	T1= ecl_cadr(V1);
	T2= L63setf_expand_1(T0,T1,V2)            /*  SETF-EXPAND-1   */;
	T3= ecl_cddr(V1);
	T4= L64setf_expand(T3,V2)                 /*  SETF-EXPAND     */;
	value0=CONS(T2,T4); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SETF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65setf(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	if(!(ecl_endp(V3))){
	goto L3;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cdr(V3);
	if(!(ecl_endp(T0))){
	goto L6;}
	value0=cl_error(2,VV[11],V3)              /*  ERROR           */;
	return value0;
L6:;
	T0= ecl_cddr(V3);
	if(!(ecl_endp(T0))){
	goto L9;}
	T0= ecl_car(V3);
	T1= ecl_cadr(V3);
	value0=L63setf_expand_1(T0,T1,V2)         /*  SETF-EXPAND-1   */;
	return value0;
L9:;
	T0= L64setf_expand(V3,V2)                 /*  SETF-EXPAND     */;
	value0=CONS(ECL_SYM("PROGN",669),T0); cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function PSETF                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC66psetf(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	if(!(ecl_endp(V3))){
	goto L3;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cdr(V3);
	if(!(ecl_endp(T0))){
	goto L6;}
	value0=cl_error(2,VV[13],V3)              /*  ERROR           */;
	return value0;
L6:;
	T0= ecl_cddr(V3);
	if(!(ecl_endp(T0))){
	goto L9;}
	T0= ecl_car(V3);
	T1= ecl_cadr(V3);
	T2= L63setf_expand_1(T0,T1,V2)            /*  SETF-EXPAND-1   */;
	value0=cl_list(3,ECL_SYM("PROGN",669),T2,Cnil) /*  LIST       */;
	return value0;
L9:;
	{cl_object V4;                            /*  R               */
	cl_object V5;                             /*  PAIRS           */
	cl_object V6;                             /*  STORE-FORMS     */
	V4= V3;
	V5= Cnil;
	V6= Cnil;
	goto L17;
L16:;
	T0= ecl_cdr(V4);
	if(!(ecl_endp(T0))){
	goto L21;}
	cl_error(2,VV[13],V3)                     /*  ERROR           */;
	goto L19;
L21:;
	goto L19;
L19:;
	T0= ecl_car(V4);
	cl_env_copy->values[0]=L8get_setf_expansion(2,T0,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V8;                             /*  VARS            */
	cl_object V9;                             /*  VALS            */
	cl_object V10;                            /*  STORES          */
	cl_object V11;                            /*  STORE-FORM      */
	cl_object V12;                            /*  ACCESS-FORM     */
	V8= cl_env_copy->values[0];
	V9= cl_env_copy->values[1];
	V10= cl_env_copy->values[2];
	V11= cl_env_copy->values[3];
	V12= cl_env_copy->values[4];
	V6= CONS(V11,V6);
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= ecl_append(V8,V10);
	T2= ecl_cadr(V4);
	T3= ecl_list1(T2);
	T4= ecl_append(V9,T3);
	T5= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,T1,T4) /*  MAPCAR */;
	V5= ecl_nconc(V5,T5);}
	V4= ecl_cddr(V4);
L17:;
	if(ecl_endp(V4)){
	goto L33;}
	goto L16;
L33:;
	goto L31;
L31:;
	goto L14;
L14:;
	T0= cl_nreverse(V6)                       /*  NREVERSE        */;
	T1= ecl_append(T0,VV[14]);
	value0=cl_listX(3,ECL_SYM("LET*",476),V5,T1) /*  LIST*        */;
	return value0;
	}
	}
}}
/*	local function SHIFTF                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67shiftf(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	{cl_object V4;                            /*  LET27           */
	cl_object V5;                             /*  R               */
	cl_object V6;                             /*  PAIRS           */
	cl_object V7;                             /*  STORES          */
	cl_object V8;                             /*  STORE-FORMS     */
	cl_object V9;                             /*  ACCESS-FORMS    */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= V3;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	V9= Cnil;
	goto L11;
L10:;
	T0= ecl_car(V5);
	cl_env_copy->values[0]=L8get_setf_expansion(2,T0,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V11;                            /*  VARS            */
	cl_object V12;                            /*  VALS            */
	cl_object V13;                            /*  STORES1         */
	cl_object V14;                            /*  STORE-FORM      */
	cl_object V15;                            /*  ACCESS-FORM     */
	V11= cl_env_copy->values[0];
	V12= cl_env_copy->values[1];
	V13= cl_env_copy->values[2];
	V14= cl_env_copy->values[3];
	V15= cl_env_copy->values[4];
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,V11,V12) /*  MAPCAR */;
	V6= ecl_nconc(V6,T1);
	T0= ecl_car(V13);
	V7= CONS(T0,V7);
	V8= CONS(V14,V8);
	V9= CONS(V15,V9);}
	V5= ecl_cdr(V5);
L11:;
	T0= ecl_cdr(V5);
	if(ecl_endp(T0)){
	goto L27;}
	goto L10;
L27:;
	goto L25;
L25:;
	goto L8;
L8:;
	V7= cl_nreverse(V7)                       /*  NREVERSE        */;
	V8= cl_nreverse(V8)                       /*  NREVERSE        */;
	V9= cl_nreverse(V9)                       /*  NREVERSE        */;
	T0= ecl_car(V9);
	T1= cl_list(2,V4,T0)                      /*  LIST            */;
	T2= ecl_list1(T1);
	T3= (ECL_SYM("LIST",479)->symbol.gfdef);
	T4= ecl_cdr(V9);
	T5= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T3,V7,T4) /*  MAPCAR */;
	T6= ecl_last(V7,1);
	T7= ecl_car(T6);
	T8= ecl_car(V5);
	T9= cl_list(2,T7,T8)                      /*  LIST            */;
	T10= ecl_list1(T9);
	T11= cl_nconc(4,V6,T2,T5,T10)             /*  NCONC           */;
	T12= ecl_list1(V4);
	T13= ecl_append(V8,T12);
	value0=cl_listX(3,ECL_SYM("LET*",476),T11,T13) /*  LIST*      */;
	return value0;
	}
	}
}}
/*	local function ROTATEF                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68rotatef(cl_object V1, cl_object V2)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	V3= ecl_cdr(V1);
	{cl_object V4;                            /*  R               */
	cl_object V5;                             /*  PAIRS           */
	cl_object V6;                             /*  STORES          */
	cl_object V7;                             /*  STORE-FORMS     */
	cl_object V8;                             /*  ACCESS-FORMS    */
	V4= V3;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	goto L10;
L9:;
	T0= ecl_car(V4);
	cl_env_copy->values[0]=L8get_setf_expansion(2,T0,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V10;                            /*  VARS            */
	cl_object V11;                            /*  VALS            */
	cl_object V12;                            /*  STORES1         */
	cl_object V13;                            /*  STORE-FORM      */
	cl_object V14;                            /*  ACCESS-FORM     */
	V10= cl_env_copy->values[0];
	V11= cl_env_copy->values[1];
	V12= cl_env_copy->values[2];
	V13= cl_env_copy->values[3];
	V14= cl_env_copy->values[4];
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,V10,V11) /*  MAPCAR */;
	V5= ecl_nconc(V5,T1);
	T0= ecl_car(V12);
	V6= CONS(T0,V6);
	V7= CONS(V13,V7);
	V8= CONS(V14,V8);}
	V4= ecl_cdr(V4);
L10:;
	if(ecl_endp(V4)){
	goto L26;}
	goto L9;
L26:;
	goto L24;
L24:;
	goto L7;
L7:;
	V6= cl_nreverse(V6)                       /*  NREVERSE        */;
	V7= cl_nreverse(V7)                       /*  NREVERSE        */;
	V8= cl_nreverse(V8)                       /*  NREVERSE        */;
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= ecl_cdr(V8);
	T2= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,V6,T1) /*  MAPCAR */;
	T3= ecl_last(V6,1);
	T4= ecl_car(T3);
	T5= ecl_car(V8);
	T6= cl_list(2,T4,T5)                      /*  LIST            */;
	T7= ecl_list1(T6);
	T8= cl_nconc(3,V5,T2,T7)                  /*  NCONC           */;
	T9= ecl_append(V7,VV[14]);
	value0=cl_listX(3,ECL_SYM("LET*",476),T8,T9) /*  LIST*        */;
	return value0;
	}
	}
}}
/*	local function DEFINE-MODIFY-MACRO                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69define_modify_macro(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  LAMBDALIST      */
	cl_object V6;                             /*  FUNCTION        */
	cl_object V7;                             /*  DOCSTRING       */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==Cnil)){
	goto L21;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	if((V3)==Cnil){
	goto L28;}
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V7= V8;
	goto L26;
	}
L28:;
	V7= Cnil;
	goto L26;
L26:;
	if((V3)==Cnil){
	goto L35;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L33;
L35:;
	goto L33;
L33:;
	{cl_object V8;                            /*  VARLIST         */
	cl_object V9;                             /*  RESTVAR         */
	V8= Cnil;
	V9= Cnil;
	{cl_object V10;                           /*  LAMBDALISTR     */
	cl_object V11;                            /*  NEXT            */
	V10= V5;
	V11= Cnil;
	goto L45;
L44:;
	V11= ecl_car(V10);
	{cl_object V12;
	V12= ecl_make_bool((V11)==(ECL_SYM("&OPTIONAL",9)));
	if((V12)==Cnil){
	goto L52;}
	goto L49;
L52:;
	if(!((V11)==(ECL_SYM("&REST",10)))){
	goto L55;}
	T0= ecl_cadr(V10);
	if(!(ECL_SYMBOLP(T0))){
	goto L59;}
	V9= ecl_cadr(V10);
	goto L57;
L59:;
	T0= ecl_cadr(V10);
	cl_error(3,VV[18],V4,T0)                  /*  ERROR           */;
	goto L57;
L57:;
	T0= ecl_cddr(V10);
	if(!(T0==Cnil)){
	goto L63;}
	goto L39;
L63:;
	cl_error(2,VV[19],V10)                    /*  ERROR           */;
	goto L49;
L55:;
	if((V11)==(ECL_SYM("&KEY",8))){
	goto L68;}
	if((V11)==(ECL_SYM("&ALLOW-OTHER-KEYS",4))){
	goto L68;}
	if(!((V11)==(ECL_SYM("&AUX",5)))){
	goto L66;}
	goto L67;
L68:;
L67:;
	cl_error(2,VV[20],V11)                    /*  ERROR           */;
	goto L49;
L66:;
	if(!(ECL_SYMBOLP(V11))){
	goto L72;}
	V8= CONS(V11,V8);
	goto L49;
L72:;
	if(!(ECL_LISTP(V11))){
	goto L76;}
	T0= ecl_car(V11);
	if(!(ECL_SYMBOLP(T0))){
	goto L76;}
	T0= ecl_car(V11);
	V8= CONS(T0,V8);
	goto L49;
L76:;
	cl_error(2,VV[21],V11)                    /*  ERROR           */;
	goto L49;
	}
L49:;
	V10= ecl_cdr(V10);
L45:;
	if(V10==Cnil){
	goto L84;}
	goto L44;
L84:;
	goto L82;
L82:;
	goto L42;
L42:;
	}
L39:;
	V8= cl_nreverse(V8)                       /*  NREVERSE        */;
	T0= cl_listX(4,ECL_SYM("&ENVIRONMENT",7),VV[22],VV[23],V5) /*  LIST* */;
	if((V7)==Cnil){
	goto L90;}
	T1= ecl_list1(V7);
	goto L88;
L90:;
	T1= Cnil;
	goto L88;
L88:;
	T2= ecl_list1(V9);
	T3= ecl_append(V8,T2);
	T4= CONS(ECL_SYM("LIST*",480),T3);
	T5= cl_list(3,ECL_SYM("MAPCAR",543),VV[28],T4) /*  LIST       */;
	T6= cl_list(2,VV[27],T5)                  /*  LIST            */;
	T7= ecl_list1(T6);
	T8= cl_list(2,ECL_SYM("QUOTE",677),V6)    /*  LIST            */;
	T9= cl_listX(3,ECL_SYM("LIST*",480),T8,VV[30]) /*  LIST*      */;
	T10= cl_listX(3,ECL_SYM("SUBST",829),T9,VV[31]) /*  LIST*     */;
	T11= cl_list(2,ECL_SYM("QUOTE",677),V6)   /*  LIST            */;
	T12= ecl_list1(V9);
	T13= ecl_append(V8,T12);
	T14= cl_listX(4,ECL_SYM("LIST*",480),T11,VV[39],T13) /*  LIST* */;
	T15= cl_list(4,ECL_SYM("LIST",479),VV[37],VV[38],T14) /*  LIST */;
	T16= cl_list(2,ECL_SYM("QUOTE",677),V6)   /*  LIST            */;
	T17= cl_listX(3,ECL_SYM("LIST*",480),T16,VV[30]) /*  LIST*    */;
	T18= cl_list(4,ECL_SYM("IF",944),VV[36],T15,T17) /*  LIST     */;
	T19= cl_list(3,ECL_SYM("LIST",479),VV[35],T18) /*  LIST       */;
	T20= cl_list(3,ECL_SYM("PUSH",675),T19,VV[40]) /*  LIST       */;
	T21= cl_list(4,VV[33],VV[34],T20,VV[41])  /*  LIST            */;
	T22= cl_list(3,ECL_SYM("DO",305),VV[32],T21) /*  LIST         */;
	T23= cl_list(4,ECL_SYM("IF",944),VV[29],T10,T22) /*  LIST     */;
	T24= cl_list(3,ECL_SYM("LET",475),T7,T23) /*  LIST            */;
	T25= cl_list(4,ECL_SYM("MULTIPLE-VALUE-BIND",570),VV[25],VV[26],T24) /*  LIST */;
	T26= cl_list(2,VV[24],T25)                /*  LIST            */;
	T27= ecl_append(T1,T26);
	value0=cl_listX(4,ECL_SYM("DEFMACRO",281),V4,T0,T27) /*  LIST* */;
	return value0;
	}
	}
}}
/*	local function REMF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70remf(cl_object V1, cl_object V2)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  PLACE           */
	cl_object V5;                             /*  INDICATOR       */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	if((V3)==Cnil){
	goto L20;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L18;
L20:;
	goto L18;
L18:;
	cl_env_copy->values[0]=L8get_setf_expansion(2,V4,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V7;                             /*  VARS            */
	cl_object V8;                             /*  VALS            */
	cl_object V9;                             /*  STORES          */
	cl_object V10;                            /*  STORE-FORM      */
	cl_object V11;                            /*  ACCESS-FORM     */
	V7= cl_env_copy->values[0];
	V8= cl_env_copy->values[1];
	V9= cl_env_copy->values[2];
	V10= cl_env_copy->values[3];
	V11= cl_env_copy->values[4];
	{cl_object V12;                           /*  S               */
	V12= cl_gensym(0)                         /*  GENSYM          */;
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,V7,V8) /*  MAPCAR */;
	T2= cl_list(2,V12,V5)                     /*  LIST            */;
	T3= ecl_list1(T2);
	T4= ecl_append(T1,T3);
	T5= CONS(VV[10],V7);
	T6= cl_list(2,ECL_SYM("DECLARE",272),T5)  /*  LIST            */;
	T7= ecl_car(V9);
	T8= cl_list(2,T7,VV[43])                  /*  LIST            */;
	T9= cl_list(3,ECL_SYM("REM-F",1125),V11,V12) /*  LIST         */;
	T10= cl_list(5,ECL_SYM("MULTIPLE-VALUE-BIND",570),T8,T9,V10,VV[43]) /*  LIST */;
	value0=cl_list(4,ECL_SYM("LET*",476),T4,T6,T10) /*  LIST      */;
	return value0;
	}}
	}
}}
/*	local function INCF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72incf(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  %REFERENCE      */
	cl_object V5;                             /*  DELTA           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if((V3)==Cnil){
	goto L12;}
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	goto L10;
	}
L12:;
	V5= MAKE_FIXNUM(1);
	goto L10;
L10:;
	if((V3)==Cnil){
	goto L19;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L17;
L19:;
	goto L17;
L17:;
	cl_env_copy->values[0]=L8get_setf_expansion(2,V4,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V7;                             /*  VARS            */
	cl_object V8;                             /*  VALS            */
	cl_object V9;                             /*  STORES          */
	cl_object V10;                            /*  SETTER          */
	cl_object V11;                            /*  GETTER          */
	V7= cl_env_copy->values[0];
	V8= cl_env_copy->values[1];
	V9= cl_env_copy->values[2];
	V10= cl_env_copy->values[3];
	V11= cl_env_copy->values[4];
	{cl_object V12;                           /*  ALL-VARS        */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC71__g105,Cnil,Cblock,1);
	T1= CONS(V5,Cnil);
	V12= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T0,T1) /*  MAPCAR */;
	if(!(ECL_SYMBOLP(V11))){
	goto L25;}
	T0= (ECL_SYM("CAR",178)->symbol.gfdef);
	T1= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T0,V12) /*  MAPCAR */;
	T2= cl_listX(3,ECL_SYM("+",12),V11,T1)    /*  LIST*           */;
	T3= ecl_car(V9);
	T4= (ECL_SYM("FIRST",369)->symbol.gfdef);
	T5= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T4,V12) /*  MAPCAR */;
	T6= CONS(VV[10],T5);
	T7= cl_list(2,ECL_SYM("DECLARE",272),T6)  /*  LIST            */;
	T8= cl_list(4,ECL_SYM("LET*",476),V12,T7,V10) /*  LIST        */;
	value0=cl_subst(3,T2,T3,T8)               /*  SUBST           */;
	return value0;
L25:;
	{cl_object V13;                           /*  D               */
	cl_object V14;                            /*  V               */
	cl_object V15;                            /*  LET-LIST        */
	V13= V7;
	V14= V8;
	V15= Cnil;
	goto L35;
L34:;
	{cl_object V16;
	V16= ecl_cdr(V13);
	{cl_object V17;
	V17= ecl_cdr(V14);
	T0= ecl_car(V13);
	T1= ecl_car(V14);
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	V15= CONS(T2,V15);
	V14= V17;
	V13= V16;}}
L35:;
	if(V13==Cnil){
	goto L43;}
	goto L34;
L43:;
	goto L41;
L41:;
	goto L32;
L32:;
	T0= cl_nreverse(V12)                      /*  NREVERSE        */;
	V15= ecl_append(T0,V15);
	T0= ecl_car(V9);
	if(!(ECL_LISTP(V4))){
	goto L51;}
	T2= ecl_car(V4);
	if(!((T2)==(ECL_SYM("THE",854)))){
	goto L51;}
	T2= ecl_cadr(V4);
	T3= cl_listX(4,ECL_SYM("+",12),V11,V5,Cnil) /*  LIST*         */;
	T1= cl_list(3,ECL_SYM("THE",854),T2,T3)   /*  LIST            */;
	goto L49;
L51:;
	T2= (ECL_SYM("CAR",178)->symbol.gfdef);
	T3= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T2,V12) /*  MAPCAR */;
	T1= cl_listX(3,ECL_SYM("+",12),V11,T3)    /*  LIST*           */;
	goto L49;
L49:;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	V15= CONS(T2,V15);
	T0= cl_nreverse(V15)                      /*  NREVERSE        */;
	T1= (ECL_SYM("FIRST",369)->symbol.gfdef);
	T2= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T1,V12) /*  MAPCAR */;
	T3= ecl_append(T2,V7);
	T4= CONS(VV[10],T3);
	T5= cl_list(2,ECL_SYM("DECLARE",272),T4)  /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET*",476),T0,T5,V10) /*  LIST      */;
	return value0;
	}
	}}
	}
}}
/*	local function G105                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71__g105(cl_object V1)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_gensym(0)                          /*  GENSYM          */;
	value0=cl_list(2,T0,V1)                   /*  LIST            */;
	return value0;
}}
/*	local function DECF                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74decf(cl_object V1, cl_object V2)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  %REFERENCE      */
	cl_object V5;                             /*  DELTA           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if((V3)==Cnil){
	goto L12;}
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	goto L10;
	}
L12:;
	V5= MAKE_FIXNUM(1);
	goto L10;
L10:;
	if((V3)==Cnil){
	goto L19;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L17;
L19:;
	goto L17;
L17:;
	cl_env_copy->values[0]=L8get_setf_expansion(2,V4,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V7;                             /*  VARS            */
	cl_object V8;                             /*  VALS            */
	cl_object V9;                             /*  STORES          */
	cl_object V10;                            /*  SETTER          */
	cl_object V11;                            /*  GETTER          */
	V7= cl_env_copy->values[0];
	V8= cl_env_copy->values[1];
	V9= cl_env_copy->values[2];
	V10= cl_env_copy->values[3];
	V11= cl_env_copy->values[4];
	{cl_object V12;                           /*  ALL-VARS        */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC73__g123,Cnil,Cblock,1);
	T1= CONS(V5,Cnil);
	V12= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T0,T1) /*  MAPCAR */;
	if(!(ECL_SYMBOLP(V11))){
	goto L25;}
	T0= (ECL_SYM("CAR",178)->symbol.gfdef);
	T1= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T0,V12) /*  MAPCAR */;
	T2= cl_listX(3,ECL_SYM("-",15),V11,T1)    /*  LIST*           */;
	T3= ecl_car(V9);
	T4= (ECL_SYM("FIRST",369)->symbol.gfdef);
	T5= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T4,V12) /*  MAPCAR */;
	T6= CONS(VV[10],T5);
	T7= cl_list(2,ECL_SYM("DECLARE",272),T6)  /*  LIST            */;
	T8= cl_list(4,ECL_SYM("LET*",476),V12,T7,V10) /*  LIST        */;
	value0=cl_subst(3,T2,T3,T8)               /*  SUBST           */;
	return value0;
L25:;
	{cl_object V13;                           /*  D               */
	cl_object V14;                            /*  V               */
	cl_object V15;                            /*  LET-LIST        */
	V13= V7;
	V14= V8;
	V15= Cnil;
	goto L35;
L34:;
	{cl_object V16;
	V16= ecl_cdr(V13);
	{cl_object V17;
	V17= ecl_cdr(V14);
	T0= ecl_car(V13);
	T1= ecl_car(V14);
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	V15= CONS(T2,V15);
	V14= V17;
	V13= V16;}}
L35:;
	if(V13==Cnil){
	goto L43;}
	goto L34;
L43:;
	goto L41;
L41:;
	goto L32;
L32:;
	T0= cl_nreverse(V12)                      /*  NREVERSE        */;
	V15= ecl_append(T0,V15);
	T0= ecl_car(V9);
	if(!(ECL_LISTP(V4))){
	goto L51;}
	T2= ecl_car(V4);
	if(!((T2)==(ECL_SYM("THE",854)))){
	goto L51;}
	T2= ecl_cadr(V4);
	T3= cl_listX(4,ECL_SYM("-",15),V11,V5,Cnil) /*  LIST*         */;
	T1= cl_list(3,ECL_SYM("THE",854),T2,T3)   /*  LIST            */;
	goto L49;
L51:;
	T2= (ECL_SYM("CAR",178)->symbol.gfdef);
	T3= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T2,V12) /*  MAPCAR */;
	T1= cl_listX(3,ECL_SYM("-",15),V11,T3)    /*  LIST*           */;
	goto L49;
L49:;
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	V15= CONS(T2,V15);
	T0= cl_nreverse(V15)                      /*  NREVERSE        */;
	T1= (ECL_SYM("FIRST",369)->symbol.gfdef);
	T2= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(2,T1,V12) /*  MAPCAR */;
	T3= ecl_append(T2,V7);
	T4= CONS(VV[10],T3);
	T5= cl_list(2,ECL_SYM("DECLARE",272),T4)  /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET*",476),T0,T5,V10) /*  LIST      */;
	return value0;
	}
	}}
	}
}}
/*	local function G123                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73__g123(cl_object V1)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_gensym(0)                          /*  GENSYM          */;
	value0=cl_list(2,T0,V1)                   /*  LIST            */;
	return value0;
}}
/*	local function PUSH                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75push(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ITEM            */
	cl_object V5;                             /*  PLACE           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	if((V3)==Cnil){
	goto L20;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L18;
L20:;
	goto L18;
L18:;
	cl_env_copy->values[0]=L8get_setf_expansion(2,V5,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V7;                             /*  VARS            */
	cl_object V8;                             /*  VALS            */
	cl_object V9;                             /*  STORES          */
	cl_object V10;                            /*  STORE-FORM      */
	cl_object V11;                            /*  ACCESS-FORM     */
	V7= cl_env_copy->values[0];
	V8= cl_env_copy->values[1];
	V9= cl_env_copy->values[2];
	V10= cl_env_copy->values[3];
	V11= cl_env_copy->values[4];
	if((L61trivial_setf_form(V5,V7,V9,V10,V11) /*  TRIVIAL-SETF-FORM */)==Cnil){
	goto L25;}
	T0= cl_list(3,ECL_SYM("CONS",249),V4,V5)  /*  LIST            */;
	value0=cl_list(3,ECL_SYM("SETQ",749),V5,T0) /*  LIST          */;
	return value0;
L25:;
	goto L23;
L23:;
	if((cl_constantp(1,V4)                    /*  CONSTANTP       */)!=Cnil){
	goto L29;}
	V8= CONS(V4,V8);
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V7= CONS(V4,V7);
	goto L27;
L29:;
	goto L27;
L27:;
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= ecl_append(V7,V9);
	T2= cl_list(3,ECL_SYM("CONS",249),V4,V11) /*  LIST            */;
	T3= ecl_list1(T2);
	T4= ecl_append(V8,T3);
	T5= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,T1,T4) /*  MAPCAR */;
	T6= CONS(VV[10],V7);
	T7= cl_list(2,ECL_SYM("DECLARE",272),T6)  /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET*",476),T5,T7,V10) /*  LIST      */;
	return value0;}
	}
}}
/*	local function PUSHNEW                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76pushnew(cl_object V1, cl_object V2)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ITEM            */
	cl_object V5;                             /*  PLACE           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	cl_env_copy->values[0]=L8get_setf_expansion(2,V5,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V7;                             /*  VARS            */
	cl_object V8;                             /*  VALS            */
	cl_object V9;                             /*  STORES          */
	cl_object V10;                            /*  STORE-FORM      */
	cl_object V11;                            /*  ACCESS-FORM     */
	V7= cl_env_copy->values[0];
	V8= cl_env_copy->values[1];
	V9= cl_env_copy->values[2];
	V10= cl_env_copy->values[3];
	V11= cl_env_copy->values[4];
	if((L61trivial_setf_form(V5,V7,V9,V10,V11) /*  TRIVIAL-SETF-FORM */)==Cnil){
	goto L21;}
	T0= cl_listX(4,ECL_SYM("ADJOIN",80),V4,V5,V3) /*  LIST*       */;
	value0=cl_list(3,ECL_SYM("SETQ",749),V5,T0) /*  LIST          */;
	return value0;
L21:;
	goto L19;
L19:;
	if((cl_constantp(1,V4)                    /*  CONSTANTP       */)!=Cnil){
	goto L25;}
	V8= CONS(V4,V8);
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V7= CONS(V4,V7);
	goto L23;
L25:;
	goto L23;
L23:;
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= ecl_append(V7,V9);
	T2= cl_listX(4,ECL_SYM("ADJOIN",80),V4,V11,V3) /*  LIST*      */;
	T3= ecl_list1(T2);
	T4= ecl_append(V8,T3);
	T5= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,T1,T4) /*  MAPCAR */;
	T6= CONS(VV[10],V7);
	T7= cl_list(2,ECL_SYM("DECLARE",272),T6)  /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET*",476),T5,T7,V10) /*  LIST      */;
	return value0;}
	}
}}
/*	local function POP                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC77pop(cl_object V1, cl_object V2)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  PLACE           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	if((V3)==Cnil){
	goto L12;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L10;
L12:;
	goto L10;
L10:;
	cl_env_copy->values[0]=L8get_setf_expansion(2,V4,V2) /*  GET-SETF-EXPANSION */;
	{
	cl_object V6;                             /*  VARS            */
	cl_object V7;                             /*  VALS            */
	cl_object V8;                             /*  STORES          */
	cl_object V9;                             /*  STORE-FORM      */
	cl_object V10;                            /*  ACCESS-FORM     */
	V6= cl_env_copy->values[0];
	V7= cl_env_copy->values[1];
	V8= cl_env_copy->values[2];
	V9= cl_env_copy->values[3];
	V10= cl_env_copy->values[4];
	{cl_object V11;                           /*  STORE-VAR       */
	V11= ecl_car(V8);
	T0= (ECL_SYM("LIST",479)->symbol.gfdef);
	T1= ecl_append(V6,V8);
	T2= ecl_list1(V10);
	T3= ecl_append(V7,T2);
	T4= (cl_env_copy->function=(ECL_SYM("MAPCAR",543)->symbol.gfdef))->cfun.entry(3,T0,T1,T3) /*  MAPCAR */;
	T5= CONS(VV[10],V6);
	T6= cl_list(2,ECL_SYM("DECLARE",272),T5)  /*  LIST            */;
	T7= cl_list(2,ECL_SYM("CAR",178),V11)     /*  LIST            */;
	T8= cl_list(3,ECL_SYM("TRULY-THE",1928),ECL_SYM("LIST",479),V11) /*  LIST */;
	T9= cl_list(2,ECL_SYM("CDR",196),T8)      /*  LIST            */;
	T10= cl_list(3,ECL_SYM("SETQ",749),V11,T9) /*  LIST           */;
	T11= cl_list(4,ECL_SYM("PROG1",667),T7,T10,V9) /*  LIST       */;
	value0=cl_list(4,ECL_SYM("LET*",476),T4,T6,T11) /*  LIST      */;
	return value0;
	}}
	}
}}
/*	local function VALUES                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78values(cl_narg narg, cl_object V1, ...)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V3;                            /*  ALL-VARS        */
	cl_object V4;                             /*  ALL-VALS        */
	cl_object V5;                             /*  ALL-STORES      */
	cl_object V6;                             /*  ALL-STORING-FORMS */
	cl_object V7;                             /*  ALL-GET-FORMS   */
	V3= Cnil;
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	{cl_object V8;
	V8= cl_reverse(V2)                        /*  REVERSE         */;
	goto L11;
L10:;
	{cl_object V9;                            /*  ITEM            */
	V9= ecl_car(V8);
	cl_env_copy->values[0]=L8get_setf_expansion(2,V9,V1) /*  GET-SETF-EXPANSION */;
	{
	cl_object V11;                            /*  VARS            */
	cl_object V12;                            /*  VALS            */
	cl_object V13;                            /*  STORES          */
	cl_object V14;                            /*  STORING-FORM    */
	cl_object V15;                            /*  GET-FORM        */
	V11= cl_env_copy->values[0];
	V12= cl_env_copy->values[1];
	V13= cl_env_copy->values[2];
	V14= cl_env_copy->values[3];
	V15= cl_env_copy->values[4];
	{cl_object V16;                           /*  EXTRA           */
	V16= ecl_cdr(V13);
	if(ecl_endp(V16)){
	goto L20;}
	V11= ecl_append(V16,V11);
	{cl_fixnum V17;
	V17= ecl_length(V16);
	T0= cl_make_list(1,MAKE_FIXNUM(V17))      /*  MAKE-LIST       */;
	V12= ecl_append(T0,V12);}
	T0= ecl_car(V13);
	V13= ecl_list1(T0);
	goto L17;
L20:;
	goto L17;
	}
L17:;
	V3= ecl_append(V11,V3);
	V4= ecl_append(V12,V4);
	V5= ecl_append(V13,V5);
	V6= CONS(V14,V6);
	V7= CONS(V15,V7);}
	}
	V8= ecl_cdr(V8);
L11:;
	if((V8)==Cnil){
	goto L40;}
	goto L10;
L40:;
	goto L38;
L38:;
	goto L8;
L8:;
	}
	T0= CONS(ECL_SYM("VALUES",893),V6);
	T1= CONS(ECL_SYM("VALUES",893),V7);
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T1;
	cl_env_copy->values[3]=T0;
	cl_env_copy->values[2]=V5;
	cl_env_copy->values[1]=V4;
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
	}
}}
	
#include "lsp/setf.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclJhMvOva7_2sBWEU01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;SETF.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclJhMvOva7_2sBWEU01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	(void)0; /* No entry created for CHECK-STORES-NUMBER */
	(void)0; /* No entry created for DO-SETF-METHOD-EXPANSION */
	(void)0; /* No entry created for SETF-METHOD-WRAPPER */
	(void)0; /* No entry created for DO-DEFSETF */
	(void)0; /* No entry created for DO-DEFINE-SETF-METHOD */
	ecl_cmp_defmacro(VV[50]);                 /*  DEFSETF         */
	ecl_cmp_defmacro(VV[51]);                 /*  DEFINE-SETF-EXPANDER */
	ecl_cmp_defun(VV[52]);                    /*  GET-SETF-EXPANSION */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC9car,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAR",178),T0)      /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC10cdr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDR",196),T0)      /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC11caar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAAR",169),T0)     /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC12cdar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDAR",188),T0)     /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC13cadr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CADR",176),T0)     /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC14cddr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDDR",195),T0)     /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC15caaar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAAAR",165),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC16cdaar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDAAR",184),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC17cadar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CADAR",172),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC18cddar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDDAR",191),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC19caadr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAADR",168),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC20cdadr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDADR",187),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC21caddr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CADDR",175),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC22cdddr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDDDR",194),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC23caaaar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAAAAR",163),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC24cdaaar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDAAAR",182),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC25cadaar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CADAAR",170),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC26cddaar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDDAAR",189),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC27caadar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAADAR",166),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC28cdadar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDADAR",185),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC29caddar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CADDAR",173),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC30cdddar,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDDDAR",192),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC31caaadr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAAADR",164),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC32cdaadr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDAADR",183),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC33cadadr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CADADR",171),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC34cddadr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDDADR",190),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC35caaddr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CAADDR",167),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC36cdaddr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDADDR",186),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC37cadddr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CADDDR",174),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC38cddddr,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("CDDDDR",193),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC39first,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("FIRST",369),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC40second,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("SECOND",738),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC41third,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("THIRD",855),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC42fourth,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("FOURTH",387),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC43fifth,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("FIFTH",349),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC44sixth,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("SIXTH",780),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC45seventh,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("SEVENTH",750),T0)  /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC46eighth,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("EIGHTH",324),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC47ninth,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("NINTH",581),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC48tenth,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("TENTH",852),T0)    /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC49rest,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("REST",717),T0)     /*  DO-DEFSETF      */;
	si_do_defsetf(ECL_SYM("SVREF",836),ECL_SYM("SVSET",1156)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("ELT",325),ECL_SYM("ELT-SET",1064)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("SYMBOL-VALUE",844),ECL_SYM("SET",741)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("SYMBOL-FUNCTION",839),ECL_SYM("FSET",1078)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("FDEFINITION",347),ECL_SYM("FSET",1078)) /*  DO-DEFSETF */;
	T0= ecl_make_cfun_va((cl_objectfn)LC50macro_function,Cnil,Cblock);
	si_do_defsetf(ECL_SYM("MACRO-FUNCTION",516),T0) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("AREF",90),ECL_SYM("ASET",1039)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("ROW-MAJOR-AREF",729),ECL_SYM("ROW-MAJOR-ASET",1128)) /*  DO-DEFSETF */;
	T0= ecl_make_cfun_va((cl_objectfn)LC51get,Cnil,Cblock);
	si_do_defsetf(ECL_SYM("GET",400),T0)      /*  DO-DEFSETF      */;
	si_do_defsetf(ECL_SYM("GET-SYSPROP",1081),ECL_SYM("PUT-SYSPROP",1122)) /*  DO-DEFSETF */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC52nth,Cnil,Cblock,3);
	si_do_defsetf(ECL_SYM("NTH",600),T0)      /*  DO-DEFSETF      */;
	si_do_defsetf(ECL_SYM("CHAR",201),ECL_SYM("CHAR-SET",1050)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("SCHAR",736),ECL_SYM("SCHAR-SET",1133)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("BIT",121),ECL_SYM("ASET",1039)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("SBIT",734),ECL_SYM("ASET",1039)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("FILL-POINTER",360),ECL_SYM("FILL-POINTER-SET",1069)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("SYMBOL-PLIST",843),ECL_SYM("SET-SYMBOL-PLIST",1137)) /*  DO-DEFSETF */;
	T0= ecl_make_cfun_va((cl_objectfn)LC53gethash,Cnil,Cblock);
	si_do_defsetf(ECL_SYM("GETHASH",411),T0)  /*  DO-DEFSETF      */;
	si_do_defsetf(ECL_SYM("INSTANCE-REF",1168),ECL_SYM("INSTANCE-SET",1169)) /*  DO-DEFSETF */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC54compiler_macro_function,Cnil,Cblock,2);
	si_do_defsetf(ECL_SYM("COMPILER-MACRO-FUNCTION",237),T0) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("READTABLE-CASE",699),ECL_SYM("READTABLE-CASE-SET",1124)) /*  DO-DEFSETF */;
	si_do_defsetf(ECL_SYM("STREAM-EXTERNAL-FORMAT",801),ECL_SYM("STREAM-EXTERNAL-FORMAT-SET",1706)) /*  DO-DEFSETF */;
	T0= ecl_make_cfun_va((cl_objectfn)LC55getf,Cnil,Cblock);
	si_do_define_setf_method(ECL_SYM("GETF",410),T0) /*  DO-DEFINE-SETF-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC56subseq,Cnil,Cblock);
	si_do_defsetf(ECL_SYM("SUBSEQ",827),T0)   /*  DO-DEFSETF      */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC57the,Cnil,Cblock,3);
	si_do_define_setf_method(ECL_SYM("THE",854),T0) /*  DO-DEFINE-SETF-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC58apply,Cnil,Cblock);
	si_do_define_setf_method(ECL_SYM("APPLY",87),T0) /*  DO-DEFINE-SETF-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC59ldb,Cnil,Cblock,3);
	si_do_define_setf_method(ECL_SYM("LDB",455),T0) /*  DO-DEFINE-SETF-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC60mask_field,Cnil,Cblock,3);
	si_do_define_setf_method(ECL_SYM("MASK-FIELD",548),T0) /*  DO-DEFINE-SETF-METHOD */;
	(void)0; /* No entry created for TRIVIAL-SETF-FORM */
	(void)0; /* No entry created for TRY-SIMPLER-EXPANSION */
	(void)0; /* No entry created for SETF-EXPAND-1 */
	(void)0; /* No entry created for SETF-EXPAND */
	ecl_cmp_defmacro(VV[53]);                 /*  SETF            */
	ecl_cmp_defmacro(VV[54]);                 /*  PSETF           */
	ecl_cmp_defmacro(VV[55]);                 /*  SHIFTF          */
	ecl_cmp_defmacro(VV[56]);                 /*  ROTATEF         */
	ecl_cmp_defmacro(VV[57]);                 /*  DEFINE-MODIFY-MACRO */
	ecl_cmp_defmacro(VV[58]);                 /*  REMF            */
	ecl_cmp_defmacro(VV[59]);                 /*  INCF            */
	ecl_cmp_defmacro(VV[60]);                 /*  DECF            */
	ecl_cmp_defmacro(VV[61]);                 /*  PUSH            */
	ecl_cmp_defmacro(VV[62]);                 /*  PUSHNEW         */
	ecl_cmp_defmacro(VV[63]);                 /*  POP             */
	T0= ecl_make_cfun_va((cl_objectfn)LC78values,Cnil,Cblock);
	si_do_define_setf_method(ECL_SYM("VALUES",893),T0) /*  DO-DEFINE-SETF-METHOD */;
}
